2005-02-03 16:15  karijes
	* Added uninstall option
	* Little files cleanup

2004-12-28 13:30  karijes

	* Fl_Input_Browser now do callbacks with one mouse click

2004-12-23 10:50  karijes

	* fixed tab redrawing

2003-05-28 08:16  space2

	* efltk/Fl_File_Dialog.h, efltk/Fl_Menu_.h,
	src/widgets/Fl_Browser.cpp, src/widgets/Fl_Choice.cpp,
	src/widgets/Fl_Input_Browser.cpp, src/widgets/Fl_Menu.cpp,
	src/widgets/Fl_Menu_.cpp, test/input.cpp: * in file dialog pressing
	the up button moved 3 directories up * in file dialog the directory
	selection combo box was closed even for selection changing   (now
	it needs double click, try to fix it later) * changed
	Fl_Menu_::execute(Fl_Widget *) to execute(Fl_Widget*,Fl_Event_Type)
	  for fixing the above error

2003-05-24 02:05  dejan

	* efltk.spec.in: --enable-xft in RPM SPEC ;)

2003-05-17 19:36  laza2000

	* doc/EventsProposal.html: FUCK

2003-05-17 15:59  laza2000

	* tools/etranslate/etranslate.cpp: Fixes for new event system

2003-05-17 15:51  laza2000

	* tools/efluid/: Fl_Widget_Type.cpp, Fl_Window_Type.cpp,
	alignment_panel.cpp, function_panel.cpp, widget_panel.cpp,
	widget_panel.fl: Corrections for new event system

2003-05-17 15:47  laza2000

	* src/widgets/Fl_Text_Display.cpp: Minor correction for boxes that
	doesnt fill whole rect

2003-05-17 14:54  laza2000

	* src/core/Fl_Group.cpp: Minor correction

2003-05-17 14:20  laza2000

	* test/clock.cpp: updated clock demo

2003-05-17 14:00  laza2000

	* test/calendar.cpp: Updated calendar demo

2003-05-17 13:42  laza2000

	* test/buttons.cpp: updated buttons demo

2003-05-17 13:40  laza2000

	* src/core/Fl_Group.cpp: auto_grow support Fl_Window's - set size
	range to minimum group size

2003-05-17 13:20  laza2000

	* src/widgets/Fl_Return_Button.cpp, efltk/Fl_Return_Button.h: Added
	preferred_size

2003-05-17 13:09  laza2000

	* test/: Makefile, button.cpp: Removed button demo

2003-05-17 11:44  laza2000

	* test/browser.cpp: Updated browser demo

2003-05-17 11:37  laza2000

	* test/boxtype.cpp: Updated boxtype demo

2003-05-17 11:30  laza2000

	* test/: Makefile, bitmap.cpp: Removed bitmap demo

2003-05-17 11:29  laza2000

	* test/ask.cpp: Updated ask

2003-05-17 11:20  laza2000

	* test/curve.cpp: Curve demo updated

2003-05-17 11:16  laza2000

	* test/arc.cpp: Fixed arc demo

2003-05-17 11:03  laza2000

	* src/widgets/Fl_Menu_.cpp: Again fixed execute :)

2003-05-17 11:02  laza2000

	* src/widgets/Fl_Menu_.cpp: Fixed Fl_Menu_ execute

2003-05-17 10:57  laza2000

	* doc/EventsProposal.html: Added FL_VALUATOR_EVENTS

2003-05-17 10:38  laza2000

	* efltk/Fl_Events.h, efltk/Fl_Valuator.h,
	src/widgets/Fl_Slider.cpp, src/widgets/Fl_Valuator.cpp: Added
	FL_VALUATOR_EVENTS - used by all range controls derived from
	Fl_Valuator - such as Fl_Slider, Fl_Scrollbar..
	
	See Fl_Valuator.h for description of events.

2003-05-17 10:36  laza2000

	* test/: fast_slow.cpp, fast_slow.fl, fast_slow.h: Fixed fast_slow
	demo to show usage of new FL_VALUATOR_EVENTS Removed old files

2003-05-17 01:55  parshin

	* efltk-cforge.wrk, efltk/Fl_Browser.h, src/widgets/Fl_Browser.cpp,
	src/widgets/Fl_Menu_.cpp, test/label.cpp: Update for new events
	compatibility.

2003-05-17 01:53  parshin

	* test/: cursor.cpp, fonts.cpp: Test tested - Ok

2003-05-17 01:07  parshin

	* test/fast_slow.cpp: Update for new events compatibility

2003-05-17 00:30  parshin

	* src/widgets/Fl_Slider.cpp, test/curve.cpp: Update for new event
	system compatibility

2003-05-17 00:18  parshin

	* src/widgets/Fl_Choice.cpp, src/widgets/Fl_Menu_.cpp,
	test/cursor.cpp: Update for new event handling

2003-05-16 23:41  laza2000

	* src/core/fl_font_xft.cpp: [no log message]

2003-05-16 23:39  parshin

	* src/widgets/Fl_Combo_Box.cpp: Update for new event handling

2003-05-16 23:35  parshin

	* src/widgets/Fl_Color_Chooser.cpp: Update for new event handling

2003-05-16 23:29  laza2000

	* src/core/fl_font_win32.cpp: [no log message]

2003-05-16 23:29  parshin

	* src/widgets/fl_ask.cpp: Minor update

2003-05-16 23:25  laza2000

	* src/core/: Fl_init.cpp, Fl_win32.cpp, fl_font.cpp,
	fl_font_win32.cpp, fl_font_x.cpp, fl_font_xft.cpp: Made XFT working
	again.	free system font resources at exit

2003-05-16 23:00  parshin

	* src/widgets/Fl_Calendar.cpp, test/button.cpp, test/calendar.cpp:
	Update for new event handling

2003-05-16 22:47  parshin

	* efltk-cforge.wrk, test/browser.cpp,
	tools/efluid/Fl_Menu_Type.cpp, tools/efluid/Fl_Type.cpp: Update for
	new event handling

2003-05-16 21:11  parshin

	* efltk-cforge.wrk, efltk/Enumerations.h, efltk/Fl_Numeric_Input.h,
	src/widgets/Fl_Browser.cpp, src/widgets/Fl_Choice.cpp,
	src/widgets/Fl_Combo_Box.cpp, src/widgets/Fl_Dialog.cpp,
	src/widgets/Fl_FileBrowser.cpp, src/widgets/Fl_File_Dialog.cpp,
	src/widgets/Fl_Input.cpp, src/widgets/Fl_Input_Browser.cpp,
	src/widgets/Fl_MDI_Window.cpp, src/widgets/Fl_Numeric_Input.cpp,
	src/widgets/Fl_Tabs.cpp, src/widgets/Fl_Text_Editor.cpp,
	src/widgets/Fl_Tile.cpp, src/widgets/Fl_Valuator.cpp,
	src/widgets/Fl_Value_Input.cpp, test/ask.cpp: Update for new event
	system..

2003-05-16 21:02  parshin

	* efltk/Fl_Events.h, src/widgets/Fl_ListView.cpp,
	src/core/Fl_Widget.cpp, efltk/Fl_Widget.h: Update for new event
	system..

2003-05-16 20:32  parshin

	* src/widgets/Fl_ListView.cpp: Update for new event system..

2003-05-16 20:22  parshin

	* efltk/Fl_Events.h: Updated the logical events list

2003-05-16 19:24  laza2000

	* src/widgets/Fl_Button.cpp: Fl_Button generates correct events -
	maybe..

2003-05-16 19:01  laza2000

	* efltk/Fl_Widget.h: "uchar when_" to "int when_"

2003-05-16 18:55  laza2000

	* efltk/Fl_Events.h: Added FL_EVENTS_MASK

2003-05-16 18:54  laza2000

	* src/core/Fl_Widget.cpp: do_callback check that event belongs in
	when() event class

2003-05-16 18:32  parshin

	* src/widgets/Fl_Button.cpp: Adding event type handling to every
	single callback function..

2003-05-16 18:13  laza2000

	* src/core/: Fl_win32.cpp, Fl_x.cpp: Make FL_WINDOW_CLOSE - when
	user clicks close box in titlebar

2003-05-16 17:57  parshin

	* test/arc.cpp: Adding event type handling to every single callback
	function..

2003-05-16 12:36  laza2000

	* configure.in: include -I/opt/csw/include for solaris build Use
	xft-config

2003-05-16 01:52  parshin

	* doc/EventsProposal.html: Updated

2003-05-16 01:24  parshin

	* src/core/Fl.cpp, efltk/Fl.h: do_callback now can take an
	additional parameters - event argument and event data.

2003-05-16 01:15  parshin

	* src/core/Fl_Widget.cpp: do_callback now can take an additional
	parameters - event argument and event data.

2003-05-16 01:10  parshin

	* efltk/Fl_Widget.h: do_callback now can take an additional
	parameters - event argument and event data.

2003-05-16 00:55  parshin

	* efltk/Fl.h: Added Fl::event_data()

2003-05-15 23:31  parshin

	* doc/EventsProposal.html, efltk/Fl_Events.h: FL_DATA_COMMAND etc
	added

2003-05-15 23:06  parshin

	* efltk/Fl_Events.h: Updated

2003-05-15 23:04  space2

	* doc/EventsProposal.html: Generic command event

2003-05-15 22:38  parshin

	* doc/EventsProposal.html: Added event descriptions.

2003-05-15 22:22  parshin

	* efltk/Fl_Events.h: Minor update

2003-05-15 21:04  parshin

	* efltk-cforge.mak, efltk-cforge.wrk, doc/EventsProposal.html,
	efltk/Fl_Events.h: Minor corrections of event names

2003-05-15 20:23  parshin

	* efltk-cforge.wrk, doc/EventsProposal.html, efltk/Enumerations.h,
	efltk/Fl_Events.h, src/widgets/Fl_Combo_Box.cpp,
	src/widgets/Fl_ListView.cpp, src/widgets/Fl_Menu_.cpp: Events are
	defined in Fl_Events.h. I've added the compatibility #defines for
	old event definitions.

2003-05-15 18:13  parshin

	* src/widgets/Fl_ListView.cpp: Minor correction - to make sure
	Combo Box works correctly

2003-05-15 18:06  laza2000

	* src/core/fl_font_x.cpp: minor correction

2003-05-15 17:37  parshin

	* test/listview.cpp: Minor corrections in ListView and
	test/listview

2003-05-15 16:13  laza2000

	* src/core/fl_font_x.cpp: fl_create_font didn't generate XLFD's for
	bold and italic.

2003-05-15 06:00  parshin

	* efltk-cforge.mak, efltk-cforge.wrk, doc/EventsProposal.html,
	src/widgets/Fl_ListView.cpp, test/listview.cpp: 1) Updated version
	of Events Proposal. We need to discuss it ASAP.     And I mean -
	all of us. It can't wait any longer.  2) Fl_ListView and
	test/listview show the usage of events. Currently,    only
	FL_DATA_CHANGE event is issued and received formally correctly.

2003-05-15 02:05  parshin

	* doc/EventsProposal.html: Work in progress

2003-05-15 01:06  laza2000

	* test/listview.cpp: minor correction

2003-05-15 01:06  laza2000

	* src/widgets/Fl_ListView.cpp: Fixed callbacks.. again.. :)

2003-05-15 00:55  parshin

	* test/listview.cpp: Updated test

2003-05-15 00:34  laza2000

	* src/widgets/Fl_File_Dialog.cpp, src/widgets/Fl_ListView.cpp,
	src/widgets/Fl_Table_Base.cpp, efltk/Fl_ListView.h: Minor
	corrections - Removed extra parameter from select_item_only

2003-05-15 00:02  laza2000

	* src/widgets/Fl_Browser.cpp, src/widgets/Fl_Input_Browser.cpp,
	src/widgets/Fl_ListView.cpp, efltk/Fl_ListView.h: Minor corrections
	in keyboard event.  Made Fl_ListView backward compatible.

2003-05-14 23:57  parshin

	* efltk-cforge.mak, efltk-cforge.wrk, src/widgets/Fl_Combo_Box.cpp:
	Minor update

2003-05-14 23:33  laza2000

	* themes/essai.cpp, efltk/Fl_Flags.h: minor correction

2003-05-14 23:11  parshin

	* efltk/Fl_Multiline_Input.h: Minor corrections

2003-05-14 23:06  laza2000

	* src/widgets/Fl_Bar.cpp, src/widgets/Fl_Browser.cpp,
	src/widgets/Fl_Button.cpp, src/widgets/Fl_Choice.cpp,
	src/widgets/Fl_Input.cpp, src/widgets/Fl_Input_Browser.cpp,
	src/widgets/Fl_ListView.cpp, src/widgets/Fl_ListView_Item.cpp,
	src/widgets/Fl_ListView_ItemExt.cpp, src/widgets/Fl_MDI_Bar.cpp,
	src/widgets/Fl_MDI_Window.cpp, src/widgets/Fl_Main_Window.cpp,
	src/widgets/Fl_Menu.cpp, src/widgets/Fl_Menu_Bar.cpp,
	src/widgets/Fl_Menu_Button.cpp, src/widgets/Fl_Scrollbar.cpp,
	src/widgets/Fl_Slider.cpp, src/widgets/Fl_Split.cpp,
	src/widgets/Fl_Tabs.cpp, src/widgets/Fl_Text_Display.cpp,
	src/widgets/Fl_Text_Editor.cpp, src/widgets/Fl_Tool_Bar.cpp,
	src/widgets/Fl_Value_Input.cpp, src/widgets/Fl_Value_Slider.cpp,
	src/core/Fl.cpp, src/core/Fl_Widget.cpp, src/core/filename.cpp,
	src/core/fl_labeltype.cpp, efltk/Enumerations.h, efltk/Fl_Flags.h,
	efltk/Fl_ListView_Column.h, efltk/Fl_Widget.h, efltk/Fl_Window.h: 
	- Added Fl_Flags class to make it more type save and better
	usability.
	 - Added FL_FOCUS_ON_(CLICK|KEYBOARD) flags + functions to
	Fl_Widget.
	   This includes Fl_Widget::accept_focus(bool) which controls both
	flags.
	 - Fl_Tool_Button's doesnt take focus

2003-05-14 22:49  parshin

	* src/widgets/: Fl_Combo_Box.cpp, Fl_ListView.cpp: List View now
	generates an FL_DATA_CHANGE event when a row is selected, even if
	you just call a method.  Before it was generated only if you select
	an item with the mouse or keyboard.

2003-05-14 02:06  laza2000

	* src/widgets/Fl_Tool_Bar.cpp: Centered divider :)

2003-05-14 02:03  laza2000

	* src/widgets/Fl_Tool_Bar.cpp: Made divider lil bit thinner

2003-05-14 01:57  laza2000

	* tools/etranslate/: main_ui.cpp, main_ui.fl: Don't wrap toolbutton
	labels.

2003-05-14 01:52  laza2000

	* src/widgets/Fl_Tool_Bar.cpp, efltk/Fl_Tool_Bar.h,
	test/main_window.cpp: Work with icon sizes, instead of button sizes

2003-05-13 23:56  laza2000

	* test/mdi_test.cpp: minor corrections

2003-05-13 23:44  laza2000

	* test/: main_window.cpp, Makefile: Added main window test, to show
	features and usability of main window and frieds :)

2003-05-13 23:26  parshin

	* src/widgets/Fl_Simple_Html.cpp, efltk/Fl_Simple_Html.h: Added new
	style ctor

2003-05-13 21:53  laza2000

	* src/widgets/Fl_Tool_Bar.cpp: minor correction

2003-05-13 21:13  laza2000

	* src/widgets/Fl_Tool_Bar.cpp: Oops, last one was old version :)

2003-05-13 21:03  laza2000

	* src/widgets/Fl_Main_Window.cpp, src/widgets/Fl_Tool_Bar.cpp,
	efltk/Fl_Main_Window.h, efltk/Fl_Tool_Bar.h: Made Fl_Tool_Bar and
	Fl_Main_Window more usable, see docs.

2003-05-13 13:26  laza2000

	* src/widgets/Fl_Menu_add.cpp: Fixed Fl_Menu_::add

2003-05-13 07:39  parshin

	* src/widgets/images/: stock_refresh.xpm, stock_search.xpm: Minor
	update..

2003-05-13 02:17  parshin

	* src/widgets/Fl_Stock_Images.cpp: Most of the stock images use the
	correct pixmaps

2003-05-13 02:07  parshin

	* src/widgets/images/stock_calendar.xpm: More stock images

2003-05-13 01:28  parshin

	* src/widgets/images/: stock_refresh.xpm, stock_search.xpm,
	stock_send.xpm, stock_stepleft.xpm, stock_stepright.xpm: More stock
	images

2003-05-13 00:45  parshin

	* src/widgets/images/: stock_next.xpm, stock_prior.xpm: Stock
	images..

2003-05-13 00:37  parshin

	* test/net/: imap_connect.cpp, mail_accounts.cpp: Updated
	imap_connect - to work with updated List View

2003-05-13 00:13  parshin

	* bcb6/libefltk.bpr: Fl_Stock_Images.cpp added to BCB project

2003-05-12 23:25  laza2000

	* src/widgets/Makefile: Forgot to commit Makefile :)

2003-05-12 23:03  laza2000

	* src/widgets/Fl_Stock_Images.cpp, src/widgets/Fl_Dialog.cpp,
	efltk/Fl_Stock_Images.h: Added SI_ prefix for stock image types

2003-05-12 21:25  parshin

	* src/core/Fl_String_List.cpp: Fixed index_of() method.

2003-05-12 20:14  laza2000

	* efltk/Fl_Stock_Images.h: Added Fl_Stock_Images class

2003-05-12 20:14  laza2000

	* src/widgets/: Fl_Dialog.cpp, Fl_Stock_Images.cpp:  - Added
	Fl_Stock_Images class.
	 - Made Fl_Dialog use Fl_Stock_Images class

2003-05-12 19:37  parshin

	* src/widgets/images/: stock_print.xpm, stock_printer.xpm: Updated
	(not so ugly version) of stock images

2003-05-11 07:32  parshin

	* src/widgets/images/: stock_print.xpm, stock_printer.xpm: 2 more
	stock images.

2003-05-11 05:59  parshin

	* src/widgets/images/: stock_open.xpm, stock_save.xpm: 2 more stock
	images

2003-05-10 02:06  parshin

	* efltk-cforge.mak, efltk-cforge.wrk,
	src/widgets/images/stock_cancel.xpm,
	src/widgets/images/stock_delete.xpm,
	src/widgets/images/stock_edit.xpm,
	src/widgets/images/stock_help.xpm,
	src/widgets/images/stock_insert.xpm,
	src/widgets/images/stock_left.xpm,
	src/widgets/images/stock_new.xpm, src/widgets/images/stock_no.xpm,
	src/widgets/images/stock_ok.xpm,
	src/widgets/images/stock_right.xpm: New images for Fl_Stock_Images
	class.

2003-05-10 02:03  parshin

	* efltk/Fl_Stock_Images.h: Work in progress - do not interfere,
	please

2003-05-09 17:17  parshin

	* efltk/net/Fl_Mail_Message.h, test/net/ftp_connect.cpp: Minor
	corrections

2003-05-09 02:18  parshin

	* efltk/Fl_Variant.h, src/core/Fl_Variant.cpp: Added an extra
	constructors for Fl_Variant.

2003-05-08 04:24  parshin

	* efltk/db/Fl_Data_Dialog.h, src/db/Fl_Record_DS.cpp,
	efltk/db/Fl_Record_DS.h: Added an extra method to Data Dialog'
	Record DS that allows to duplicate record in Data Dialog instead of
	updating it

2003-05-07 04:20  parshin

	* src/widgets/Makefile: Fl_Config_Dialog_DS.cpp added to Makefile

2003-05-07 03:54  parshin

	* efltk/Fl_Variant.h, src/core/Fl_Variant.cpp,
	src/widgets/Fl_Check_Button.cpp, src/widgets/Fl_Combo_Box.cpp,
	src/widgets/Fl_Date_Time_Input.cpp, src/widgets/Fl_Dialog.cpp,
	src/widgets/Fl_Float_Input.cpp, src/widgets/Fl_Input.cpp,
	test/dialog.cpp: The set of methods Fl_Variant::as_xxxx() should be
	used everywhere when we need data value or conversion. These
	methods always provide a COPY of data converted as needed. Example
	- 100% of the widgets.
	
	In rare case when you need to access to actual data (not to the
	copy) you should use Fl_Variant::get_xxxx() methods. These methods
	never perform a conversion. Example - database driver
	implementation.

2003-05-07 03:49  parshin

	* bcb6/: _efltk_group.bpg, _efltk_group.dsk, dialog.bpf,
	dialog.bpr, dialog.dsk: New project (test/dialog) added to BCB
	project

2003-05-06 22:57  parshin

	* efltk-cforge.mak, efltk-cforge.wrk, efltk/Fl_Config_Dialog_DS.h,
	efltk/Fl_Data_Fields.h, efltk/Fl_Dialog_DS.h, efltk/Fl_Variant.h,
	efltk/db/Fl_Record_DS.h, src/core/Fl_Data_Fields.cpp,
	src/core/Fl_Variant.cpp, src/db/Fl_Data_Dialog.cpp,
	src/db/Fl_Record_DS.cpp, src/widgets/Fl_Config_Dialog_DS.cpp,
	src/widgets/Fl_Dialog.cpp, src/widgets/Fl_Dialog_DS.cpp,
	test/dialog.cpp, test/dialog_dialog.xpm, test/dialog_disk.xpm,
	test/listview.cpp: 1) Fl_Config_Dialog_DS is added. The example of
	usage is in test/dialog. This	 class stores/restores data in
	Fl_Config section. One Fl_Config may be used by    different
	dialogs.  2) Fl_Variant now uses convertors as_xxx() to get data
	from it. This means that    you don't care what's is inside
	Fl_Variant most of the time - it will try to	perform a
	conversion for you. You may also assign values to and from
	Fl_Variant    without a visible conversion - it will still work in
	most of the cases :)

2003-05-06 22:34  parshin

	* efltk/Fl_Secret_Input.h: Added new style ctor

2003-05-05 22:54  parshin

	* test/smile.xpm: File added.

2003-05-05 22:39  parshin

	* efltk-cforge.mak, efltk-cforge.wrk, efltk/Fl_Dialog.h,
	src/widgets/Fl_Button.cpp, src/widgets/Fl_Dialog.cpp,
	test/dialog.cpp: Fl_Dialog now supports a user-defined buttons.
	Some limitaions apply (see Fl_Dialog.h). I have also added some
	code to test/dialog to demonstrate the usage of such user buttons.

2003-05-05 03:12  parshin

	* efltk-cforge.wrk, efltk/Fl_Button_Group.h,
	src/widgets/Fl_Button_Group.cpp: Added support for button ids
	inside group.  It is very convenient if we work with the database
	data.

2003-05-03 23:10  parshin

	* test/button_groups.cpp: Minor layout corrections

2003-05-02 21:47  laza2000

	* src/widgets/Fl_ListView.cpp: remove didn't update
	Fl_Table_Base::row_count, which caused seg.faults..

2003-05-02 02:23  parshin

	* src/widgets/Fl_Menu_Bar.cpp: Minor update

2003-05-02 02:14  parshin

	* efltk/Fl_Menu_Bar.h: Method prototype correction

2003-05-02 01:05  parshin

	* efltk-cforge.mak, efltk-cforge.wrk, efltk/Fl_Group.h,
	src/core/Fl_Group.cpp, src/widgets/Fl_Input.cpp, test/Makefile,
	test/group_grow.cpp: Unfinished but working implementation of group
	auto_grow().  I had to recompile eFLTK completely to make it work -
	otherwise some widgets didn't work properly. EDE also must be
	recompiled.

2003-05-01 20:37  space2

	* src/: core/Fl_Group.cpp, widgets/layout_sizes.cpp: Some bug fixes
	with labels and layouts

2003-05-01 15:12  space2

	* src/widgets/Fl_Scroll.cpp: If it doesn't has a box, draw the
	background

2003-05-01 12:46  space2

	* src/widgets/Fl_Combo_Box.cpp: Added clipping when drawing the
	combo panel

2003-05-01 08:15  space2

	* efltk/Fl_Widget.h, src/core/Fl_Group.cpp, src/core/Makefile,
	src/core/fl_labeltype.cpp, src/widgets/Makefile,
	src/widgets/layout_sizes.cpp, src/widgets/layout_sizes.h: Fixed
	some bugs in layout, check test/split now :-)

2003-05-01 01:07  laza2000

	* src/widgets/Fl_ListView.cpp: draw selection on grayed color if
	not focused

2003-05-01 00:58  laza2000

	* src/widgets/Fl_Menu_Bar.cpp, efltk/Fl_Menu_Bar.h: Added support
	for preferred_size

2003-04-30 19:25  parshin

	* bcb6/: _efltk_group.bpg, _efltk_group.dsk, split.bpf, split.bpr,
	split.res: Split test added to BCB project

2003-04-30 09:53  space2

	* src/widgets/Fl_Tile.cpp: [no log message]

2003-04-30 09:24  space2

	* src/widgets/Fl_Tile.cpp: Hmmm... better ... but still not good

2003-04-29 15:47  leka

	* doc/ChangeLog: New ChangeLog ;)

2003-04-29 11:22  space2

	* test/demo.menu: Changed the location of efluid

2003-04-29 11:08  space2

	* src/core/fl_font_xft.cpp: fl_create_font was missing

2003-04-29 09:36  space2

	* doc/EventsProposal.html: Integrating lirc into efltk

2003-04-26 17:11  leka

	* visualc/: efltk.dsw, socket.dsp: Fixed dependencies...

2003-04-26 17:07  leka

	* bcb6/: arc.bpr, ask.bpr, bitmap.bpr, boxtype.bpr, browser.bpr,
	button.bpr, buttons.bpr, calendar.bpr, checkers.bpr, clock.bpr,
	db_odbc.bpr, line_style.bpr, listview.bpr, listview_ds.bpr,
	tabs.bpr, tabs1.bpr, tabs2.bpr: Removed websnap abd webdsnap
	package dependencies (we REALLY don't need WebSnap in eFLTK)...

2003-04-25 16:24  leka

	* visualc/efltk.dsw: Added socket project into eFLTK VisualC++
	workspace.

2003-04-25 16:22  leka

	* visualc/socket.dsp: Added socket project in VisualC++ workspace.

2003-04-25 11:05  laza2000

	* test/curve.cpp: Added double buffer option :) This shows how to
	double buffer single widget easily

2003-04-25 10:21  laza2000

	* test/curve.cpp: Updated test

2003-04-24 23:23  laza2000

	* visualc/: efltk.dsp, efltk_images.dsp, efltk_mysql.dsp,
	efltk_odbc.dsp, efltk_xml.dsp, efluid.dsp, etranslate.dsp: Updated
	vcpp prj files..

2003-04-24 23:19  laza2000

	* efltk/Fl_Gdi.h, efltk/Fl_PostScript.h, efltk/Fl_Printer.h,
	src/core/Fl.cpp, src/core/Fl_Bmp.cpp, src/core/Fl_Buffer.cpp,
	src/core/Fl_Image.cpp, src/core/Fl_PostScript.cpp,
	src/core/Fl_Translator.cpp, src/core/Fl_Util.cpp,
	src/core/Fl_win32.cpp, src/core/filename.cpp,
	src/core/fl_glyph.cpp, src/core/fl_labeltype.cpp,
	src/core/fl_theme.cpp, src/net/Fl_IMAP_Connect.cpp,
	src/widgets/Fl_Light_Button.cpp, src/widgets/Fl_ListView_Item.cpp,
	src/widgets/Fl_ListView_ItemExt.cpp, src/widgets/Fl_Menu.cpp,
	src/widgets/Fl_Text_Buffer.cpp: Fixing BCB warnings...

2003-04-24 23:17  laza2000

	* bcb6/: arc.bpr, ask.bpr, bitmap.bpr, boxtype.bpr, browser.bpr,
	button.bpr, buttons.bpr, calendar.bpr, checkers.bpr, clock.bpr,
	db_odbc.bpr, libefltk.bpr, line_style.bpr, listview.bpr,
	listview_ds.bpr, tabs.bpr, tabs1.bpr, tabs2.bpr, obj/README:
	Updated BCB project files, these don't have static paths

2003-04-24 19:53  laza2000

	* src/core/fl_blit_1.cpp: Fixed warnings produced by BCB

2003-04-24 19:52  laza2000

	* bcb6/config.h: #undef _WIN32_WINNT before set it

2003-04-24 18:52  parshin

	* bcb6/: _efltk_group.bpg, _efltk_group.dsk, _template.bpr,
	_template.res, arc.bpf, arc.bpr, arc.res, ask.bpf, ask.bpr,
	ask.res, bitmap.bpf, bitmap.bpr, bitmap.res, boxtype.bpf,
	boxtype.bpr, boxtype.res, browser.bpf, browser.bpr, browser.res,
	button.bpf, button.bpr, button.res, buttons.bpf, buttons.bpr,
	buttons.res, calendar.bpf, calendar.bpr, calendar.res,
	checkers.bpf, checkers.bpr, checkers.res, clock.bpf, clock.bpr,
	clock.res, config.h, db_odbc.bpf, db_odbc.bpr, db_odbc.res,
	hello.bpf, hello.bpr, hello.dsk, hello.res, libefltk.bpf,
	libefltk.bpr, line_style.bpf, line_style.bpr, line_style.dsk,
	line_style.res, listview.bpf, listview.bpr, listview.res,
	listview_ds.bpf, listview_ds.bpr, listview_ds.dsk, listview_ds.res,
	tabs.bpf, tabs.bpr, tabs.res, tabs1.bpf, tabs1.bpr, tabs1.res,
	tabs2.bpf, tabs2.bpr, tabs2.res: Adding bcb6 projects as binary
	files

2003-04-24 18:50  parshin

	* bcb6/: _efltk_group.bpg, _efltk_group.dsk, arc.bpf, arc.bpr,
	arc.res, ask.bpf, ask.bpr, ask.res, bitmap.bpf, bitmap.bpr,
	bitmap.res, boxtype.bpf, boxtype.bpr, boxtype.res, browser.bpf,
	browser.bpr, browser.res, button.bpf, button.bpr, button.res,
	buttons.bpf, buttons.bpr, buttons.res, calendar.bpf, calendar.bpr,
	calendar.res, checkers.bpf, checkers.bpr, checkers.res, clock.bpf,
	clock.bpr, clock.res, config.h, hello.bpf, hello.bpr, hello.res,
	libefltk.bpf, libefltk.bpr: Removing existing bcb6 projects.  I
	will re-add them as binary files

2003-04-24 18:07  laza2000

	* src/widgets/Fl_Combo_Box.cpp: Fl_Combo_Box draws now focus box. 
	focus box can be replaced in themes via style->focus_box, it
	defaults to FL_FLAT_BOX

2003-04-24 17:34  laza2000

	* src/core/fl_color_win32.cpp: Minor correction for geometric pens

2003-04-24 16:37  laza2000

	* src/widgets/Fl_ListView.cpp: Changed way items are selected in
	multi-selection LV. This is MUCH faster, old version was very slow
	under 300Mhz...

2003-04-24 16:09  laza2000

	* src/core/fl_color_win32.cpp: Minor corrections for selecting
	pens/brush

2003-04-24 15:58  laza2000

	* src/core/Fl_Boxtype.cpp, src/core/Fl_Window.cpp,
	src/core/Fl_win32.cpp, src/core/fl_arci.cpp,
	src/core/fl_color_win32.cpp, src/core/fl_internal.h,
	src/core/fl_rect.cpp, src/core/fl_vertex.cpp,
	src/widgets/Fl_ListView.cpp, src/widgets/Fl_ListView_Item.cpp,
	src/widgets/Fl_Tabs.cpp, efltk/win32.h: - Made Fl_Tabs focus box
	look lil bit nicer - FL_DOTTED_FRAME use stippled patterns under
	W32 also - added 2 pixels offset for LV items
	
	DRAWER: Added Fl_Line_Drawer class for Windows drawings.  It's
	cosmetic line drawer with styles, ALL win32 platforms supported. 
	Used in drawing functions that bypasses path mechanism.
	
	eFLTK uses PS_COSMETIC pens whenever it can, according to MSDN they
	are significantly faster then GEOMETRIC pens.
	
	bresenham drawing function is originally written by Kenny Hoff at
	http://timewarp.uncg.edu/~hoffkx/kenny/bresen.html It's highly
	modified for eFLTK purpose.

2003-04-24 00:33  laza2000

	* src/widgets/Fl_Table_Base.cpp: Minor correction for scrollbars
	clamping

2003-04-24 00:11  parshin

	* test/tabs.cpp: Minor corrections

2003-04-23 21:05  parshin

	* src/widgets/Fl_ListView.cpp: Fill function tries to keep the
	selection after fill(), if possible.

2003-04-23 19:56  parshin

	* src/db/odbc/Fl_ODBC_Database.cpp, src/db/Fl_Params.cpp,
	efltk/db/Fl_Params.h: Enchanced ODBC error processing - removed
	driver identification from ODBC error msgs. Minor corrections in
	Fl_Param, preventing GP Fault (still trying to figure out why - the
	code was correct).

2003-04-23 01:02  parshin

	* src/widgets/Fl_Check_Button.cpp, efltk/Fl_Check_Button.h,
	src/widgets/Fl_Dialog.cpp: Added DS support to Check Button.  Added
	default error alert to DS operations Fl_Dialog. fl_alert sucks. We
	need better solution, and more flexible, too.

2003-04-22 21:42  parshin

	* src/widgets/Fl_Combo_Box.cpp: Fl_Combo_Box now understands column
	visibility from ListView.

2003-04-22 18:07  laza2000

	* src/widgets/layout_sizes.h: Again made compile under vcpp

2003-04-22 02:20  parshin

	* efltk/Fl_ListView_Header.h: Blocked warnings in BCB

2003-04-22 01:12  laza2000

	* src/core/fl_draw_image_win32.cpp: ..

2003-04-22 01:02  laza2000

	* src/core/: fl_color_win32.cpp, fl_draw_image_win32.cpp:
	Correction for fl_setbrush, some images were not drawn correctly

2003-04-22 00:40  laza2000

	* src/core/fl_color_win32.cpp: Fixed new color code for W9x
	systems.  For some reason, when selecting new pen/brush for DC it
	returns "wrong" old pen/brush which we need to also free with
	DeleteObject.  This was filling up w9x resources pretty fast :)

2003-04-22 00:38  laza2000

	* bcb6/config.h, visualc/config.h: Added comment about _WIN32_WINNT
	and UNICODE

2003-04-21 22:48  parshin

	* bcb6/config.h: Tuned for Win95/98/ME compatibility

2003-04-21 20:30  laza2000

	* src/core/fl_color_win32.cpp: More BCB stuff

2003-04-21 20:23  parshin

	* src/core/fl_color_win32.cpp: BCB compatibility corrections

2003-04-21 13:27  laza2000

	* src/core/fl_color_win32.cpp: return in Fl_Device::color, if last
	color was same

2003-04-21 13:15  laza2000

	* src/core/fl_color_win32.cpp: Removed old code.

2003-04-21 13:11  laza2000

	* src/core/Fl_Boxtype.cpp, src/core/Fl_Variant.cpp,
	src/core/Fl_Window.cpp, src/core/fl_arci.cpp,
	src/core/fl_color_win32.cpp, src/core/fl_draw_image_win32.cpp,
	src/core/fl_rect.cpp, src/core/fl_vertex.cpp,
	src/widgets/Fl_ListView.cpp, efltk/win32.h, visualc/config.h:
	"brushless" drawing on Windows. Based on a suggestiong by Georg
	Fischer who found it in the MFC code. It also uses the "stock
	brushes" which allow the color to be changed without destroying and
	creating a brush. Result is MUCH faster redraw of windows.
	
	Warning: This uses calls that are W2K+ only. I put "#if
	_WIN32_WINNT >= 0x0500" around the necessary code.
	
	You can turn flag on in visualc/config.h, but binary doesnt work on
	w9x if flag is on!!
	
	From MSDN:  - Windows NT/2000/XP: Included in Windows 2000 and
	later.	 - Windows 95/98/Me: Unsupported.

2003-04-20 22:43  parshin

	* efltk-cforge.mak, efltk-cforge.wrk: C-Forge project update

2003-04-20 22:38  parshin

	* src/widgets/: layout_sizes.cpp, layout_sizes.h: Minor
	corrections. Still looking for the source of Fl_Split problems.

2003-04-20 20:21  laza2000

	* src/widgets/Fl_ListView.cpp: Minor correction in fill()

2003-04-20 19:24  parshin

	* src/core/Fl_Group.cpp: Restored to version 1.49. Let's start
	over.

2003-04-20 19:13  parshin

	* themes/essai.cpp: Commented out Tabs theming

2003-04-20 19:13  laza2000

	* efltk/Fl_Int_Input.h, src/widgets/Fl_Float_Input.cpp,
	src/widgets/Fl_Input.cpp: Added DS load/save support

2003-04-20 19:12  laza2000

	* src/db/mysql/Fl_MySQL_Database.cpp: debug msg ...

2003-04-20 18:38  parshin

	* src/core/Fl_Group.cpp: Minor updates

2003-04-20 16:47  laza2000

	* test/db/database.cpp: more .. :)

2003-04-20 16:44  laza2000

	* test/db/database.cpp: ..

2003-04-20 16:26  laza2000

	* src/core/: Fl_Data_Fields.cpp, Fl_Gif.cpp, Fl_Packed_Strings.cpp:
	...

2003-04-20 16:24  laza2000

	* test/db/database.cpp: Added some more code here :)

2003-04-20 16:23  laza2000

	* src/db/mysql/Fl_MySQL_Database.cpp: Made MySQL driver working
	after date/datetime changes. Some other minor fixes also.

2003-04-20 10:45  laza2000

	* visualc/: efltk.dsp, efltk.dsw, efltk_xml.dsp, mysql_test.dsp,
	odbc_test.dsp: Updated some prj files

2003-04-20 10:45  laza2000

	* src/widgets/: layout_sizes.cpp, layout_sizes.h: Made compile with
	vcpp

2003-04-20 10:42  laza2000

	* test/db/database.cpp: minor correction

2003-04-20 10:39  laza2000

	* test/db/database.cpp: oops :)

2003-04-20 10:37  laza2000

	* test/db/database.cpp, src/db/odbc/Fl_ODBC_Database.cpp,
	src/core/Fl_Data_Fields.cpp: Fixed ODBC driver for W32 atleast,
	propably other platforms also.	Couple very minor corrections done,
	like: added check for NULL before memset to 0 (see comments on
	Fl_ODBC_Database.cpp) Fixed database.cpp test, it was blank window,
	cause LV begin() does FL_GRoup::begin() also now..  Minor
	correction in Fl_Data_Field::as_string() when type==VAR_BUFFER, use
	m_dataSize as max length of string.

2003-04-20 07:21  parshin

	* test/db/db_odbc.cpp: db_odbc is restored. Please, keep it as
	plain console application. I don't want to have interfce affecting
	db testing.

2003-04-20 07:19  parshin

	* efltk/: Fl_Point.h, Fl_Rect.h, Fl_Size.h, Fl_Util.h: Fl_Point,
	Fl_Size, Fl_Rect separated to different header files. Fl_Utils.h
	still include them for backward compatibility.

2003-04-20 00:06  dejan

	* doc/EventsProposal.html: Comment about events idea, and example
	where developer would need some other event types...

2003-04-20 00:04  parshin

	* src/widgets/: layout_sizes.cpp, layout_sizes.h: Added the correct
	(I hope) header.

2003-04-19 23:48  parshin

	* test/net/imap_connect.cpp: Minor update

2003-04-19 23:43  parshin

	* src/widgets/layout_sizes.h: New module - should compute layout
	sizes and resize widget correctly in both - Fl_Split and Fl_Group.

2003-04-19 23:15  laza2000

	* src/widgets/Fl_ListView.cpp, src/widgets/Fl_ListView_Item.cpp,
	src/widgets/Fl_ListView_ItemExt.cpp, src/widgets/Fl_Table_Base.cpp,
	efltk/Fl_ListView.h, efltk/Fl_ListView_Item.h: Fl_Listview draws
	now row, not item. This speeds up lil bit drawing.

2003-04-19 22:47  parshin

	* src/core/Fl_Group.cpp: Enchanced layout algorithm for the
	FL_ALIGN_CLIENT.

2003-04-19 22:18  parshin

	* src/widgets/Fl_ListView.cpp: Fixed fill() method to re-use
	existing column width

2003-04-19 20:02  parshin

	* src/widgets/Fl_ListView.cpp: Fixed fill() function

2003-04-19 19:33  laza2000

	* efltk/Fl_ListView_Item.h, src/widgets/Fl_ListView.cpp,
	src/widgets/Fl_ListView_Item.cpp,
	src/widgets/Fl_ListView_ItemExt.cpp: Fixed LV item bug, when LV had
	more columns than item.

2003-04-19 19:07  laza2000

	* src/widgets/Fl_ListView.cpp, efltk/Fl_ListView.h: Minor
	correction for columns

2003-04-19 18:58  laza2000

	* src/widgets/: Fl_Combo_Box.cpp, Fl_ListView.cpp: Minor correction
	in combo box drawing Fixed Fl_ListView::find_* functions, when list
	is empty

2003-04-19 18:53  parshin

	* src/core/: Fl_Group.cpp, fl_labeltype.cpp: Restored the orignal
	recepy for layout_align.

2003-04-19 09:52  cortex

	* src/core/: fl_font_x.cpp, fl_theme.cpp: xlistfont is too slow,
	added simple but faster way, add better gtk color settings, qt, kde

2003-04-18 21:34  parshin

	* src/widgets/: Fl_ListView_ItemExt.cpp, Fl_Table_Base.cpp: Minor
	compatibility corrections

2003-04-18 21:31  parshin

	* src/widgets/Fl_ListView_Item.cpp: Minor compatibility corrections

2003-04-18 18:58  parshin

	* test/combobox.cpp: Updated version to demonstrate label problems.

2003-04-18 13:41  laza2000

	* src/widgets/Fl_ListView.cpp, src/widgets/Fl_ListView_Header.cpp,
	efltk/Fl_ListView_Header.h: Fl_ListView_Header was missing style

2003-04-18 13:38  laza2000

	* themes/eblue.cpp: minor corrections

2003-04-18 13:27  laza2000

	* themes/: eblue.cpp, essai.cpp: minor corrections

2003-04-18 13:20  laza2000

	* themes/essai.cpp: Added tab button theming Added slider theming

2003-04-18 10:44  laza2000

	* src/widgets/Fl_Tabs.cpp: minor correction for layout

2003-04-18 09:23  laza2000

	* test/split.cpp: ..............................

2003-04-18 09:22  laza2000

	* src/core/Fl_Group.cpp: Fixed Fl_Group::layout for outside labels

2003-04-18 07:53  parshin

	* test/tabs.cpp: ListView added to show theming effects

2003-04-18 02:35  parshin

	* themes/: bg4.xpm, essai.cpp: Added lighter-than-light background
	for listview.

2003-04-18 02:10  parshin

	* test/split.cpp: The test / split shows the problem with split and
	ListView.  I'm noy sure what's causing the problem yet.:

2003-04-18 00:25  laza2000

	* src/widgets/Fl_Combo_Box.cpp, src/widgets/Fl_ListView.cpp,
	src/widgets/Fl_ListView_Item.cpp, src/widgets/Fl_Popup_Window.cpp,
	src/widgets/Fl_Table_Base.cpp, efltk/Fl_ListView_Item.h:
	Corrections in table/lv theming.  Fixed popup window. (didn't hide
	on click outside)

2003-04-17 18:34  laza2000

	* src/widgets/Fl_Date_Time_Input.cpp: minor corrections for
	preferred_size

2003-04-17 18:32  laza2000

	* src/widgets/: Fl_Combo_Box.cpp, Fl_Date_Time_Input.cpp: minor
	corrections for theming

2003-04-17 18:11  laza2000

	* src/widgets/Fl_Date_Time_Input.cpp: input fields draws bg using
	parent color/image (themed)

2003-04-17 14:28  laza2000

	* efltk/Fl_Table_Base.h: Added license info..

2003-04-17 08:09  laza2000

	* src/widgets/Fl_FileBrowser.cpp, src/widgets/Fl_ListView.cpp,
	efltk/Fl_ListView.h, visualc/efltk.dsp: Corrections for W32 Fixed
	LV callbacks for key events

2003-04-16 23:52  laza2000

	* themes/essai.cpp: Added box type for combo box

2003-04-16 23:52  laza2000

	* src/widgets/Fl_Combo_Box.cpp: Made combobox panel to use themes

2003-04-16 23:35  laza2000

	* efltk/Fl_Combo_Box.h: Added style

2003-04-16 23:35  laza2000

	* src/widgets/Fl_Combo_Box.cpp: Added styles for combo box

2003-04-16 23:33  parshin

	* src/db/odbc/Fl_ODBC_Database.cpp: ODBC now understands the type
	of DATETIME column (DATE or DATETIME) in select query -
	automatically.

2003-04-16 22:57  laza2000

	* src/widgets/Fl_ListView.cpp: Fixed type-in-search

2003-04-16 22:27  laza2000

	* themes/motif.cpp: lighter bg for lv

2003-04-16 22:24  laza2000

	* src/widgets/: Fl_ListView_Item.cpp, Fl_Table_Base.cpp:
	header/item default smaller

2003-04-16 21:50  laza2000

	* src/widgets/Fl_ListView_Item.cpp: minor correction for stripe
	drawing

2003-04-16 21:38  laza2000

	* test/listview.cpp: Made this compile..  I'll add better test
	later.	Also the one, which shows widgets in table :)

2003-04-16 21:37  laza2000

	* src/widgets/: Fl_FileBrowser.cpp, Fl_File_Dialog.cpp,
	Fl_ListView.cpp, Fl_ListView_Header.cpp, Fl_ListView_Item.cpp,
	Fl_ListView_ItemExt.cpp, Fl_Table_Base.cpp, Makefile: Added new
	Fl_ListView, which is based on new Fl_Table_Base widget.  LV is
	mostly compatible, different to old: label(int col) return const
	char * now.
	
	Added Fl_Table_Base Added Fl_Packed_Strings
	
	docos comes later, as usual :))

2003-04-16 21:34  laza2000

	* efltk/Fl_ListView.h, efltk/Fl_ListView_Column.h,
	efltk/Fl_ListView_Header.h, efltk/Fl_ListView_Item.h,
	efltk/Fl_PackedStrings.h, efltk/Fl_Packed_Strings.h,
	efltk/Fl_Table_Base.h, src/core/Fl_PackedStrings.cpp,
	src/core/Fl_Packed_Strings.cpp, src/core/Makefile: Added new
	Fl_ListView, which is based on new Fl_Table_Base widget.  LV is
	mostly compatible, different to old: label(int col) return const
	char * now.
	
	Added Fl_Table_Base Added Fl_Packed_Strings
	
	docos comes later, as usual :))

2003-04-16 00:15  parshin

	* src/db/odbc/Fl_ODBC_Database.cpp: ODBC correction. My prior
	'perfect' version worked fine under Unix but didn't stand Windows
	tests. Falling back..

2003-04-15 23:22  parshin

	* efltk-cforge.mak, efltk-cforge.wrk: CForge-project updated

2003-04-15 23:18  parshin

	* test/hello.cpp: The true beauty is restored

2003-04-15 23:10  parshin

	* bcb6/: _efltk_group.bpg, arc.bpr, ask.bpr, bitmap.bpr,
	boxtype.bpr, browser.bpr, button.bpr, buttons.bpr, calendar.bpr,
	checkers.bpr, clock.bpr, libefltk.bpr: Turned off Code Guard option
	in BCB projects

2003-04-15 23:02  parshin

	* test/db/db_odbc.cpp: Minor corrections

2003-04-15 22:56  parshin

	* bcb6/_efltk_group.bpg, bcb6/_efltk_group.dsk, bcb6/hello.bpr,
	bcb6/libefltk.bpr, efltk/Fl_Memory_DS.h, src/core/Fl_Bmp.cpp,
	src/core/Fl_Buffer.cpp, src/core/Fl_Config.cpp,
	src/core/Fl_Data_Fields.cpp, src/core/Fl_Gif.cpp,
	src/core/Fl_Translator.cpp, src/core/Fl_Xpm.cpp,
	src/core/fl_draw_image_win32.cpp, src/core/fl_theme.cpp,
	src/core/fl_utf8.cpp, src/db/Fl_Params.cpp,
	src/widgets/Fl_File_Dialog.cpp, src/widgets/Fl_ListView.cpp,
	src/widgets/Fl_Tabs.cpp, src/widgets/Fl_Text_Buffer.cpp,
	test/hello.cpp, test/db/db_odbc.cpp: Fixed several warning like
	'code is unreachable', or 'possibly, incorrect assignment'.

2003-04-15 20:50  parshin

	* src/db/odbc/Fl_ODBC_Database.cpp: Better support for string
	parameters.

2003-04-15 17:19  parshin

	* efltk-cforge.mak, efltk-cforge.wrk, efltk/Fl_Combo_Box.h,
	efltk/Fl_Date_Time_Input.h, efltk/Fl_Float_Input.h,
	efltk/Fl_Group.h, efltk/Fl_Input.h, efltk/Fl_Widget.h,
	src/core/Fl_Group.cpp, src/widgets/Fl_Combo_Box.cpp,
	src/widgets/Fl_Date_Time_Input.cpp, src/widgets/Fl_Float_Input.cpp,
	src/widgets/Fl_Input.cpp: Modified the prototype of save_date()
	const to just save_data()

2003-04-15 07:17  laza2000

	* doc/EventsProposal.html: Added some comments with RED :))

2003-04-15 02:25  parshin

	* doc/EventsProposal.html: Yet another portion of Events Proposal,
	awaiting for everybody' opinion.

2003-04-14 22:49  parshin

	* src/db/odbc/Fl_ODBC_Database.cpp: Added support for 'null'
	parameters.  Parameter has a null value if it was requested by
	setting Fl_Param::is_null() to true. Currently, that flag is not
	reset by the following assignments to Fl_Param. You gotta set it
	manually as is_null(false). It's ugly, and I still thinking on it. 
	P.S.  The whole thing is needed in order to write 'NULL' value in
	the database.

2003-04-14 21:40  laza2000

	* src/widgets/Fl_Input_Browser.cpp: Minor correction for events..

2003-04-14 15:07  laza2000

	* src/core/fl_overlay.cpp: Minor correction for overlay drawing..

2003-04-13 20:30  parshin

	* doc/EventsProposal.html: Please, read it, sleep on it, we will
	discuss it.

2003-04-13 04:59  parshin

	* src/core/Fl.cpp, efltk/Fl.h, src/core/Fl_Widget.cpp,
	efltk/Fl_Widget.h, tools/efluid/Fl_Widget_Type.cpp,
	test/combobox.cpp, test/date_time_widgets.cpp,
	test/labelwidth2.cpp, efltk-cforge.mak, efltk-cforge.wrk:
	Fl_Widget::event() is replaced with Fl::event(). Added
	Fl::event_argument(). Fl_Widget::do_callback() got an extra
	'event_argument' (defaults to 0).

2003-04-12 17:14  laza2000

	* src/core/Fl_Lists.cpp: minor corretion

2003-04-12 17:02  laza2000

	* src/core/Fl_Lists.cpp, efltk/Fl_Ptr_List.h: Added search
	functions to Fl_Ptr_List, TODO: add them to other lists also.

2003-04-12 16:32  laza2000

	* src/core/Fl_Maps.cpp: Don't use binary search here

2003-04-12 09:01  parshin

	* src/db/Fl_Record_DS.cpp: Fl_Record_DS now works correctly with
	the bad key value (with no data found)

2003-04-12 08:03  parshin

	* src/widgets/Fl_Dialog.cpp: Removed the save_data() AFTER exiting
	modal mode. Before, it was called twice - once inside and once
	outside modal mode.

2003-04-12 02:10  parshin

	* efltk-cforge.mak, efltk/db/Fl_Params.h, src/db/Fl_Params.cpp,
	src/db/odbc/Fl_ODBC_Database.cpp: Fixing Fl_Param. Work in
	progress, unfinished.

2003-04-11 19:30  parshin

	* src/core/Fl_win32.cpp: OOPS, minor correction.

2003-04-11 19:21  parshin

	* src/core/Fl_win32.cpp: It was a very strange code. I'm not drunk
	enough to understand the motive.

2003-04-11 19:12  parshin

	* src/core/Fl_Maps.cpp: Loop condition was always true..

2003-04-11 18:27  laza2000

	* src/core/: Fl_Config.cpp, Fl_Lists.cpp, Fl_PackedStrings.cpp,
	Fl_String_List.cpp, Makefile: New Fl_String_List implementation. 
	Added Fl_PackedStrings Minor corrections..

2003-04-11 18:26  laza2000

	* efltk/: Enumerations.h, Fl_Config.h, Fl_PackedStrings.h,
	Fl_Ptr_List.h, Fl_String_List.h:  - New implementation for
	Fl_String_List, 100% compatible.
	 - Added Fl_PackedStrings, will used on new listview soon.
	 - minor fixes in Fl_Config

2003-04-11 08:05  parshin

	* src/db/odbc/Fl_ODBC_Database.cpp: Fixed the memory overlap in
	Fl_ODBC_Param by killing Fl_ODBC_Param :).

2003-04-11 02:52  parshin

	* efltk/Fl_Data_Fields.h, src/core/Fl_Data_Fields.cpp,
	src/db/Fl_Record_DS.cpp, src/db/odbc/Fl_ODBC_Database.cpp: Added
	the precision(number of digits after decimal point) field to
	Fl_Data_Field.	It only affects Fl_Data_Field for floating point
	type and only for conversion to string. Useful in ListView and
	derived classes.  Added the support for it in Fl_Query.

2003-04-11 00:35  parshin

	* src/widgets/Fl_Combo_Box.cpp: Fixed colors again. Can I ever get
	it right?

2003-04-10 22:20  parshin

	* src/widgets/Fl_Combo_Box.cpp: Sorry, CR/LF

2003-04-10 22:17  parshin

	* src/widgets/Fl_Combo_Box.cpp: Update colors in draw.

2003-04-10 09:14  parshin

	* efltk-cforge.mak, efltk-cforge.wrk,
	src/db/odbc/Fl_ODBC_Database.cpp, src/widgets/Fl_Combo_Box.cpp:
	Minor corrections

2003-04-10 07:20  parshin

	* efltk/Fl_Float_Input.h, src/widgets/Fl_Float_Input.cpp: Added
	Datasourse support

2003-04-10 02:02  parshin

	* efltk/Fl_Combo_Box.h, src/widgets/Fl_Combo_Box.cpp: Some
	corrections in Fl_Combo_Box::fill() method. I beleive, something
	like this could be used in Fl_ListView, too

2003-04-10 00:00  parshin

	* src/widgets/Fl_Combo_Box.cpp, efltk/Fl_Combo_Box.h,
	src/widgets/Fl_Date_Time_Input.cpp, efltk/Fl_Date_Time_Input.h:
	Added DataSource support to ListView (tested), DateInput (tested),
	DateTimeInput, DateIntervalInput (both not tested).

2003-04-09 16:06  leka

	* efltk.spec.in: No static builds for now...

2003-04-09 10:36  space2

	* src/db/Fl_Record_DS.cpp: New GCC doesn't like default parameters
	in .cpp

2003-04-09 08:33  parshin

	* src/db/: Fl_Data_Dialog.cpp, Fl_Record_DS.cpp: Minor corrections
	already.

2003-04-09 08:28  parshin

	* efltk/db/Fl_Data_Dialog.h, efltk/db/Fl_Record_DS.h,
	src/db/Fl_Data_Dialog.cpp, src/db/Fl_Record_DS.cpp,
	src/db/Makefile: Data_Dialog has arrived. Now SPTK is about 90%
	ported.

2003-04-09 08:21  parshin

	* efltk/Fl_Variant.h, src/db/odbc/Fl_ODBC_Database.cpp,
	src/widgets/Fl_Input.cpp: Fixed seroius bug in ODBC support.  Small
	fixed in Fl_Input and Fl_Variant.

2003-04-08 22:40  parshin

	* src/widgets/Fl_Input.cpp: "Fixed preferred_size for limited input
	length"

2003-04-08 20:24  space2

	* efltk/Fl_Split.h, src/widgets/Fl_Split.cpp, test/split.cpp:
	Corrected 2 minor bugs:  - when a neighbouring widgets was resized
	to zero size, the second neighbour got resized too (so the first
	one disappeared forever)  - the cursor changing now works ok

2003-04-08 19:28  cortex

	* build.gcc: Small boxtype changes

2003-04-08 19:23  cortex

	* src/widgets/: Fl_Scrollbar.cpp, Fl_Input_Browser.cpp,
	Fl_Menu.cpp: Small boxtype changes

2003-04-08 19:20  cortex

	* efltk/Fl_Boxtype.h, src/core/Fl_Boxtype.cpp: Small boxtype
	changes

2003-04-08 08:38  parshin

	* efltk/Fl_Dialog.h: Slowly moving towards Fl_DB_Dialog. Currently,
	it's about 50% completed, and counting. I'll put Fl_DB_Dialog in
	CVS as soon as I test it.

2003-04-08 01:21  parshin

	* efltk-cforge.mak, efltk-cforge.wrk, efltk/Fl_Dialog_DS.h,
	efltk/Fl_Group.h, src/core/Fl_Group.cpp, src/widgets/Fl_Dialog.cpp,
	src/widgets/Fl_Dialog_DS.cpp, test/split2.cpp: Work in progress -
	steps toward Fl_DB_Dialog.

2003-04-07 09:02  laza2000

	* src/widgets/Fl_Tabs.cpp: set tabs color() to created group/scroll

2003-04-07 08:55  laza2000

	* src/widgets/: Fl_Dialog.cpp, Fl_File_Dialog.cpp: Changed
	Fl_File_Chooser to derive Fl_Dialog.  Added Fl_Dialog::submit and
	updated docs

2003-04-07 08:41  laza2000

	* efltk/: Fl_Dialog.h, Fl_File_Dialog.h: Changed Fl_File_Chooser to
	derive Fl_Dialog.  Added Fl_Dialog::submit and updated docs

2003-04-07 05:26  parshin

	* src/widgets/Fl_Dialog.cpp: Added a callback for Fl_Dialog.

2003-04-06 20:17  parshin

	* efltk/Fl_Dialog.h, src/widgets/Fl_Dialog.cpp: Update for
	Fl_Dialog

2003-04-06 20:00  parshin

	* efltk-cforge.mak, efltk-cforge.wrk, efltk/Fl_Dialog.h:
	Fl_Dialog.h changes. Mikko, please complete the code in
	Fl_Dialog.cpp

2003-04-06 17:53  laza2000

	* efltk/Fl_Split.h, efltk/Fl_Widget.h, src/widgets/Fl_Split.cpp:
	Ok, Fl_Split is now derived from Fl_Widget, bug was label_width :)
	Fl_Widget ctor sets default value label_width=100 ?! Why? There's
	no reason for it..  Since Fl_Widget is not real widget, it's base
	class. So I set it to -1 like Fl_Box does

2003-04-06 17:01  laza2000

	* src/widgets/Fl_Split.cpp, efltk/Fl_Split.h: Wondering wh Fl_Split
	needs to be derived from Fl_Box, not Fl_Widget.?! Added header text
	to Fl_Split.h

2003-04-06 12:45  laza2000

	* efltk/Fl_Split.h, src/widgets/Fl_Split.cpp: Added style support

2003-04-06 12:36  laza2000

	* visualc/efltk.dsp: Forgot this..

2003-04-06 12:35  laza2000

	* test/split.cpp, visualc/efltk.dsp, visualc/efltk.dsw,
	efltk/Fl_Split.h, src/widgets/Fl_Split.cpp: Added new Fl_Split from
	Szasz Pal.  Minor correction: made Fl_Split work with old style
	positioning with resizable() (see split test)

2003-04-06 12:07  laza2000

	* test/socket.cpp: More sophisticated socket example, with async
	document loading and http header parsing :)

2003-04-06 12:06  laza2000

	* src/core/Fl_win32.cpp: Fixed Fl::*_fd for win32

2003-04-06 10:27  parshin

	* src/widgets/Fl_Split.cpp: Minor update

2003-04-06 10:23  parshin

	* src/core/Fl_Data_Source.cpp, efltk/Fl_Data_Source.h,
	src/widgets/Fl_Dialog.cpp, efltk/Fl_Dialog.h,
	src/widgets/Fl_Dialog_DS.cpp, efltk/Fl_Dialog_DS.h,
	src/core/Fl_Group.cpp, test/dialog.cpp: Yet another update for
	Fl_Dialog

2003-04-06 06:50  parshin

	* efltk-cforge.mak, efltk-cforge.wrk, efltk/Fl_Dialog_DS.h,
	src/widgets/Fl_Dialog_DS.cpp, src/widgets/Makefile: Modifications
	to make the life easier in general.  Well, at least for me and
	Fl_DB_Dialog (yet to come).

2003-04-06 06:19  parshin

	* src/widgets/Fl_Dialog.cpp, efltk/Fl_Dialog.h: Modifications to
	use Fl_Dialog_DS in Fl_DB_Dialog

2003-04-05 22:59  parshin

	* efltk/: Fl_Value_Input.h, Fl_Valuator.h, Fl_Toggle_Button.h:
	Added reset()

2003-04-05 22:54  parshin

	* efltk/: Fl_Combo_Box.h, Fl_Date_Time_Input.h, Fl_Input.h: Added
	reset()

2003-04-05 22:49  parshin

	* efltk/: Fl_Button_Group.h, Fl_Check_Button.h, Fl_Choice.h: Added
	reset()

2003-04-05 22:44  parshin

	* efltk/Fl_Calendar.h: Added reset()

2003-04-05 18:40  laza2000

	* efltk/Fl_Group.h: Fl_Group::store_sizes

2003-04-05 12:58  laza2000

	* src/core/Fl_Group.cpp, src/core/Fl_arg.cpp,
	src/widgets/Fl_Color_Chooser.cpp, src/widgets/Fl_Tile.cpp,
	test/db/database.cpp: Changed protected Fl_Group::sizes() to public
	Fl_Group::store_sizes()

2003-04-05 12:42  laza2000

	* visualc/efltk_db.dsp: Updated VCPP project files

2003-04-05 12:36  laza2000

	* src/db/Fl_Query.cpp: Fixes for vc++ compiler

2003-04-05 12:34  laza2000

	* src/core/Fl_Group.cpp: Fixed widget_total_height() under vc++
	compiler

2003-04-05 12:34  laza2000

	* test/labelwidth2.cpp: Minor correction

2003-04-04 22:03  laza2000

	* themes/motif.cpp: Added motif look scrollbars

2003-04-04 21:55  parshin

	* efltk-cforge.mak, efltk-cforge.wrk, src/widgets/Fl_Split.cpp,
	test/split.cpp: Update for Fl_Split, sent to me by Pali.

2003-04-04 21:18  parshin

	* src/widgets/Fl_Text_Display.cpp, src/widgets/Fl_Text_Editor.cpp,
	efltk/Fl_Text_Editor.h, src/widgets/Fl_Tool_Bar.cpp,
	efltk/Fl_Tool_Bar.h, efltk/Fl_Value_Input.h,
	src/widgets/Fl_Value_Slider.cpp, src/widgets/Fl_Value_Input.cpp,
	src/widgets/Fl_Tabs.cpp, efltk/Fl_Toggle_Button.h: Added new style
	ctors

2003-04-04 20:43  parshin

	* efltk/Fl_Text_Display.h, src/widgets/Fl_Text_Display.cpp: Added
	new style ctors

2003-04-04 20:35  parshin

	* efltk/: Fl_Text_Display.h, Fl_Text_Editor.h, Fl_Tile.h,
	Fl_Toggle_Button.h, Fl_Tool_Bar.h, Fl_Value_Input.h,
	Fl_Value_Output.h, Fl_Value_Slider.h, Fl_Wordwrap_Input.h: Added
	new style ctors

2003-04-04 20:34  parshin

	* efltk/Fl_Valuator.h: Minor corrections

2003-04-04 19:25  parshin

	* src/core/Fl_Group.cpp: Fix for incorrect fix for layout_align.

2003-04-04 09:49  parshin

	* efltk/Fl_Widget.h: Added reset() method. That method should clear
	widgets's text or selection set. It's handy in Dialogs

2003-04-03 23:51  parshin

	* efltk-cforge.mak, efltk-cforge.wrk, src/widgets/Makefile,
	test/Makefile: Project files updated to include Fl_Split

2003-04-03 23:48  parshin

	* efltk/Fl_Widget.h, test/split.cpp: Fixed the bug in auto-layout
	for inside labels

2003-04-03 23:44  parshin

	* src/core/Fl_Group.cpp, src/widgets/Fl_Split.cpp,
	efltk/Fl_Split.h: Fixed the bug in auto-layout for inside labels

2003-04-03 18:42  laza2000

	* src/core/Fl_Maps.cpp: Added better hashing functions. CRC32 is
	used for strings now.

2003-04-03 15:55  laza2000

	* src/widgets/: Fl_MDI_Window.cpp, Fl_Menu.cpp, Fl_Menu_.cpp: Minor
	corrections for MDI/menu window colors

2003-04-03 14:07  laza2000

	* src/core/Fl_Config.cpp, src/core/fl_theme.cpp, efltk/Fl_Config.h:
	 - Changed Fl_Config to use hash maps. Much faster now.
	 - Added docs for Fl_Config class (doxygen)

2003-04-03 09:14  laza2000

	* src/core/: Fl_Maps.cpp, Fl_Translator.cpp: Minor corrections..

2003-04-03 08:44  laza2000

	* src/core/Fl_Config.cpp: trim key and value when reading the file

2003-04-03 07:39  parshin

	* efltk/Fl_Data_Source.h: Minor corrections

2003-04-03 00:56  laza2000

	* src/core/Fl_Buffer.cpp: Fixed save_file.. I thought i did this
	already, long time ago.. ?

2003-04-03 00:25  parshin

	* efltk/Fl_Dialog.h: Minor corrections to make Fl_DB_Dialog access
	Fl_Dialog' tabs.

2003-04-02 21:58  parshin

	* efltk/Fl_Dialog.h, src/widgets/Fl_Dialog.cpp: Minor corrections.

2003-04-02 08:04  laza2000

	* src/xml/: Fl_XmlDoc.cpp, Fl_XmlNode.cpp, Fl_XmlParser.cpp:
	Removed not needed includes

2003-04-02 07:23  parshin

	* src/widgets/Fl_Input_Browser.cpp: Minor update.

2003-04-02 05:38  parshin

	* efltk-cforge.mak, efltk-cforge.wrk,
	src/widgets/Fl_ListView_Item.cpp: added extra sort function to be
	optimized later.

2003-04-02 01:47  parshin

	* src/core/Fl_Data_Fields.cpp, efltk/Fl_Data_Fields.h,
	src/widgets/Fl_ListView.cpp, efltk/Fl_ListView_Item.h,
	src/db/odbc/Fl_ODBC_Database.cpp, src/core/Fl_Variant.cpp,
	efltk/Fl_Variant.h, test/layout.cpp, test/listview_sort.cpp: Added
	new variant type - VAR_DATE. Now we have VAR_DATE and VAR_DATETIME.
	 That makes the usage and display of date related information
	easier.

2003-04-01 23:29  parshin

	* efltk/Fl_Data_Fields.h, efltk/Fl_Flags.h, efltk/Fl_ListView.h,
	src/widgets/Fl_ListView_Header.cpp, efltk/Fl_ListView_Header.h,
	src/widgets/Fl_Tabs.cpp, efltk/Fl_Variant.h: Added (and used)
	Fl_Variant_Type. Fl_Align type made as FL_FLAGS_ENUM to make it
	more strict.

2003-04-01 23:05  parshin

	* src/widgets/Fl_Bar.cpp: Fixed wrong order of the arguments in
	ctor

2003-04-01 22:12  laza2000

	* src/widgets/Fl_Input.cpp: fixed FL_ALIGN_INSIDE labels

2003-04-01 22:03  laza2000

	* tools/etranslate/etranslate.h: minor correction..

2003-04-01 22:02  laza2000

	* efltk/Fl_WM.h: Added Fl_WM::close_window

2003-04-01 22:01  laza2000

	* src/core/: Fl_Translator.cpp, Fl_WM.cpp, Fl_x.cpp, fl_font_x.cpp,
	fl_font_xft.cpp: Minor corrections

2003-04-01 21:22  laza2000

	* src/core/Fl_Translator.cpp: missing include..

2003-04-01 20:14  parshin

	* efltk/Fl_Group.h, src/widgets/Fl_Tabs.cpp, efltk/Fl_Tabs.h: Added
	new style ctor. Default label_width for groups and tabs is set to
	-1 (no limits for label).

2003-04-01 19:48  laza2000

	* efltk/xml/Fl_XmlCtx.h: Removed old file

2003-04-01 19:47  laza2000

	* src/xml/: Fl_XmlCtx.cpp, Makefile: Removed old not needed file

2003-04-01 19:46  laza2000

	* src/core/: Fl_Maps.cpp, Makefile: Forgot to remove Fl_Hashs.cpp
	from makefile

2003-04-01 18:38  parshin

	* efltk/Fl_Input.h, src/widgets/Fl_Roller.cpp, efltk/Fl_Roller.h,
	src/widgets/Fl_Scroll.cpp, efltk/Fl_Scroll.h,
	src/widgets/Fl_Scrollbar.cpp, efltk/Fl_Scrollbar.h: Added new style
	ctors

2003-04-01 17:59  laza2000

	* src/xml/Fl_XmlDoc.cpp, src/xml/Fl_XmlNode.cpp,
	src/xml/Fl_XmlParser.cpp, tools/etranslate/compile.cpp,
	test/xml_test.cpp, test/xml_test2.cpp: Removed old hash classes.
	All maps are now hashed.  Made XML lib to work with new maps.

2003-04-01 17:58  laza2000

	* src/core/: Fl_Hashs.cpp, Fl_Maps.cpp, Fl_Translator.cpp: Removed
	old hash classes. All maps are now hashed.

2003-04-01 17:56  laza2000

	* efltk/: Fl_Map.h, Fl_Ptr_Hash.h, Fl_String_Hash.h,
	xml/Fl_XmlDoc.h, xml/Fl_XmlNode.h: Removed Fl_*_Hash classes. All
	maps in eFLTK are now hashed. (see Fl_Map.h) Still docos to do
	(later today) Made XML work with new maps..

2003-04-01 11:29  space2

	* src/core/Fl_x.cpp: Add one more #if HAVE_XUTF8

2003-04-01 11:14  space2

	* src/widgets/Fl_Input.cpp: Minor bugfix

2003-04-01 09:16  space2

	* efltk/: Fl_Int_Input.h, Fl_Numeric_Input.h: Added
	Fl_Input::text_align()

2003-04-01 08:59  space2

	* efltk/Fl_Input.h, src/widgets/Fl_Input.cpp: Added
	Fl_Input::text_align()

2003-04-01 08:43  space2

	* test/input.cpp: Added Fl_Input::text_align()

2003-04-01 07:32  parshin

	* efltk-cforge.mak, efltk/Fl_Button.h, efltk/Fl_Repeat_Button.h,
	efltk/Fl_Return_Button.h, efltk/Fl_Round_Button.h,
	src/widgets/Fl_Return_Button.cpp: Added new style ctor

2003-04-01 02:57  parshin

	* efltk/Fl_Radio_Light_Button.h, src/widgets/Fl_Menu_Button.cpp,
	efltk/Fl_Menu_Button.h, efltk/Fl_Multi_Browser.h,
	efltk/Fl_Multiline_Input.h, src/widgets/Fl_Output.cpp,
	efltk/Fl_Output.h, src/widgets/Fl_ProgressBar.cpp,
	src/widgets/Fl_Radio_Button.cpp, efltk/Fl_Radio_Button.h,
	src/widgets/Fl_Pack.cpp, efltk/Fl_Pack.h, efltk/Fl_ProgressBar.h:
	Added new style ctor

2003-03-31 15:32  laza2000

	* src/widgets/: Fl_Highlight_Button.cpp, Fl_Slider.cpp: For Alex:
	Why there's default arguments in source files!? :) Other thing
	also, some widgets new ctor's have parameters in wrong order..
	
	Look modified files for example, please fix those..

2003-03-31 06:54  parshin

	* efltk-cforge.mak, efltk-cforge.wrk, efltk/Fl_Input.h,
	efltk/Fl_Input_Browser.h, efltk/Fl_Light_Button.h,
	efltk/Fl_MDI_Bar.h, efltk/Fl_Masked_Input.h, efltk/Fl_Menu_Bar.h,
	src/widgets/Fl_Input_Browser.cpp, src/widgets/Fl_Light_Button.cpp,
	src/widgets/Fl_MDI_Bar.cpp, src/widgets/Fl_Masked_Input.cpp,
	src/widgets/Fl_Menu_Bar.cpp, test/Makefile, test/input_browser.cpp:
	Added new style ctors. Added test/input_browser.

2003-03-30 22:40  parshin

	* efltk-cforge.mak, efltk-cforge.wrk, efltk/Fl_Highlight_Button.h,
	efltk/Fl_Hor_Slider.h, efltk/Fl_Slider.h,
	src/widgets/Fl_Highlight_Button.cpp, src/widgets/Fl_Slider.cpp:
	Added new style ctor

2003-03-30 22:07  parshin

	* efltk-cforge.mak, efltk-cforge.wrk, efltk/Fl_Float_Input.h,
	efltk/Fl_Int_Input.h, efltk/Fl_Numeric_Input.h: Added new style
	ctors. All the numeric inputs are made right-aligned.  test/input
	added to CForge project.

2003-03-30 20:43  parshin

	* src/widgets/Fl_FileBrowser.cpp, src/widgets/Fl_Input.cpp,
	src/widgets/Fl_ListView.cpp, efltk-cforge.mak, efltk-cforge.wrk,
	efltk/Fl_Combo_Box.h, efltk/Fl_FileBrowser.h, efltk/Fl_FileInput.h,
	efltk/Fl_Input.h, efltk/Fl_ListView.h: New style ctor added

2003-03-30 20:34  laza2000

	* emake: Don't show "compiled" message, if it actually failed

2003-03-30 19:46  parshin

	* efltk/Fl_Dial.h, efltk/Fl_Valuator.h, src/widgets/Fl_Dial.cpp,
	src/widgets/Fl_Valuator.cpp, test/tabs1.cpp: Added new style ctors.
	Minor corrections in test/tabs1.cpp

2003-03-30 08:31  parshin

	* test/labelwidth2.cpp: Minor correction

2003-03-30 08:15  parshin

	* src/widgets/Fl_Color_Chooser.cpp, efltk/Fl_Color_Chooser.h: Name
	corrections for overlaping methods

2003-03-30 08:07  parshin

	* efltk/Fl_Color_Chooser.h: Method h() is renamed to hue() to avoid
	a name conflcit with Fl_Widget::h()

2003-03-30 07:11  parshin

	* efltk/Fl_Date_Time_Input.h, src/widgets/Fl_Date_Time_Input.cpp:
	New style ctor added.

2003-03-29 20:54  parshin

	* src/widgets/Fl_Combo_Box.cpp, efltk/Fl_Combo_Box.h,
	test/combobox.cpp: begin(),end() are made virtual

2003-03-29 20:37  laza2000

	* src/widgets/Fl_Input.cpp: Minor speed up, by adding length to one
	fl_width (needs strlen() w/o length)

2003-03-29 20:28  parshin

	* efltk/Fl_ListView.h: begin(),end() are made virtual

2003-03-29 20:22  parshin

	* efltk/Fl_Group.h: begin(),end() are made virtual

2003-03-29 20:13  space2

	* efltk/Fl_Input.h, src/widgets/Fl_Input.cpp, test/input.cpp: New,
	right aligned input widget

2003-03-29 19:40  parshin

	* src/widgets/Fl_Combo_Box.cpp: Minor Update

2003-03-29 19:27  parshin

	* src/widgets/Fl_Combo_Box.cpp, efltk/Fl_Combo_Box.h,
	test/combobox.cpp: New style ctor added.

2003-03-29 19:07  parshin

	* efltk/Fl_Check_Button.h, src/widgets/Fl_Color_Chooser.cpp,
	efltk/Fl_Color_Chooser.h: New style ctor added.

2003-03-29 18:39  parshin

	* efltk-cforge.mak, efltk-cforge.wrk, efltk/Fl_Clock.h,
	src/widgets/Fl_Clock.cpp: New style ctor added

2003-03-29 18:29  parshin

	* src/widgets/Fl_Clock.cpp: New style ctor added.

2003-03-29 18:08  parshin

	* src/widgets/Fl_Choice.cpp, efltk/Fl_Choice.h: New style ctor
	added.

2003-03-29 13:39  space2

	* src/core/Fl_WM.cpp: Added some #if HAVE_XUTF8 conditionals

2003-03-29 13:09  space2

	* src/core/fl_utf8.cpp: Added some #if HAVE_XUTF8 conditionals

2003-03-29 10:16  space2

	* src/core/: fl_font_x.cpp, fl_font_xft.cpp: minor fixes/changes

2003-03-29 10:16  space2

	* tools/efluid/file.cpp: Fixed copy/paste in efluid

2003-03-29 09:53  laza2000

	* src/widgets/Fl_File_Dialog.cpp: Fixed seg.fault on file save.

2003-03-29 09:35  space2

	* efltk/Fl_Check_Buttons.h, efltk/Fl_Radio_Buttons.h,
	test/button_groups.cpp, test/labelwidth2.cpp: Just making thew cvs
	work

2003-03-29 08:35  space2

	* src/widgets/: Fl_Combo_Box.cpp, Fl_ListView_Header.cpp: In
	Fl_Combo_Box the selected item was drawn over the buttons (added
	push/pop_clip) When a header column was too small (and it was
	sorted) the wrong label was written

2003-03-29 08:19  laza2000

	* src/widgets/Fl_Input_Browser.cpp: hide_popup() check from
	win->visible() also

2003-03-29 08:14  parshin

	* src/widgets/Fl_Check_Button.cpp, efltk/Fl_Check_Button.h: New
	style ctor added.

2003-03-29 07:31  parshin

	* src/widgets/Fl_Calendar.cpp, efltk/Fl_Calendar.h: New style ctor
	added.

2003-03-29 04:26  parshin

	* src/widgets/Fl_Button_Group.cpp, efltk/Fl_Button_Group.h,
	efltk/Fl_Check_Buttons.h, efltk/Fl_Radio_Buttons.h: New style ctor
	is added to Fl_Button_Group, Fl_Check_Buttons, Fl_Radio_Buttons.
	Headers for  Fl_Check_Buttons, Fl_Radio_Buttons separated to
	personal files.

2003-03-28 22:19  space2

	* src/: core/fl_font_x.cpp, widgets/Fl_Input.cpp: Added some #if
	HAVE_XUTF8 conditions

2003-03-28 22:18  parshin

	* src/widgets/Fl_Button.cpp, efltk/Fl_Button.h,
	src/core/Fl_Widget.cpp: "New style constructors - some comments
	added."

2003-03-28 22:13  parshin

	* src/widgets/Fl_Browser.cpp, src/widgets/Fl_Menu_.cpp,
	efltk/Fl_Menu_.h, efltk/Fl_Widget.h, src/core/Fl_Group.cpp: "New
	style constructors - some comments added."

2003-03-28 22:10  parshin

	* efltk/Fl_Align_Group.h, src/widgets/Fl_Bar.cpp, efltk/Fl_Bar.h,
	efltk/Fl_Box.h, src/widgets/Fl_Box.cpp: "New style constructors -
	some comments added."

2003-03-28 19:30  parshin

	* efltk/Fl_Align_Group.h, efltk/Fl_Bar.h, efltk/Fl_Box.h,
	efltk/Fl_Group.h, efltk/Fl_Menu_.h, efltk/Fl_Widget.h,
	src/core/Fl_Group.cpp, src/core/Fl_Widget.cpp,
	src/widgets/Fl_Bar.cpp, src/widgets/Fl_Box.cpp,
	src/widgets/Fl_Browser.cpp, src/widgets/Fl_Menu_.cpp,
	test/layout2.cpp: Change the order of parameters in new style ctors
	to final (I hope) form.  The test/layout2.cpp shows how to use new
	style ctors.

2003-03-28 19:22  parshin

	* efltk/Fl_Browser.h: "The updated form of new style ctor is
	implemented in several classes. The usage of new style ctor is
	shown in test/layout2"

2003-03-28 13:06  space2

	* src/core/Fl_compose.cpp: There were two compose pairs for capital
	C-cedila

2003-03-28 12:56  laza2000

	* src/widgets/Fl_Button.cpp: Minor correction, It was possible to
	unset all radio buttons in group with keyboard shortcuts.

2003-03-28 12:47  laza2000

	* src/core/Fl_Group.cpp: No default parameters in ctor..

2003-03-28 12:46  laza2000

	* src/widgets/Makefile: Remove Fl_Adjuster.cpp from Makefile

2003-03-28 07:30  parshin

	* efltk-cforge.mak, efltk-cforge.wrk: CForge project updates.

2003-03-28 07:28  parshin

	* src/core/Fl_Widget.cpp, efltk/Fl_Widget.h, test/layout2.cpp: The
	new style ctor, implemented in the Fl_Align_Group, Fl_Bar, Fl_Box,
	Fl_Widget, Fl_Group. The example of usage in test/layout2. Please,
	note: I have added an extra parameter - layout_size. I'd like to
	discuss it. Please, don't erase it before we discuss it :)

2003-03-28 07:26  parshin

	* src/widgets/Fl_Box.cpp, efltk/Fl_Box.h, src/core/Fl_Group.cpp,
	efltk/Fl_Group.h: The new style ctor, implemented in the
	Fl_Align_Group, Fl_Bar, Fl_Box, Fl_Widget, Fl_Group. The example of
	usage in test/layout2. Please, note: I have added an extra
	parameter - layout_size.  I'd like to discuss it. Please, don't
	erase it before we discuss it :)

2003-03-28 07:21  parshin

	* efltk/Fl_Align_Group.h, src/widgets/Fl_Bar.cpp, efltk/Fl_Bar.h:
	The new style ctor, implemented in the Fl_Align_Group, Fl_Bar,
	Fl_Box, Fl_Widget, Fl_Group. The example of usage in test/layout2.
	Please, note: I have added an extra parameter - layout_size.  I'd
	like to discuss it. Please, don't erase it before we discuss it :)

2003-03-28 06:19  parshin

	* src/widgets/Fl_Adjuster.cpp: Removing

2003-03-28 02:42  parshin

	* src/widgets/Fl_Bar.cpp: *** Empty log message ***

2003-03-28 02:40  parshin

	* src/widgets/Fl_Box.cpp, efltk/Fl_Box.h: "Fl_Box has new style
	ctor added"

2003-03-28 02:26  parshin

	* efltk/: Fl_Align_Group.h, Fl_Bar.h: "Fl_Align_Group, Fl_Bar have
	new style ctor added"

2003-03-28 00:07  parshin

	* test/date_time_widgets.cpp: "Minor corrections"

2003-03-28 00:02  parshin

	* src/widgets/Fl_Combo_Box.cpp, src/widgets/Fl_Date_Time_Input.cpp,
	efltk/Fl_Date_Time_Input.h, src/core/Fl_Group.cpp,
	test/date_time_widgets.cpp: "Fl_Date_XXX_Input classes. Slightly
	tested. Generally work. Minor update in Fl_Combo_Box, too. Mikko,
	please, verify the way I'm blocking focus in buttons."

2003-03-27 22:49  dejan

	* efltk/net/Fl_Mail_Message.h: Added header and footer, and classes
	are now commented, so Doxygen will create docs.

2003-03-27 22:44  dejan

	* src/net/Fl_Mail_Message.cpp: Added header and footer.

2003-03-27 22:33  dejan

	* doc/header.txt: Added e-mail for bugs...

2003-03-27 22:24  dejan

	* doc/header.txt: New one.

2003-03-27 22:23  dejan

	* doc/header.c: Removed header.c because i think .txt is more
	proper extension for this...

2003-03-27 22:21  dejan

	* doc/header.c: Proposal for header in our source files.

2003-03-27 22:08  dejan

	* efltk/net/Fl_Base64.h: Minor changes, mostly related to
	autogenerating Doxygen documentation.

2003-03-27 17:16  parshin

	* test/date_time_widgets.cpp: "Mikko, please. Think before you do
	something. To say it very polite, just run that test!"

2003-03-27 09:19  laza2000

	* src/widgets/Fl_Date_Time_Input.cpp: Fixed some serious desing
	mistakes..
	
	 - Added styles
	 - copy/set children styles in draw()
	 - DO NOT use layout_align() feature in widget!!
	 - Made it resizable also other way than preferred size..
	 - Do not call child->resize after Fl_Widget::layout, this will
	cause
	layout called recursively..
	
	Why not to use layout_align() in widgets? Morelikely it leads to
	widget, which is not resizable in all cases. i.e. Im not using
	layout_align() stuff, and set my Fl_Date_Input height to 40 and
	width to 300, It must look still correct! It also leads to
	slowness, it is stupid to make simple task slower than it can be..
	Although "so called" low-level (alex)? stuff can and IMHO should be
	in core widgets.. It's totally different case when building an
	application!
	
	Compare: layout() {   do some stuff;   Fl_Group::layout(); }
	
	AND
	
	layout() {   do some stuff;   child1->resize   child2->resize  
	Fl_Widget::layout() }
	
	This is example of widget that has 2 children (Fl_Date_Input). 
	later layout() will result much faster and convient layout..

2003-03-27 09:11  laza2000

	* efltk/Fl_Date_Time_Input.h: Fixed some serious desing mistakes..

2003-03-27 06:30  parshin

	* efltk-cforge.mak, efltk-cforge.wrk, efltk/Fl_Date_Time_Input.h,
	src/widgets/Fl_Date_Time_Input.cpp, test/Makefile,
	test/date_time_widgets.cpp: Added new class Fl_Date_Time_Input.
	Works only visually - work in progress.  Added
	test/date_time_widgets. Modified C-Forge project to include new
	files.

2003-03-27 06:24  parshin

	* src/core/Fl_Group.cpp: Minor update

2003-03-27 02:17  parshin

	* efltk-cforge.mak, efltk-cforge.wrk: Test/calendar is added - to
	test Fl_Date_XXXX widgets.

2003-03-27 02:14  parshin

	* src/widgets/Fl_Date_Time_Input.cpp, efltk/Fl_Date_Time_Input.h,
	src/core/Fl_Group.cpp, test/date_time_widgets.cpp: "Unfinished work
	in progress on Fl_Date_XXXX widgets."

2003-03-27 01:38  parshin

	* test/layout2.cpp: "Replaced Fl_Buttons with Fl_Boxes. It looks
	much better now"

2003-03-26 23:03  laza2000

	* Makefile, src/Makefile, src/makeinclude_tmpl: break to exit, so
	compilation stops on error.

2003-03-26 22:25  laza2000

	* themes/essai.cpp: Minor correction

2003-03-26 21:57  laza2000

	* src/core/Fl_Group.cpp, src/core/Fl_WM.cpp,
	src/core/Fl_Widget.cpp, src/core/fl_draw_image_x.cpp,
	src/widgets/Fl_Tabs.cpp, efltk/Fl_Color.h, themes/Makefile,
	themes/essai.cpp, themes/motif.cpp: Fl_Group draws now box bg
	transparent if bg color not set, NOTE: It still draws frame of the
	box. This makes applications much more	themeable.
	
	Fixed tiled image draw on EXPOSE events.  Added MOTIF theme :)

2003-03-26 19:12  parshin

	* src/core/Fl_Group.cpp: "Fixed a little bug in
	layout_align(FL_ALIGN_CENTER)"

2003-03-26 06:34  parshin

	* efltk-cforge.mak, efltk-cforge.wrk, efltk/Fl_ListView_Item.h,
	src/widgets/Fl_ListView.cpp, src/widgets/Fl_ListView_Item.cpp,
	test/Makefile, test/listview_sort.cpp: ListView now sorts VAR_INT,
	VAR_DATETIME, and VAR_FLOAT correctly. Everything else is sorted as
	strings. The default is VAR_STRING. The test/listview_sort shows
	these abilities.

2003-03-26 03:59  parshin

	* efltk-cforge.mak, efltk-cforge.wrk, test/button_groups.cpp:
	test/button_groups updated. Mikko, please review my changes - I
	found the original version funny :)

2003-03-26 02:17  parshin

	* efltk-cforge.mak, efltk-cforge.wrk: "CForge project updated to
	include test/labelwidth2"

2003-03-26 02:15  parshin

	* src/widgets/Fl_Combo_Box.cpp, src/core/Fl_Group.cpp,
	efltk/Fl_Group.h, src/core/fl_labeltype.cpp, test/labelwidth2.cpp:
	"Auto-layout now understands the label_width() and align() more or
	less correctly. The test/labelwidth2 shows how it does it. ComboBox
	buttons are fixed."

2003-03-26 00:24  laza2000

	* efltk/Fl_WM.h: Added some docs..

2003-03-25 23:05  laza2000

	* efltk/Fl_WM.h, src/core/Fl_WM.cpp: Fixed Fl_WM module in many
	cases..

2003-03-25 21:55  parshin

	* src/core/fl_labeltype.cpp: "Minor update"

2003-03-25 19:00  parshin

	* test/dialog.cpp: "Minor update"

2003-03-25 18:06  parshin

	* src/widgets/Fl_Combo_Box.cpp, efltk/Fl_Combo_Box.h,
	src/widgets/Fl_Input.cpp, src/widgets/Fl_Input_Browser.cpp,
	efltk/Fl_Input_Browser.h: "Added a preferred_size() method to
	Fl_Combo_Box and Fl_Input_Browser"

2003-03-25 17:38  parshin

	* test/labelwidth2.cpp: "Minor update"

2003-03-25 17:13  parshin

	* test/labelwidth2.cpp: Test of label_width() and layout_align()

2003-03-25 15:46  laza2000

	* src/widgets/Fl_File_Dialog.cpp: Minor correction for _DIRECTORY
	mode()

2003-03-25 15:22  laza2000

	* src/widgets/: Fl_Button.cpp, Fl_Check_Button.cpp, Fl_Dialog.cpp,
	Fl_File_Dialog.cpp:  - Documented Fl_Dialog and Fl_Color functions.
	 - Put XML docs in own doxygen module
	 - Some minor changes in file dialog and Fl_Dialog..
	
	Minor corrections in layout() and preferred_size()

2003-03-25 15:21  laza2000

	* src/core/: Fl_Group.cpp, fl_labeltype.cpp:  - Documented
	Fl_Dialog and Fl_Color functions.
	 - Put XML docs in own doxygen module
	 - Some minor changes in file dialog and Fl_Dialog..
	
	Minor corrections for layout() and preferred_size(), seems very
	good for me now :)

2003-03-25 15:19  laza2000

	* efltk/: Fl_Color.h, Fl_Dialog.h, Fl_File_Dialog.h, xml/Fl_Xml.h,
	xml/Fl_XmlDoc.h, xml/Fl_XmlHandler.h, xml/Fl_XmlNode.h,
	xml/Fl_XmlNode_List.h, xml/Fl_XmlParser.h, xml/Fl_XmlTokenizer.h: 
	- Documented Fl_Dialog and Fl_Color functions.
	 - Put XML docs in own doxygen module
	 - Some minor changes in file dialog and Fl_Dialog..

2003-03-25 09:12  laza2000

	* src/core/Fl_Widget.cpp: Dont set w/h in Fl_Widget::preferred_size
	(default)

2003-03-25 09:10  laza2000

	* src/widgets/: Fl_Button.cpp, Fl_Input.cpp, Fl_Simple_Html.cpp:
	Minor corrections for preferred_size()'s

2003-03-25 09:09  laza2000

	* src/core/: Fl_Group.cpp, Fl_Widget.cpp: label_width_ was
	initialized in wrong place in Fl_Widget..  Minor fixes for label_h
	in Fl_Group

2003-03-25 00:52  parshin

	* efltk-cforge.mak, efltk-cforge.wrk, efltk/Fl_Input.h,
	efltk/Fl_Widget.h, src/core/Fl_Group.cpp,
	src/core/fl_labeltype.cpp, test/labelwidth.cpp,
	test/labelwidth2.cpp: Label_width() is now supported by auto-layout
	in Fl_Group.

2003-03-24 22:51  laza2000

	* src/widgets/Fl_File_Dialog.cpp: Fixed look of file dialog... This
	is annoying, so far almost all dialogs needs layout_settings(false,
	false); :( preferred_size() is not good for common usage, NOTE(im
	not talking about e.g. settings dialogs, but main app
	windows/groups)

2003-03-24 22:51  laza2000

	* test/db/database.cpp: Fixed look of test... This is annoying, so
	far almost all dialogs needs layout_settings(false, false); :(
	preferred_size() is not good for common usage, NOTE(im not talking
	about e.g. settings dialogs, but main app windows/groups)

2003-03-24 22:10  laza2000

	* visualc/efltk.dsp: updated VCPP project

2003-03-24 22:08  laza2000

	* test/Makefile, src/widgets/Makefile: updated makefile

2003-03-24 22:07  laza2000

	* test/: button_groups.cpp, check_buttons.cpp, radio_buttons.cpp:
	More work with preferred_size(), Added to following widgets:  -
	Fl_Widget = default  - Fl_Button  - Check and Radio buttons  -
	Fl_Input
	
	Better/simplier button group! Alex, take a look at it.. And add
	load/save W/O Fl_Query, since it's part of DB lib, you should use
	datasouce..
	
	Fixes for Fl_Pack.. Minor fixes around eFLTK :)

2003-03-24 22:04  laza2000

	* src/core/Fl_Group.cpp, src/core/Fl_Widget.cpp,
	src/core/Fl_init.cpp, src/widgets/Fl_Button.cpp,
	src/widgets/Fl_Button_Group.cpp, src/widgets/Fl_Check_Button.cpp,
	src/widgets/Fl_Check_Buttons.cpp, src/widgets/Fl_Input.cpp,
	src/widgets/Fl_Pack.cpp, src/widgets/Fl_Radio_Buttons.cpp,
	efltk/Fl_Button.h, efltk/Fl_Button_Group.h,
	efltk/Fl_Check_Button.h, efltk/Fl_Check_Buttons.h,
	efltk/Fl_Group.h, efltk/Fl_Input.h, efltk/Fl_Pack.h,
	efltk/Fl_Radio_Buttons.h, efltk/Fl_Widget.h: More work with
	preferred_size(), Added to following widgets:  - Fl_Widget =
	default  - Fl_Button  - Check and Radio buttons  - Fl_Input
	
	Better/simplier button group! Alex, take a look at it.. And add
	load/save W/O Fl_Query, since it's part of DB lib, you should use
	datasouce..
	
	Fixes for Fl_Pack.. Minor fixes around eFLTK :)

2003-03-24 20:10  parshin

	* src/core/Fl_Group.cpp, efltk/Fl_Group.h: Updated auto-layout to
	handle preffered_size();

2003-03-24 20:07  parshin

	* test/: Makefile, labelwidth2.cpp: Test for updated auto-layout

2003-03-24 18:16  parshin

	* build.g++, src/widgets/Fl_Combo_Box.cpp: Fixed button event ids.

2003-03-24 17:32  parshin

	* test/: tabs1.cpp, tabs2.cpp: Added missing files

2003-03-24 09:27  parshin

	* build.g++, build.gcc, efltk-cforge.mak, efltk-cforge.wrk,
	efltk/Fl_Button_Group.h, efltk/Fl_Check_Buttons.h,
	efltk/Fl_Radio_Buttons.h, src/widgets/Fl_Button_Group.cpp,
	src/widgets/Fl_Check_Buttons.cpp, src/widgets/Fl_Radio_Buttons.cpp,
	src/widgets/Makefile, test/Makefile, test/check_buttons.cpp,
	test/radio_buttons.cpp: Added two classes Fl_Radio_Buttons,
	Fl_Check_Buttons, with tests.

2003-03-24 03:43  parshin

	* test/: Makefile, labelwidth.cpp: test for label_width() and
	preferred_size() is added.

2003-03-24 03:23  parshin

	* efltk-cforge.mak, efltk-cforge.wrk, efltk/Fl_Input.h,
	efltk/Fl_Widget.h, src/core/Fl_Widget.cpp,
	src/core/fl_labeltype.cpp, src/widgets/Fl_Input.cpp: label_width()
	and preffered_size() are added to Fl_Widget.  preffered size is
	VERY draft. It should be implemented in every Fl_Input descendant,
	reacting to the max_length(), and  in special widgets like
	Fl_Date_Input, limiting their size to actually needed.	Next step
	is to support label_width in Fl_Group - for auto layout.

2003-03-24 00:46  laza2000

	* src/widgets/Fl_Tabs.cpp: style name to "Tabs". Alex said here's
	some problem.. donno.. I'll test it more soon :)

2003-03-24 00:44  laza2000

	* visualc/efltk.dsp: removed multitabs

2003-03-24 00:40  parshin

	* test/: multitabs1.cpp, multitabs2.cpp: Corrections related to
	replace Fl_Multi_Tabs with Fl_Tabs.

2003-03-24 00:37  parshin

	* efltk-cforge.mak, efltk-cforge.wrk, efltk/Fl_Dialog.h,
	efltk/Fl_Multi_Tabs.h, efltk/Fl_Tabs.h, src/widgets/Fl_Dialog.cpp,
	src/widgets/Fl_Multi_Tabs.cpp, src/widgets/Fl_Tabs.cpp,
	src/widgets/Makefile, test/Makefile: Corrections related to replace
	Fl_Multi_Tabs with Fl_Tabs.

2003-03-21 22:44  laza2000

	* src/widgets/Fl_ListView.cpp: Small correction, that fixes file
	dialog under W32

2003-03-18 12:43  leka

	* efltk.spec.in: Trying to make good RPMs :)

2003-03-18 05:12  parshin

	* efltk/Fl_ListView.h, src/widgets/Fl_ListView.cpp: Method fill()
	modified to use a field name as an optional parameter to define
	user data column.

2003-03-18 00:14  parshin

	* efltk-cforge.mak, efltk-cforge.wrk, src/widgets/Fl_Combo_Box.cpp:
	Combo box fixed. Test/combobox added to C-Forge project.

2003-03-17 23:12  laza2000

	* efltk/xml/Fl_XmlNode.h: Minor correction

2003-03-17 20:14  parshin

	* efltk/Enumerations.h: Several new events added

2003-03-17 17:44  parshin

	* test/combobox.cpp: Minor corrections

2003-03-17 08:36  parshin

	* test/: Makefile, combobox.cpp: Added a test for the Combo Box.

2003-03-17 06:59  parshin

	* efltk-cforge.mak, efltk-cforge.wrk, efltk/Fl_Combo_Box.h,
	src/widgets/Fl_Combo_Box.cpp, src/widgets/Makefile: New widget -
	ListView-based Combo Box. Draft version, work in progress.  It does
	work but is still missing incremental search and correct sort.

2003-03-17 05:58  parshin

	* efltk/Enumerations.h: Added 'user command' events group. Designed
	to handle user commands to insert/delete/edit/refresh the content
	of ListView and ComboBox.

2003-03-17 03:11  parshin

	* efltk-cforge.mak, efltk-cforge.wrk, efltk/Enumerations.h,
	src/widgets/Fl_Repeat_Button.cpp, test/fullscreen.cpp: Minor
	corrections of do_callback().  C-Forge project now includes efluid
	and etranslate.

2003-03-17 02:18  parshin

	* src/core/: Fl_win32.cpp, Fl_wince.cpp: Extra do_callback()
	corrections

2003-03-17 02:15  parshin

	* efltk-cforge.mak, efltk-cforge.wrk, efltk/Enumerations.h,
	efltk/Fl_Widget.h, src/core/Fl_Widget.cpp, src/core/Fl_Window.cpp,
	src/core/Fl_x.cpp, src/widgets/Fl_Button.cpp,
	src/widgets/Fl_Calendar.cpp, src/widgets/Fl_Choice.cpp,
	src/widgets/Fl_Color_Chooser.cpp,
	src/widgets/Fl_Date_Time_Input.cpp, src/widgets/Fl_Dialog.cpp,
	src/widgets/Fl_File_Dialog.cpp, src/widgets/Fl_Help_Dialog.cpp,
	src/widgets/Fl_Input.cpp, src/widgets/Fl_Input_Browser.cpp,
	src/widgets/Fl_ListView.cpp, src/widgets/Fl_MDI_Window.cpp,
	src/widgets/Fl_Menu_.cpp, src/widgets/Fl_Multi_Tabs.cpp,
	src/widgets/Fl_Numeric_Input.cpp, src/widgets/Fl_Repeat_Button.cpp,
	src/widgets/Fl_Simple_Html.cpp, src/widgets/Fl_Tabs.cpp,
	src/widgets/Fl_Text_Editor.cpp, src/widgets/Fl_Tile.cpp,
	src/widgets/Fl_Tool_Bar.cpp, src/widgets/Fl_Valuator.cpp,
	src/widgets/Fl_Value_Input.cpp, src/widgets/Fl_Workspace.cpp,
	test/mdi_test.cpp, test/menubar.cpp, tools/efluid/Fl_Menu_Type.cpp,
	tools/efluid/Fl_Widget_Type.cpp: Ok, helmets on.
	
	This update adds a new entity into eFLTK event mechanism. Fl_Widget
	now has an event() method. This method tells us inside the callback
	function what kind of event happened with widget, so we can
	distinguish different widget events. To enforce the conversion I
	removed the default values from the Fl_Widget::do_callback()
	functions. So, during the compile of your code you may have a
	compile error. Simply add the missing event type into the
	do_callback() call. The list of events (in Enumerations.h) is
	extended to include some necessary events. Just use the most
	appropriate value. Currently, none of the widgets use the event()
	value, so you should not break any existing code.
	
	BTW, I have recompiled everything in eFLTK and EDE (under Solaris).
	Somebody should do it under Windows. I expect several more
	corrected do_callback() calls in Windows-specific modules.

2003-03-16 20:20  parshin

	* efltk-cforge.mak, efltk-cforge.wrk, efltk/Fl_ListView.h,
	efltk/db/Fl_Query.h, src/db/Fl_Query.cpp,
	src/db/odbc/Fl_ODBC_Database.cpp, src/widgets/Fl_ListView.cpp: An
	attempt to make Fl_ListView::fill() function useful. Added the
	primitive formatting in Fl_Query in ODBC database (modified
	Fl_ODBC_Field ctor).

2003-03-15 17:09  laza2000

	* efltk/: Fl.h, Fl_Align_Group.h, Fl_Bar.h, Fl_Bitmap.h,
	Fl_Boxtype.h, Fl_Browser.h, Fl_Calendar.h, Fl_Callback_List.h,
	Fl_Clock.h, Fl_Color.h, Fl_Color_Chooser.h, Fl_Config.h,
	Fl_Data_Fields.h, Fl_Data_Source.h, Fl_Date_Time.h,
	Fl_Date_Time_Input.h, Fl_Device.h, Fl_Dial.h, Fl_Dialog.h,
	Fl_Directory_DS.h, Fl_Divider.h, Fl_Double_Window.h,
	Fl_FileBrowser.h, Fl_FileInput.h, Fl_File_Dialog.h, Fl_Flags.h,
	Fl_Float_Input.h, Fl_Font.h, Fl_Help_Dialog.h,
	Fl_Highlight_Button.h, Fl_Hor_Fill_Slider.h, Fl_Hor_Nice_Slider.h,
	Fl_Hor_Slider.h, Fl_Hor_Value_Slider.h, Fl_Image.h,
	Fl_Image_Cache.h, Fl_Image_List.h, Fl_Images.h, Fl_Input.h,
	Fl_Input_Browser.h, Fl_Int_Input.h, Fl_Int_List.h, Fl_Item.h,
	Fl_Item_Group.h, Fl_Labeltype.h, Fl_Light_Button.h, Fl_Line_Dial.h,
	Fl_ListView.h, Fl_ListView_Header.h, Fl_ListView_Item.h,
	Fl_MDI_Bar.h, Fl_MDI_Window.h, Fl_Main_Window.h, Fl_Map.h,
	Fl_Masked_Input.h, Fl_Memory_DS.h, Fl_Menu_.h, Fl_Menu_Bar.h,
	Fl_Menu_Button.h, Fl_Menu_Window.h, Fl_Multi_Browser.h,
	Fl_Multi_Image.h, Fl_Multi_Tabs.h, Fl_Multiline_Input.h,
	Fl_Multiline_Output.h, Fl_Nice_Slider.h, Fl_Numeric_Input.h,
	Fl_Output.h, Fl_Overlay_Window.h, Fl_Pixmap.h, Fl_Popup_Window.h,
	Fl_PostScript.h, Fl_Printer.h, Fl_ProgressBar.h, Fl_Ptr_Hash.h,
	Fl_Ptr_List.h, Fl_Ptr_Stack.h, Fl_Radio_Button.h, Fl_Radio_Item.h,
	Fl_Radio_Light_Button.h, Fl_Renderer.h, Fl_Repeat_Button.h,
	Fl_Return_Button.h, Fl_Roller.h, Fl_Round_Button.h,
	Fl_Round_Clock.h, Fl_Scroll.h, Fl_Scrollbar.h, Fl_Secret_Input.h,
	Fl_Shaped_Window.h, Fl_Simple_Html.h, Fl_Single_Window.h,
	Fl_Slider.h, Fl_String.h, Fl_String_Hash.h, Fl_String_List.h,
	Fl_String_Stack.h, Fl_Style.h, Fl_Style_Set.h, Fl_Tabs.h,
	Fl_Text_Buffer.h, Fl_Text_Display.h, Fl_Text_Editor.h, Fl_Thread.h,
	Fl_Tile.h, Fl_Toggle_Button.h, Fl_Toggle_Item.h, Fl_Tool_Bar.h,
	Fl_Tooltip.h, Fl_Translator.h, Fl_Util.h, Fl_Valuator.h,
	Fl_Value_Input.h, Fl_Value_Output.h, Fl_Value_Slider.h,
	Fl_Variant.h, Fl_WM.h, Fl_Widget_List.h, Fl_Window.h,
	Fl_Wordwrap_Input.h, Fl_Wordwrap_Output.h, Fl_Workspace.h,
	fl_ask.h, fl_load_plugin.h, fl_show_colormap.h, fl_utf8.h, x.h:
	Added small comment to most of header files, so doxygen generates
	member function list.  Added some FL_API's

2003-03-15 12:28  ravne2000

	* src/core/Fl_init.cpp: fixed a bool to BOOL bug

2003-03-15 10:39  laza2000

	* efltk/: Fl_Box.h, Fl_Button.h, Fl_Check_Button.h, Fl_Choice.h,
	Fl_Group.h, Fl_Pack.h: Added lil bit more docos..

2003-03-15 02:37  laza2000

	* tools/etranslate/: extract.cpp, load_etm.cpp: Added
	encoding="UTF-8" to generated xml PI

2003-03-15 02:30  laza2000

	* tools/etranslate/compile.cpp, tools/etranslate/etranslate.h,
	tools/etranslate/extract.cpp, tools/etranslate/extract.h,
	tools/etranslate/load_etm.cpp, visualc/efltk.dsw: Minor corrections

2003-03-14 22:54  laza2000

	* tools/etranslate/: compile.cpp, etranslate.h, extract.cpp,
	extract.h, load_etm.cpp: Made work with new XML lib

2003-03-14 22:22  laza2000

	* efltk/xml/: Fl_XmlParser.h, Fl_XmlTokenizer.h: More docos :)
	Should be done now..

2003-03-14 22:11  laza2000

	* test/xml_test.cpp, test/xml_test2.cpp, visualc/efltk.dsw: New XML
	library. 99% rewritten! More DOM level1 like API.  HTML tree
	support. ...

2003-03-14 22:04  laza2000

	* efltk/xml/Fl_Xml.h, efltk/xml/Fl_XmlCtx.h, efltk/xml/Fl_XmlDoc.h,
	efltk/xml/Fl_XmlHandler.h, efltk/xml/Fl_XmlNode.h,
	efltk/xml/Fl_XmlNode_List.h, efltk/xml/Fl_XmlParser.h,
	efltk/xml/Fl_XmlTokenizer.h, src/xml/Fl_XmlCtx.cpp,
	src/xml/Fl_XmlDoc.cpp, src/xml/Fl_XmlNode.cpp,
	src/xml/Fl_XmlParser.cpp, src/xml/Fl_XmlTokenizer.cpp: New XML
	library. 99% rewritten! More DOM level1 like API.  HTML tree
	support. ...

2003-03-14 17:47  laza2000

	* configure.in: Fixed solaris configure

2003-03-14 12:01  laza2000

	* src/core/Fl_Hashs.cpp, src/core/Fl_Translator.cpp,
	efltk/Fl_Ptr_Hash.h: Minor changes

2003-03-14 11:41  laza2000

	* efltk/Fl_Map.h, efltk/Fl_Ptr_Hash.h, efltk/Fl_Ptr_List.h,
	efltk/Fl_String_Hash.h, src/core/Fl_Hashs.cpp,
	src/core/Fl_Maps.cpp: Changed map names from Fl_String2String_Map
	-> Fl_String_String_Map.  Some fixes in maps

2003-03-14 02:43  parshin

	* efltk-cforge.mak, efltk-cforge.wrk: CForge-project update.
	Progression test added.

2003-03-14 02:41  parshin

	* src/widgets/Fl_ProgressBar.cpp: Better drawing of the number. Do
	we have the ability to draw in XOR-mode?

2003-03-13 16:11  laza2000

	* test/db/Makefile: Minor correction

2003-03-13 16:10  laza2000

	* src/db/mysql/Makefile: minor correction

2003-03-13 16:10  laza2000

	* makeinclude.in, configure.in: Better MySQL detection

2003-03-13 13:46  laza2000

	* src/db/mysql/Makefile: Makefile..

2003-03-13 13:46  laza2000

	* src/db/: Fl_Database.cpp, Makefile, mysql/Fl_MySQL_Database.cpp,
	odbc/Fl_ODBC_Database.cpp: Removed bind_parameters from
	Fl_Database, since Fl_Database it self doesn't call it. And all
	drivers doesn't have bind support. (e.g. MySQL) Makefile for MySQL

2003-03-13 13:45  laza2000

	* efltk/db/: Fl_Database.h, Fl_MySQL_Database.h,
	Fl_ODBC_Database.h, Fl_Params.h, Fl_Query.h: Removed
	bind_parameters from Fl_Database, since Fl_Database it self doesn't
	call it. And all drivers doesn't have bind support. (e.g. MySQL)

2003-03-13 13:44  laza2000

	* test/db/: Makefile, database.cpp: Minor corrections

2003-03-13 12:29  laza2000

	* efltk-config.in, configure.in, makeinclude.in: MySQL stuff for
	unix

2003-03-12 12:39  laza2000

	* src/db/mysql/Fl_MySQL_Database.cpp: Oops, forgot debug msg :)

2003-03-12 12:37  laza2000

	* visualc/: efltk.dsw, efltk_mysql.dsp, mysql_test.dsp,
	odbc_test.dsp: MYSQL Project files for VCPP

2003-03-12 12:36  laza2000

	* test/db/database.cpp: Better test

2003-03-12 12:35  laza2000

	* src/db/mysql/Fl_MySQL_Database.cpp: Minor fixes

2003-03-12 00:36  laza2000

	* src/db/mysql/Fl_MySQL_Database.cpp: Minor corrections on dtor and
	close(), doesnt crash on exit anymore

2003-03-11 23:34  parshin

	* src/db/odbc/Fl_ODBC_Database.cpp: Now it is

2003-03-11 20:10  laza2000

	* src/db/mysql/Fl_MySQL_Database.cpp: Unidirectional MySQL is now
	even more functional :) timastamps works now

2003-03-11 20:03  laza2000

	* src/core/Fl_Date_Time.cpp: Oops..

2003-03-11 20:02  laza2000

	* efltk/db/Fl_Database.h, src/db/mysql/Fl_MySQL_Database.cpp:
	Unidirectional MySQL driver functional and ready for testing.

2003-03-11 18:08  laza2000

	* src/db/mysql/Fl_MySQL_Database.cpp: MySQL driver almost
	functional and ready for testing.  date/time stuff to do..

2003-03-11 18:00  parshin

	* efltk/db/Fl_Database.h, efltk/db/Fl_ODBC_Database.h,
	efltk/db/Fl_Query.h, src/core/Fl_Util.cpp, src/db/Fl_Database.cpp,
	src/db/Fl_Query.cpp, src/db/odbc/Fl_ODBC_Database.cpp,
	src/db/odbc/fl_odbc.cpp, src/db/odbc/fl_odbc.h: This update is
	unfinished work.  The major goal is: The database driver should
	keep track of all the queries, using the particular database
	object, and correctly connect or disconnect those queries when the
	query is joined to the database, or query is changing database, or
	database object is destroyed.

2003-03-11 17:23  laza2000

	* src/db/mysql/Fl_MySQL_Database.cpp, efltk/db/Fl_MySQL_Database.h:
	Some more work.. Nothing works yet, but commiting cause of M$ :)

2003-03-11 16:45  laza2000

	* src/core/Fl_Date_Time.cpp: Fixed Fl_Date_Time::System in WIN32

2003-03-11 16:44  laza2000

	* src/db/mysql/Fl_MySQL_Database.cpp, efltk/db/Fl_MySQL_Database.h:
	This time I do it right! Remember commit once in hour..  I already
	had working MySQL driver, but unfortunately DAMN M$ vcpp crashed
	and deleted that file!!!! So, I'll start all over again, hopefully
	with better luck.
	
	Just in case that somebody doesnt know this: M$ SUCKS ASS BIG
	TIME!!!!!

2003-03-10 21:35  laza2000

	* efltk/db/Fl_Database.h, efltk/db/Fl_Params.h,
	src/db/Fl_Query.cpp: Added DB lib and ODBC test for vcpp.  Fixed
	some warnings.. + some CR/LF problems.. again..

2003-03-10 21:34  laza2000

	* visualc/: efltk.dsw, efltk_db.dsp, efltk_odbc.dsp, odbc_test.dsp,
	popup_window.dsp, preferences.dsp: Added DB lib and ODBC test for
	vcpp.  Fixed some warnings..

2003-03-09 12:55  laza2000

	* efltk/Fl_Input_Browser.h, src/widgets/Fl_File_Dialog.cpp,
	src/widgets/Fl_Input_Browser.cpp, src/widgets/Fl_Masked_Input.cpp,
	visualc/efltk.dsp: More WIN32 fixes Updated efltk vcpp project file
	Minor fixes in Fl_Input_Browser and Fl_File_Chooser

2003-03-08 12:45  laza2000

	* test/color_chooser.cpp, src/core/Fl_win32.cpp,
	src/widgets/Fl_Color_Chooser.cpp, efltk/Fl_Color_Chooser.h: WIN32
	fixes Minor fixes in color chooser

2003-03-07 23:19  parshin

	* test/Makefile: Changed the order of files in 'ALL'. On systems
	w/o GL support it allows to compile all the tests but GL-dependent.

2003-03-07 21:02  laza2000

	* src/core/: Fl_Window.cpp, Fl_x.cpp: Movet automatic sizerange set
	to Fl_Window, so it works on all platforms.

2003-03-07 20:55  laza2000

	* emake, build.g++, build.gcc, configure.in: Added emake script,
	which should be used to build efltk.  It does following things:  -
	find correct make program to use (gmake/make)  - set up parallel
	build  - defines LD_LIBRARY_PATH for build time
	
	This allows efluid and etranslate execute inside makefile, e.g.
	compile .fl files. Also now we dont have to use RPATH, which caused
	some problems.

2003-03-07 16:37  laza2000

	* src/core/: Fl_Translator.cpp, fl_converters.cpp: Minor correction
	in charset finding

2003-03-07 15:40  laza2000

	* src/core/: Fl_Group.cpp, Fl_Window.cpp, Fl_x.cpp: Fixed modal
	window freeze.	Fixed layout, when first time show window

2003-03-06 23:44  laza2000

	* src/core/Fl_Group.cpp, src/core/Fl_PostScript.cpp,
	src/core/fl_arc.cpp, src/core/fl_font.cpp,
	src/core/fl_font_win32.cpp, src/core/fl_font_x.cpp,
	src/core/fl_vertex.cpp, src/widgets/Fl_File_Dialog.cpp,
	src/widgets/Fl_Scroll.cpp, src/widgets/Fl_Slider.cpp,
	src/widgets/Fl_Tabs.cpp, efltk/Fl_Device.h, efltk/Fl_PostScript.h:
	PS device works now :) Atleast little bit.. 50% done, simple
	widgets are rendered correctly.  Added ugly hack
	Fl_Device::capabilities(), which may return Fl_Device::CAN_CLIPOUT.
	 Since PS cannot clipout, it returns 0. This needs some changes in
	widgets draw functions, which is (imho) not acceptable.. I'll do
	some more research to find way to clipout PS :)

2003-03-06 20:33  parshin

	* build.g++, src/core/Fl_PostScript.cpp, src/core/fl_arc.cpp,
	src/core/fl_curve.cpp, src/core/fl_font_win32.cpp,
	src/core/fl_font_x.cpp, src/core/fl_font_xft.cpp,
	src/core/fl_vertex.cpp, src/db/odbc/Fl_ODBC_Database.cpp,
	src/widgets/Fl_Scrollbar.cpp: Replaced ceilf, floorf, sqrtf with
	ceil, floor, sqrt.

2003-03-06 20:18  parshin

	* src/core/Fl_Window_hotspot.cpp: Fix for WIn32

2003-03-06 20:05  parshin

	* src/core/Fl_get_key_win32.cpp: Minor fix

2003-03-06 19:45  parshin

	* src/core/Fl_win32.cpp: Minor update

2003-03-06 18:29  laza2000

	* src/: core/Fl_Exception.cpp, core/Fl_PostScript.cpp,
	core/Fl_Printer.cpp, core/Fl_Widget.cpp, core/Fl_Window.cpp,
	core/Fl_x.cpp, core/fl_vertex.cpp, widgets/Fl_Color_Chooser.cpp,
	widgets/Fl_File_Dialog.cpp:  - Added transforms to Fl_Device, in
	order to get PS device someday work :)
	 - Color chooser uses Fl_Image now
	 - Working on Fl_PS_Desvice.. Work in progress. Couldn't find way
	to implement clip_out yet..
	 - moved min/max sizes from Fl_Widget to Fl_Window, the way used to
	be :)
	 - some minor fixes.
	 - added missing using namespace std;

2003-03-06 18:28  laza2000

	* efltk/Fl_Color_Chooser.h, efltk/Fl_Device.h,
	efltk/Fl_PostScript.h, efltk/Fl_Printer.h, efltk/Fl_Widget.h,
	efltk/Fl_Window.h, efltk/fl_draw.h, efltk/win32.h, efltk/x.h,
	tools/etranslate/etranslate.cpp:  - Added transforms to Fl_Device,
	in order to get PS device someday work :)
	 - Color chooser uses Fl_Image now
	 - Working on Fl_PS_Desvice.. Work in progress. Couldn't find way
	to implement clip_out yet..
	 - moved min/max sizes from Fl_Widget to Fl_Window, the way used to
	be :)
	 - some minor fixes.

2003-03-06 16:37  parshin

	* src/core/Fl_Lists.cpp: Fl_String_List::from_string() and
	corresponding ctor had serious problems.  1) If the string contains
	no separators, nothing was added to the string list, not even the
	string itself 2) This is a temporary patch: If the string contains
	two sequentual separators - the from_string function was trying to
	generate the zero-length string with Fl_String(ptr,0). Now that
	constractor has '0' to indicate the unlimited string and not
	zero-length string. It should be '-1' in Fl_String ctor. I didn't
	fix that cause it may be used in some places.

2003-03-05 20:52  parshin

	* efltk/Fl_ListView.h, efltk/Fl_ListView_Header.h,
	efltk/Fl_ListView_Item.h, src/widgets/Fl_ListView_Header.cpp:
	Column_type added. The next turn should be - the correct sort.

2003-03-05 18:39  parshin

	* test/listview.cpp: Minor update

2003-03-05 18:26  laza2000

	* test/listview.cpp: minor update for cb_button_box

2003-03-05 18:24  laza2000

	* src/widgets/Fl_ListView_Item.cpp: minor update for layout()

2003-03-05 18:03  parshin

	* test/listview.cpp: Added button_box demo button

2003-03-05 17:44  parshin

	* efltk-cforge.mak, src/widgets/Fl_Date_Time_Input.cpp: Minor
	updates. CForge project includes more test.

2003-03-05 17:36  laza2000

	* src/widgets/Fl_ListView.cpp: oops..

2003-03-05 17:31  laza2000

	* test/listview.cpp: minor correction..

2003-03-05 17:30  laza2000

	* src/widgets/Fl_ListView.cpp: Limit selection box to last column

2003-03-03 17:04  parshin

	* src/widgets/Fl_Date_Time_Input.cpp: Minor fix

2003-03-03 00:02  laza2000

	* efltk/Fl_ListView.h, efltk/Fl_ListView_Item.h,
	src/widgets/Fl_ListView.cpp, src/widgets/Fl_ListView_Item.cpp,
	test/listview.cpp: Added yposition lookup for every 1000 items,
	this allows very fast and reliable drawing, even if items are
	different height.  Moving items in huge lists does not slow down
	anymore.

2003-03-01 01:58  parshin

	* src/db/Fl_Query.cpp: Exceptions fix

2003-03-01 01:27  laza2000

	* src/core/Fl_x.cpp: Minor fix

2003-03-01 01:22  laza2000

	* configure.in: Enable exception handling...

2003-03-01 01:10  laza2000

	* test/directory.cpp, test/exceptions.cpp, test/socket.cpp,
	test/xml_test.cpp, test/xml_test2.cpp, test/db/db_odbc.cpp,
	test/db/db_test_template.cpp, test/net/ftp_connect.cpp,
	test/net/ftp_socket.cpp, test/net/imap_connect.cpp,
	test/net/mail_accounts.cpp, src/core/Fl_Image.cpp,
	src/core/Fl_x.cpp, src/db/Fl_Query.cpp,
	src/widgets/Fl_Memory_DS.cpp, tools/etranslate/compile.cpp,
	tools/etranslate/load_etm.cpp: fl_try/fl_catch --->>> try/catch

2003-03-01 00:52  laza2000

	* src/core/Fl_Data_Fields.cpp, src/core/Fl_Exception.cpp,
	src/core/Fl_Socket.cpp, src/core/Fl_win32.cpp, test/exceptions.cpp,
	visualc/exception.dsp: Use only STD exceptions.. Do we need reason
	for this? :) ... Okey, It proofed to be unsafe use efltk exception
	in library intialize, cause sometimes exception code got called
	before it was initialized..
	
	+ Minor corrections :)

2003-03-01 00:52  laza2000

	* efltk/Fl_Exception.h: Use only STD exceptions.. Do we need reason
	for this? :) ... Okey, It proofed to be unsafe use efltk exception
	in library intialize, cause sometimes exception code got called
	before it was initialized..

2003-02-28 20:41  parshin

	* efltk/Fl_Data_Fields.h, efltk/Fl_Ptr_List.h, efltk/db/Fl_Query.h,
	efltk/net/Fl_FTP_Connect.h, src/core/Fl_Data_Fields.cpp,
	src/core/Fl_Lists.cpp: Minor corrections..

2003-02-27 07:41  parshin

	* test/net/: imap_connect.cpp, mail_accounts.cpp, mail_accounts.h:
	Somebody was asking about test/mail_accounts ..

2003-02-26 22:48  dejan

	* efltk/net/Fl_Base64.h, src/net/Fl_Base64.cpp: Removed comments
	from .cpp file (we don't need them - just for Doxygen) and header
	is changed little bit.

2003-02-25 23:59  dejan

	* src/db/Fl_Query.cpp: No conflicts this time i hope...

2003-02-25 23:52  dejan

	* src/db/odbc/Fl_ODBC_Database.cpp: Now Fl_ODBC_Database has
	Doxygen-like coments, and we can make good reference manual...

2003-02-25 15:38  laza2000

	* src/net/Fl_Base64.cpp: Fixed serious bug encode..  Speed up
	decode interface

2003-02-25 15:36  laza2000

	* efltk/Fl_Buffer.h, src/core/Fl_Buffer.cpp: Added append(char ch)
	Fixed serious bug in load/save funcrions

2003-02-25 11:54  laza2000

	* src/net/Fl_Base64.cpp: Fixed decode..

2003-02-25 11:40  leka

	* test/net/base64.cpp: Small change

2003-02-25 11:35  dejan

	* test/net/base64.cpp: Now we have decode testing also...

2003-02-25 10:52  leka

	* efltk.doxygen: Added efltk/net into Doxygen configuration file.

2003-02-25 07:23  parshin

	* efltk-cforge.mak, src/db/Fl_Query.cpp, test/net/imap_connect.cpp:
	Some corrections to allow the Fl_Query to be created w/o
	parameters.

2003-02-25 04:49  parshin

	* src/net/Fl_Base64.cpp: Minor corrections. Looks like somebody
	didn't finish that class.  I didn't solve any problems, just fixed
	some conversion warnings.

2003-02-25 04:47  parshin

	* efltk/db/Fl_Query.h: Minor additions

2003-02-25 01:00  dejan

	* src/net/Fl_Base64.cpp, efltk/net/Fl_Base64.h: decode functions
	are there but Fl_Base64 code is not stable. I am tired A LOT and i
	beg somebody to take a look where i make mistake(s) and fix
	problem(s)...

2003-02-25 00:24  dejan

	* efltk/Fl_Buffer.h: Added some comments (for Doxygen).

2003-02-24 20:19  leka

	* efltk/net/Fl_Base64.h, src/net/Fl_Base64.cpp: Solved conflicts...

2003-02-24 20:03  laza2000

	* src/net/Fl_Base64.cpp: Moved docs to header, since doxygen
	process only header in efltk Minor corrections..
	
	Dejan, where's decode functions?? :)

2003-02-24 20:03  laza2000

	* efltk/net/Fl_Base64.h: Moved docs to header, since doxygen
	process only header in efltk Minor corrections..

2003-02-24 18:47  leka

	* test/net/base64.cpp: Finally i am commiting base64.cpp - test
	file for Fl_Base64 encoding...

2003-02-24 17:16  leka

	* src/net/Fl_Base64.cpp: Another small bugfix :)

2003-02-24 15:32  dejan

	* src/net/Fl_Base64.cpp: Encoding now should work as expected... :)

2003-02-24 15:31  dejan

	* efltk/net/Fl_Base64.h: New Fl_Base64.h with better interface...

2003-02-24 14:59  laza2000

	* test/net/test.dat: Added in binary mode

2003-02-24 14:57  laza2000

	* test/net/test.dat: removed..

2003-02-24 14:31  dejan

	* efltk/net/Fl_Base64.h: Fixed encode() declaration....

2003-02-24 14:22  dejan

	* src/net/Fl_Base64.cpp: bufDest line removed (still don't know how
	it appeared there)

2003-02-24 04:19  dejan

	* src/net/Fl_Base64.cpp: Latest version of Fl_Base.cpp, with
	functional encode() ...

2003-02-24 04:18  dejan

	* test/net/test.dat: Read mail about this file and problems with
	base64.cpp ...

2003-02-24 01:23  dejan

	* test/net/Makefile: F******g TAB... :)

2003-02-24 01:01  dejan

	* src/net/Makefile: Fl_Base64.cpp file is included into
	libefltk_net.

2003-02-24 00:59  dejan

	* test/net/Makefile: Fl_Base64 test file is inside Makefile now...

2003-02-24 00:37  dejan

	* efltk/net/Fl_Base64.h: Apropriate header file with interface to
	Fl_Base64 class.

2003-02-24 00:34  dejan

	* src/net/Fl_Base64.cpp: Encoding is finished not fully tested, but
	should work. Feel free to fix eventual problems. :)

2003-02-23 20:36  laza2000

	* src/core/Fl_Group.cpp: Forgot debug msg..

2003-02-23 20:26  laza2000

	* src/core/Fl_Group.cpp: Fixed TAB handling in Fl_Group

2003-02-23 08:56  dejan

	* src/net/Fl_FTP_Connect.cpp: Linux users would need netinet/in.h
	in order to compile this file.

2003-02-23 08:24  dejan

	* src/net/Fl_FTP_Connect.cpp: File is now in UNIX text format (LF
	at EOL).

2003-02-23 08:03  parshin

	* efltk-cforge.mak, efltk/net/Fl_Mail_Message.h,
	src/net/Fl_Mail_Message.cpp: Mail Message  parser - just born. It
	doesn't do anything yet, it's just a development start.

2003-02-22 20:53  parshin

	* efltk/Fl_Data_Fields.h, efltk/Fl_Data_Source.h,
	efltk/Fl_Memory_DS.h, efltk/db/Fl_Query.h, efltk/net/Fl_IMAP_DS.h,
	src/net/Fl_IMAP_Connect.cpp, src/net/Fl_IMAP_DS.cpp,
	src/widgets/Fl_ListView.cpp, test/net/imap_connect.cpp: Here is the
	'little' update for DSes.  The most important feature is the
	addition of user_data() method to Fl_Data_Source.  That method
	allows to identify (optionally) the particular row in the DS data. 
	It works pretty much as a primary key in the database table :) The
	only class that currently uses it is the Fl_IMAP_DS. It puts the
	message id into this field. The Fl_Query (another dataset)
	extension (to support user_data) is coming soon :)

2003-02-20 21:27  laza2000

	* src/net/Fl_FTP_DS.cpp: Fixed MS-DOS style (NT servers) dir list
	parsing. Caused crash and date was processed incorrectly.

2003-02-20 21:06  laza2000

	* src/net/Fl_IMAP_Connect.cpp: fixed variable re-definition

2003-02-20 07:53  parshin

	* src/net/Fl_FTP_DS.cpp: Minor corrections.

2003-02-20 07:12  parshin

	* src/net/Fl_FTP_DS.cpp, src/net/Makefile, test/net/Makefile,
	test/net/ftp_connect.cpp: FTP DS is working. Please, test it.
	Mikko, please test it on your FTP server in DOS mode, too.

2003-02-19 08:09  parshin

	* build.g++, efltk-cforge.mak: Minor changes

2003-02-19 08:08  parshin

	* efltk/net/Fl_FTP_DS.h: Just a first draft

2003-02-19 08:06  parshin

	* src/net/: Fl_FTP_Connect.cpp, Fl_FTP_DS.cpp: Just the first
	draft.

2003-02-18 20:38  laza2000

	* efltk/Makefile: Added net to DIRS

2003-02-18 20:37  laza2000

	* efltk/net/Makefile: Added Makefile for installing headers

2003-02-18 04:32  parshin

	* bcb6/_efltk_group.bpg, bcb6/_efltk_group.dsk, bcb6/arc.bpr,
	bcb6/ask.bpr, bcb6/bitmap.bpr, bcb6/boxtype.bpr, bcb6/browser.bpr,
	bcb6/button.bpr, bcb6/buttons.bpr, bcb6/calendar.bpr,
	bcb6/checkers.bpr, bcb6/clock.bpr, bcb6/config.h,
	bcb6/libefltk.bpr, efltk/Fl_Socket.h, src/core/Fl_Lists.cpp,
	src/core/Fl_Socket.cpp, src/core/Fl_win32.cpp,
	src/net/Fl_FTP_Connect.cpp, test/net/ftp_socket.cpp: That update
	includes: 1) Better version of Fl_Socket buffered read 2) Working
	Fl_IMAP_* classes 3) Working Fl_FTP_Connect class 4) Borland C++
	builder 5) Minor corrections for memory problems

2003-02-16 19:05  parshin

	* src/: core/Fl_Socket.cpp, net/Fl_IMAP_Connect.cpp,
	net/Fl_IMAP_DS.cpp, widgets/Fl_ListView.cpp: Thresh fix for IMAP
	and Fl_ListView.fill().  Fltk.net IMAP server now works fine.

2003-02-16 06:11  parshin

	* efltk-cforge.mak, efltk/Fl_Gdi.h, efltk/Fl_Socket.h,
	efltk/net/Fl_IMAP_Connect.h, src/core/Fl_Buffer.cpp,
	src/core/Fl_Config.cpp, src/core/Fl_Gif.cpp,
	src/core/Fl_PostScript.cpp, src/core/Fl_Socket.cpp,
	src/core/fl_color_win32.cpp, src/core/fl_draw.cpp,
	src/net/Fl_FTP_Connect.cpp, src/net/Fl_IMAP_Connect.cpp,
	test/db/db_odbc.cpp, test/net/imap_connect.cpp: 1) Fl_Socket now
	has buffered read. It works on both - Unix and Windows 2) I've
	fixed several memory problems - mostly memory underrun/overrun 3)
	IMAP/FTP still needs to be tested on different IMAP/FTP servers -
	I'll	do it tomorrow or Monday.

2003-02-15 07:08  parshin

	* test/net/imap_connect.cpp: Minor corrections.

2003-02-14 17:05  parshin

	* test/net/: file_small.xpm, folder_small.xpm: I forgot to include
	these files to the test

2003-02-14 14:58  leka

	* doc/footer.c: Proposed footer for eFLTK sources...

2003-02-14 08:22  parshin

	* src/net/Fl_IMAP_Connect.cpp, test/net/imap_connect.cpp: I've made
	a simple mail client. It can't show messages yet, but it can
	display IMAP mailboxes and messages in every box. It's very ugly,
	though :)

2003-02-14 06:11  parshin

	* efltk-cforge.mak, efltk/Fl_String_List.h,
	efltk/net/Fl_IMAP_Connect.h, src/core/Fl_Lists.cpp,
	src/net/Fl_IMAP_Connect.cpp, test/Makefile,
	test/net/imap_connect.cpp: Added couple of functions in
	Fl_String_List.  Extended Fl_IMAP_* classes.

2003-02-13 19:23  parshin

	* configure.in, makeinclude.in, test/Makefile, test/net/Makefile:
	Net library included into makefiles.

2003-02-13 08:12  parshin

	* efltk/net/Fl_IMAP_DS.h, src/net/Fl_IMAP_DS.cpp,
	test/net/imap_connect.cpp: IMAP test made pretty. Well, almost :)

2003-02-13 07:24  parshin

	* src/net/Makefile, test/net/Makefile: Now makefiles are making
	libefltk_net correctly.

2003-02-13 06:46  parshin

	* efltk/net/Fl_IMAP_Connect.h, src/net/Fl_IMAP_Connect.cpp,
	src/widgets/Makefile, test/net/imap_connect.cpp: Buffered version
	of IMAP_Connect. It is about 50% faster now. It looks like all the
	socket classes should be mad this way - using fdopen() and fread().

2003-02-13 04:18  parshin

	* doc/DataSource.html: Update for DataSource.html. That document is
	finished, IMHO.

2003-02-13 03:35  parshin

	* efltk-cforge.mak, efltk/Fl_Directory_DS.h, efltk/Fl_Memory_DS.h,
	efltk/net/Fl_IMAP_DS.h, src/Makefile, src/net/Fl_IMAP_Connect.cpp,
	src/net/Fl_IMAP_DS.cpp, src/widgets/Fl_Directory_DS.cpp,
	src/widgets/Fl_Memory_DS.cpp, test/net/imap_connect.cpp: Hey! The
	IMAP DS is here and working! Damn slow, though.  Anyway, it's here,
	at least :)

2003-02-13 01:29  parshin

	* efltk/Fl_Memory_DS.h: New file to make the development of
	Data_Source(s) much easier.

2003-02-13 01:17  parshin

	* efltk-cforge.mak, doc/DataSource.html, efltk/Fl_Data_Fields.h,
	efltk/Fl_String_List.h, efltk/net/Fl_IMAP_Connect.h,
	src/core/Fl_Lists.cpp, src/core/Fl_PostScript.cpp,
	src/net/Fl_IMAP_Connect.cpp, test/net/imap_connect.cpp: Mostly IMAP
	update. For everything else - minor update.

2003-02-13 01:15  parshin

	* src/widgets/Fl_Memory_DS.cpp: New file added, work in progress,
	let me fix it.

2003-02-12 16:40  parshin

	* efltk/net/Fl_FTP_Connect.h, src/net/Fl_FTP_Connect.cpp,
	src/net/Fl_IMAP_Connect.cpp, test/net/ftp_socket.cpp: Corrections
	for VCPP

2003-02-12 06:19  parshin

	* efltk-cforge.mak, efltk/net/Fl_FTP_Connect.h,
	efltk/net/Fl_FTP_Socket.h, efltk/net/Fl_IMAP_Connect.h,
	src/core/Fl_Socket.cpp, src/net/Fl_FTP_Connect.cpp,
	src/net/Fl_FTP_Socket.cpp, src/net/Fl_IMAP_Connect.cpp,
	test/net/imap_connect.cpp: Fl_IMAP_Connect - development started.

2003-02-12 02:31  parshin

	* efltk-cforge.mak, efltk/Fl_Buffer.h, efltk/Fl_Multi_Tabs.h,
	efltk/net/Fl_FTP_Connect.h, efltk/net/Fl_FTP_Socket.h,
	src/core/Fl_Buffer.cpp, src/net/Fl_FTP_Connect.cpp,
	src/net/Fl_FTP_Socket.cpp, test/multitabs1.cpp,
	test/net/ftp_socket.cpp: Fl_FTP_Connect mostly works. I gotta add
	non-passive mode support yet.

2003-02-11 20:44  parshin

	* src/widgets/Fl_Multi_Tabs.cpp: Minor correction

2003-02-11 20:43  parshin

	* test/db/db_odbc.cpp: Test is extended..

2003-02-11 16:59  laza2000

	* src/makeinclude_tmpl: Create lib dir, if it doesnt exists

2003-02-11 06:58  parshin

	* efltk-cforge.mak, efltk/net/Fl_FTP_Socket.h,
	src/core/Fl_Socket.cpp, src/net/Fl_FTP_Connect.cpp,
	test/net/ftp_socket.cpp: Sockets update.

2003-02-11 03:32  parshin

	* efltk/net/Fl_FTP_Connect.h, src/net/Fl_FTP_Connect.cpp: New class
	added. Work in progress, don't use it yet :)

2003-02-11 03:31  parshin

	* efltk-cforge.mak, efltk/Fl_Socket.h, src/core/Fl_Socket.cpp,
	src/net/Fl_FTP_Socket.cpp, src/widgets/Fl_Directory_DS.cpp,
	test/directory.cpp, test/net/ftp_socket.cpp: Update for Fl_Socket
	etc.

2003-02-09 20:08  parshin

	* doc/DataSource_1.png: File is replaced in binary mode.

2003-02-09 20:06  parshin

	* doc/DataSource_1.png: !

2003-02-09 17:43  parshin

	* doc/DataSource.html, src/widgets/Fl_ListView.cpp: Update for
	Datasource.html. Minor corrections in Fl_List_View

2003-02-09 07:16  parshin

	* doc/DataSource.html, efltk/Fl_Data_Source.h,
	efltk/Fl_Directory_DS.h, src/core/Fl_Data_Source.cpp,
	src/widgets/Fl_Directory_DS.cpp: An update for Datasource.html

2003-02-09 00:28  parshin

	* doc/: DataSource.html, DataSource_1.png: Adding a picture to
	Datasource.html

2003-02-08 19:48  parshin

	* doc/DataSource.html: The first draft. Please, have some mersy to
	me - I'm not the writer.

2003-02-08 19:42  cortex

	* src/core/fl_font_xft.cpp: compile fix

2003-02-08 14:23  cortex

	* test/print.cpp: Fl_Device

2003-02-08 14:17  cortex

	* src/core/: Fl_PostScript.cpp, Fl_Printer.cpp, fl_draw.cpp,
	fl_vertex.cpp, fl_arc.cpp, fl_arci.cpp, fl_clip.cpp,
	fl_color_win32.cpp, fl_color_x.cpp, fl_curve.cpp,
	fl_draw_image.cpp, fl_draw_image_x_2.cpp, fl_font.cpp,
	fl_font_win32.cpp, fl_font_x.cpp, fl_font_xft.cpp, fl_rect.cpp:
	Fl_Device

2003-02-08 14:04  cortex

	* configure.in: nls support fix

2003-02-08 14:01  cortex

	* src/core/Makefile: Fl_Device

2003-02-08 13:55  cortex

	* src/core/Fl_Gdi.cpp: Fl_Device

2003-02-08 13:52  cortex

	* efltk/: Fl_Device.h, Fl_Gdi.h, Fl_PostScript.h, Fl_Printer.h,
	fl_draw.h, Fl_Widget.h, Fl_Gdi.h: Fl_Device

2003-02-08 08:14  parshin

	* efltk-cforge.mak, efltk/Fl_Buffer.h, efltk/Fl_Socket.h,
	efltk/net/Fl_FTP_Socket.h, src/core/Fl_Buffer.cpp,
	src/core/Fl_Socket.cpp, src/net/Fl_FTP_Socket.cpp, test/socket.cpp,
	test/net/ftp_socket.cpp: Sockets are working. Trying to make Ftp
	socket to prove it.  Little Fl_Buffer corrections.

2003-02-07 18:21  parshin

	* src/db/odbc/Fl_ODBC_Database.cpp: Corrections for SQLite
	compatibility.

2003-02-07 02:39  parshin

	* efltk-cforge.mak: C-Forge project update for sockets.

2003-02-07 02:37  parshin

	* efltk-cforge.mak, efltk/Fl_Buffer.h, efltk/Fl_Socket.h,
	efltk/net/Fl_FTP_Socket.h, src/core/Fl_Buffer.cpp,
	src/core/Fl_Socket.cpp, src/net/Fl_FTP_Socket.cpp, test/socket.cpp,
	test/net/ftp_socket.cpp: Sockets update. The development of
	Fl_FTP_Socket started.

2003-02-06 23:22  parshin

	* test/socket.cpp: Minor corrections

2003-02-06 22:44  parshin

	* test/socket.cpp: Update

2003-02-06 20:26  laza2000

	* efltk/Fl_Socket.h, src/core/Fl_Socket.cpp: socklen_t update

2003-02-06 07:08  parshin

	* efltk-cforge.mak, efltk/Fl_Socket.h, src/core/Fl_Socket.cpp,
	test/socket.cpp: Fl_Socket update.

2003-02-06 03:47  parshin

	* test/Makefile: test/socket added to Makefile

2003-02-06 03:45  parshin

	* efltk-cforge.mak, efltk/Fl_Socket.h, src/core/Fl_Socket.cpp,
	test/socket.cpp: Socket update

2003-02-06 00:50  laza2000

	* visualc/efltk.dsp: Added Fl_Socket.* to prj file

2003-02-06 00:47  laza2000

	* src/core/Fl_Socket.cpp, efltk/Fl_Socket.h: minor update..

2003-02-06 00:13  parshin

	* src/core/Fl_Socket.cpp: Minor update

2003-02-05 23:49  laza2000

	* efltk/Fl_Socket.h, src/core/Fl_Socket.cpp:  - Made compile under
	W32
	 - Added control method
	 - Use read/write under unix and recv/send under W32, it's proofed
	to be better :)

2003-02-05 23:22  laza2000

	* visualc/efltk.dsp: Updated project files.  Detailed:	 Removed
	Fl_Dialog_Data_Source.*   Added Fl_Buffer.*

2003-02-05 23:08  parshin

	* src/core/Makefile: Fl_Socket.cpp added to Makefile

2003-02-05 23:05  parshin

	* efltk-cforge.mak, efltk/Fl_Socket.h, src/core/Fl_Socket.cpp:
	Fl_Socket - simple socket support. I decided don't use OSocket
	because found several problems in it. That version of the class
	doesn't have UDP support. We can always extend it, or derive a new
	class from Fl_Socket.

2003-02-05 23:02  laza2000

	* efltk/win32.h: Added missing returns

2003-02-05 20:36  laza2000

	* configure.in: Fixed iconv decl. check

2003-02-05 19:22  laza2000

	* configure.in: Hopefully fixed iconv declaration check

2003-02-05 19:20  laza2000

	* efltk/Fl_Text_Display.h: Speed up :)

2003-02-05 19:19  laza2000

	* src/widgets/: Fl_Text_Buffer.cpp, Fl_Text_Display.cpp: Speed up
	text display. layout() does now all heavy calculating only if
	FL_LAYOUT_W is done.  Fixed line numbers.

2003-02-05 19:00  parshin

	* efltk-cforge.mak: C-Forge project fixed

2003-02-05 09:13  parshin

	* src/widgets/: Fl_Text_Buffer.cpp, Fl_Text_Display.cpp: Minor
	update for Fl_Text_Editor

2003-02-05 05:13  parshin

	* src/core/Fl_Buffer.cpp: Minor fix

2003-02-05 03:11  parshin

	* efltk/Fl_Text_Buffer.h, src/widgets/Fl_Text_Display.cpp,
	efltk/Fl_Text_Display.h: I've achieved about another 5% of speed
	encrease on scroll/draw operations.

2003-02-05 03:04  parshin

	* efltk/Fl_Buffer.h, src/widgets/Fl_Text_Buffer.cpp: Minor update

2003-02-05 01:37  laza2000

	* src/core/: fl_blit_a.cpp, fl_converters.cpp, fl_font_x.cpp,
	fl_iconv_converters.cpp: Better ucs->fontmap converter. Support all
	versions of iconv.

2003-02-05 01:36  laza2000

	* configh.in, configure.in: Added check for iconv const

2003-02-05 00:43  parshin

	* efltk/Fl_Buffer.h: Minor_update

2003-02-05 00:30  parshin

	* src/core/Fl_Buffer.cpp, efltk/Fl_Buffer.h: Minor_update

2003-02-04 21:42  parshin

	* efltk-cforge.mak: C-Forge project update

2003-02-04 18:58  parshin

	* src/core/fl_iconv_converters.cpp: Update for different versions
	of iconv.

2003-02-04 17:52  laza2000

	* src/core/: Fl_Renderer.cpp, fl_iconv_converters.cpp: minor
	corrections

2003-02-04 17:28  laza2000

	* src/makeinclude_tmpl: dependencies :)

2003-02-04 17:22  laza2000

	* src/core/Fl_Image.cpp, src/core/Fl_Image_Filter.cpp,
	src/core/Fl_Renderer.cpp, src/core/Fl_Widget.cpp,
	src/core/Fl_Xpm.cpp, src/core/fl_blit.cpp, src/core/fl_blit_a.cpp,
	src/core/fl_blit_n.cpp, src/core/fl_clip.cpp,
	src/core/fl_draw_image_x.cpp, src/core/fl_draw_image_x_2.cpp,
	src/core/fl_labeltype.cpp, src/core/fl_rect.cpp, efltk/Fl_Image.h,
	efltk/Fl_Image_Filter.h, efltk/Fl_Renderer.h, efltk/Fl_Util.h,
	efltk/win32.h, test/alphablend.cpp, test/image.cpp,
	test/image_loader.cpp, test/image_loader.fl, test/image_manip.cpp:
	- EFltk image functions are now fully functional with indexed
	displays also.	- Added Back/Fore blend image filters.	- Made
	better grayscale filter, and renamed it to FL_FILTER_GRAYSCALE -
	Fixed XPM image transparent areas in some cases - Better bitmap
	mask creating functions - Added region generating functions to
	Fl_Image

2003-02-04 17:21  laza2000

	* src/widgets/: Fl_Button.cpp, Fl_File_Dialog.cpp, Pixmaps.h: -
	EFltk image functions are now fully functional with indexed
	displays also.	- Added Back/Fore blend image filters.	- Made
	better grayscale filter, and renamed it to FL_FILTER_GRAYSCALE

2003-02-04 04:45  parshin

	* efltk-cforge.mak, src/widgets/Fl_Text_Buffer.cpp,
	test/editor.cpp: Minor update.

2003-02-04 04:13  parshin

	* efltk-cforge.mak, src/widgets/Fl_Text_Buffer.cpp,
	src/widgets/Fl_Text_Display.cpp, test/editor.cpp: Fl_Text_Editor
	update. Added scrolling test in the editor.

2003-02-04 03:17  parshin

	* efltk/Fl_Text_Buffer.h: Unfinished. I'll finish it inside one
	hour. sorry.

2003-02-04 01:37  parshin

	* src/widgets/Fl_Text_Buffer.cpp: Unfinished!

2003-02-04 00:41  parshin

	* efltk-cforge.mak: Update the sucker!

2003-02-03 23:56  parshin

	* src/core/fl_iconv_converters.cpp: Minor correction

2003-02-03 23:46  parshin

	* efltk-cforge.mak: Include Open GL support

2003-02-03 23:31  parshin

	* efltk-cforge.mak: Update for Code Forge eFLTK project

2003-02-03 13:20  ravne2000

	* src/core/Fl_wince.cpp: Updated wince after WIN32 change

2003-02-03 07:47  parshin

	* efltk-cforge.mak: Addidng more tests to C-Forge project file.

2003-02-02 23:41  parshin

	* src/core/Makefile: Fl_Buffer included into the Makefile

2003-02-02 20:48  parshin

	* src/db/odbc/Fl_ODBC_Database.cpp: More comments to make driver
	development easier

2003-02-02 19:04  parshin

	* src/db/odbc/Fl_ODBC_Database.cpp: Added some comments to make
	driver development easier

2003-02-02 18:41  parshin

	* efltk-cforge.mak: CForge eFLTK project updated - Fl_Buffer
	included.

2003-02-02 18:39  parshin

	* src/core/Fl_Buffer.cpp: Added to core .. Generic buffer that
	always grows. I need it for Fl_Editor, and Mikko needs it for
	something.

2003-02-02 18:37  parshin

	* efltk/Fl_Buffer.h: Added to core ..

2003-02-02 18:10  parshin

	* efltk-cforge.mak: CForge eFLTK project. Currently is incomplete.
	Can't be moved into sub-directory, doesn't contain most of the
	tests. I need to know if somebody else can use it.

2003-02-02 14:10  laza2000

	* src/core/: fl_blit.cpp, fl_blit_a.cpp, fl_blit_n.cpp: Fixed
	indexed -> indexed blit

2003-02-02 14:09  laza2000

	* configure.in: Use colormap by default

2003-02-02 11:52  laza2000

	* src/makeinclude_tmpl: Replaced math.h with fl_math.h ...

2003-02-02 11:49  laza2000

	* src/widgets/Fl_Clock.cpp, src/widgets/Fl_Color_Chooser.cpp,
	src/widgets/Fl_Dial.cpp, src/widgets/Fl_Input.cpp,
	src/widgets/Fl_Masked_Input.cpp, src/widgets/Fl_Menu.cpp,
	src/widgets/Fl_Menu_Window.cpp, src/widgets/Fl_Multi_Tabs.cpp,
	src/widgets/Fl_Roller.cpp, src/widgets/Fl_Scrollbar.cpp,
	src/widgets/Fl_Slider.cpp, src/widgets/Fl_Tool_Bar.cpp,
	src/widgets/Fl_Valuator.cpp, src/widgets/Fl_Value_Input.cpp,
	src/core/Fl_Image_Filter.cpp, src/core/Fl_String.cpp,
	src/core/Fl_Style.cpp, src/core/fl_arc.cpp, src/core/fl_arci.cpp,
	src/core/fl_curve.cpp, src/core/fl_draw.cpp, src/core/fl_font.cpp,
	src/core/fl_vertex.cpp, test/alphablend.cpp, test/doublebuffer.cpp,
	test/fullscreen.cpp, test/gl_overlay.cpp, test/glpuzzle.cpp,
	test/listview.cpp, test/scroll.cpp, test/shape.cpp, test/utf8.cpp:
	Replaced efltk/math.h with efltk/fl_math.h ..

2003-02-02 11:38  laza2000

	* efltk/Fl_Dialog.h, src/widgets/Fl_Dialog.cpp,
	src/widgets/Fl_File_Dialog.cpp:  - Fixed FL_DLG_* defines
	 - Changed enum values to BTN_ instead of DLG

2003-02-02 11:35  laza2000

	* build.g++, build.gcc, configure.in, efltk.spec: Added check for
	MAKE (gmake/make).  Removed efltk.spec, since it's generated by
	configure.

2003-02-02 04:04  parshin

	* efltk/: fl_math.h, math.h: File math.h renamed to fl_math.h

2003-02-01 21:01  laza2000

	* src/core/: fl_utf8.c, scandir.c, scandir_win32.c: Removed old
	files..

2003-02-01 20:59  laza2000

	* src/widgets/: Fl_Dialog_Data_Source.cpp, Makefile: Removed..

2003-02-01 20:58  laza2000

	* efltk/Fl_Dialog_Data_Source.h: removed..

2003-02-01 20:44  leka

	* doc/ChangeLog: Finally new ChangeLog here... :)

2003-02-01 17:38  parshin

	* src/core/Fl_Data_Fields.cpp: Fix.

2003-02-01 05:43  parshin

	* build.g++, efltk.spec, efltk/Fl_Dialog.h, efltk/db/Fl_Query.h,
	src/db/Fl_Query.cpp, src/widgets/Fl_Dialog.cpp,
	src/widgets/Fl_FileBrowser.cpp, src/widgets/Fl_File_Dialog.cpp,
	test/valuators.cpp, test/valuators.h, test/db/db_odbc.cpp: Several
	corrections..  1) I've added a prefix "DLG_" to Fl_Dialog button
	constants. It was necessary    because Borland CBuilder doesn't
	accept several words as user constant	 names. 'IGNORE' is among
	them. Personally, I think that placing these	constants (in
	union) inside the class was a mistake - it just makes code   
	longer and worse to read.  2) The memory problem with Fl_Query
	reported by William Trenker is fixed
	
	Mikko, your last changes in Fl_Dialog broke Fl_File_Dialog code.
	Your changes in Fl_Data_Source (record_count) broke Fl_Query - it
	didn't have that abstract method so it couldn't be instantiated.
	Please, recompile the library in such cases.

2003-01-31 13:54  laza2000

	* src/: widgets/Fl_Tooltip.cpp, core/Fl.cpp: Tooltip fixes. Added 5
	sec timeout to close tooltip window

2003-01-31 13:27  laza2000

	* efltk/Fl_Dialog.h: Added refresh button type.  Moved FL_DLG_* to
	inside class as enum, since that is std way in efltk (backward
	compatible).

2003-01-31 13:26  laza2000

	* src/widgets/Fl_Dialog.cpp: Added refresh button type

2003-01-30 22:18  laza2000

	* efltk/Fl_Config.h, src/core/Fl_Config.cpp:  added some missing
	consts :)
	 Use more Fl_String, this should eliminate most of malloc/delete
	mismatch
	bugs

2003-01-30 13:51  laza2000

	* src/widgets/Fl_ListView_Header.cpp: Fixed column layout

2003-01-30 13:36  laza2000

	* src/core/Fl_Group.cpp: Fixed layout() for non-autolayout

2003-01-30 13:03  laza2000

	* src/widgets/Fl_Directory_DS.cpp, src/widgets/Fl_FileBrowser.cpp,
	src/widgets/Fl_ListView.cpp, src/widgets/Fl_ListView_Header.cpp,
	src/widgets/Fl_ListView_Item.cpp, efltk/Fl_Directory_DS.h,
	efltk/Fl_FileBrowser.h, efltk/Fl_Group.h, efltk/Fl_ListView.h,
	efltk/Fl_ListView_Header.h, efltk/Fl_ListView_Item.h:  - Fixed
	listview, when yposition_ member was set garbage..
	 - Added filename() and filename_full() to Fl_File_Browser
	 - Added Fl_String & functions to Fl_ListView_* and missing consts

2003-01-30 11:01  laza2000

	* src/widgets/Fl_File_Dialog.cpp: Set first filter active

2003-01-30 10:44  laza2000

	* src/widgets/: Fl_Directory_DS.cpp, Fl_File_Dialog.cpp: Minor
	corrections..

2003-01-30 10:32  laza2000

	* src/widgets/: Fl_FileBrowser.cpp, Fl_File_Dialog.cpp: Unix fixes
	for file chooser

2003-01-30 08:32  parshin

	* src/: core/Fl_Data_Fields.cpp, widgets/Fl_Dialog.cpp: Making
	Fl_Dialog_DS work.

2003-01-30 08:31  parshin

	* test/dialog.cpp: Better dialog test :)

2003-01-30 01:58  laza2000

	* src/widgets/: Fl_Dialog.cpp, Fl_File_Dialog.cpp:  - Fixed
	Fl_Dialog buttons layouting
	 - some MinGW fixes

2003-01-30 01:21  laza2000

	* MinGW/: Makefile, alphablend.mak, bb.png, build.mingw, config.h,
	dialog.mak, dsw2mak.awk, editor.mak, efltk.mak, efltk_images.mak,
	efluid.mak, file_chooser.mak, fix_makefiles, fonts.mak, hello.mak,
	image_layout.mak, image_loader.mak, listview.mak, listview_ds.mak,
	makeinclude, mdi.mak, menubar.mak, multitabs2.mak,
	popup_window.mak, preferences.mak, radio.mak, tabs.mak, thread.mak,
	utf8.mak: Remove old files..

2003-01-30 01:12  laza2000

	* src/widgets/Fl_Text_Display.cpp: Fixed uninitilized member
	warning

2003-01-30 01:09  laza2000

	* src/widgets/Fl_Multi_Tabs.cpp: fixed float -> int warning

2003-01-30 01:06  laza2000

	* src/widgets/Fl_File_Dialog.cpp: Add .c_str() ..

2003-01-30 01:04  laza2000

	* src/widgets/Fl_FileBrowser.cpp: Include unistd.h

2003-01-30 01:01  laza2000

	* src/widgets/Fl_Directory_DS.cpp, efltk/Fl_Directory_DS.h: Include
	unistd.h, took const away from stat..

2003-01-30 00:55  laza2000

	* efltk/Fl_Directory_DS.h, src/widgets/Fl_Directory_DS.cpp: minor
	fix for DS..

2003-01-30 00:39  laza2000

	* test/Makefile, test/calendar.cpp, test/checkers.cpp,
	test/file_chooser.cpp, test/preferences.cpp, test/xml_test2.cpp,
	tools/etranslate/etranslate.cpp, tools/etranslate/load_pot.cpp,
	themes/Makefile, visualc/config.h, visualc/efltk.dsp,
	visualc/efltk.dsw, visualc/xml_test2.dsp, Makefile:  - New
	filechooser, taking advance in Fl_Dialog and DS usage :)
	 - Added MinGW support for normal makefiles. So, typing "make"
	should be enought
	 - Added Fl_String from/to unicode and latin1
	 - Fixed Fl_ListView_Header::clear
	 - Fixed Fl_String_List
	 - Added more consts
	 - Speed up windows text drawing
	 - Speed up Fl_Dialog layouting
	 - Fixed Fl_Scroll bug, where it was doing double layout() for all
	children
	 - Fl_Data_Fields adds field, if not found
	 - ....

2003-01-30 00:35  laza2000

	* src/core/Fl_Data_Fields.cpp, src/core/Fl_Group.cpp,
	src/core/Fl_Lists.cpp, src/core/Fl_String.cpp,
	src/core/Fl_win32.cpp, src/core/KStoUCS.cpp, src/core/filename.cpp,
	src/core/fl_font_win32.cpp, src/core/scandir_win32.cpp,
	src/widgets/Fl_Dialog.cpp, src/widgets/Fl_Dialog_Data_Source.cpp,
	src/widgets/Fl_Directory_DS.cpp, src/widgets/Fl_FileBrowser.cpp,
	src/widgets/Fl_File_Dialog.cpp, src/widgets/Fl_ListView.cpp,
	src/widgets/Fl_ListView_Header.cpp,
	src/widgets/Fl_ListView_Item.cpp, src/widgets/Fl_Multi_Tabs.cpp,
	src/widgets/Fl_Scroll.cpp, src/widgets/Fl_Text_Display.cpp,
	src/widgets/Pixmaps.h, src/Makefile, src/makeinclude_tmpl,
	src/db/odbc/Makefile, src/opengl/Makefile, src/xml/Makefile,
	efltk/Fl_Data_Fields.h, efltk/Fl_Data_Source.h, efltk/Fl_Dialog.h,
	efltk/Fl_Dialog_Data_Source.h, efltk/Fl_Directory_DS.h,
	efltk/Fl_Exception.h, efltk/Fl_FileBrowser.h,
	efltk/Fl_File_Dialog.h, efltk/Fl_ListView_Item.h,
	efltk/Fl_Multi_Tabs.h, efltk/Fl_String.h, efltk/Fl_String_List.h,
	efltk/Makefile, efltk/filename.h:  - New filechooser, taking
	advance in Fl_Dialog and DS usage :)
	 - Added MinGW support for normal makefiles. So, typing "make"
	should be enought
	 - Added Fl_String from/to unicode and latin1
	 - Fixed Fl_ListView_Header::clear
	 - Fixed Fl_String_List
	 - Added more consts
	 - Speed up windows text drawing
	 - Speed up Fl_Dialog layouting
	 - Fixed Fl_Scroll bug, where it was doing double layout() for all
	children
	 - Fl_Data_Fields adds field, if not found
	 - ....

2003-01-29 07:21  parshin

	* src/widgets/: Fl_Text_Display.cpp, Fl_Text_Editor.cpp: Keyboard
	handling fixed

2003-01-28 23:50  parshin

	* src/widgets/Fl_Text_Display.cpp: Small optimization ..

2003-01-28 23:00  parshin

	* src/widgets/: Fl_Text_Buffer.cpp, Fl_Text_Display.cpp: Fl_Editor
	fixes. It works now :)

2003-01-28 16:37  parshin

	* test/editor.cpp: Replaced CR/LF with LF

2003-01-28 08:21  parshin

	* test/editor.cpp: Minor resource mismatch fixes.

2003-01-27 09:11  laza2000

	* efltk/filename.h: Took LARGEFILE stuff away.. Breaks too much :(

2003-01-26 20:25  parshin

	* src/core/filename.cpp: Fixed fl_get_home_dir

2003-01-26 03:02  laza2000

	* test/: cube.cpp, gl_overlay.cpp, shape.cpp: Updated to new Fl_Box
	code.. i.e. removed fltk1 Fl_Box(Fl_Boxtype_ *...)

2003-01-26 02:47  laza2000

	* efltk/filename.h: ... changing header files to include...

2003-01-26 02:36  laza2000

	* efltk/filename.h: ... changing header files to include...

2003-01-26 02:16  laza2000

	* src/core/: filename_list.cpp, scandir.cpp: Moved scandir sort
	functions back :)

2003-01-26 02:14  laza2000

	* src/core/: filename_list.cpp, scandir.cpp: Moved scandir sort
	functions

2003-01-26 02:13  laza2000

	* efltk/filename.h: Include dirent.h in filename.h

2003-01-26 02:02  laza2000

	* visualc/efltk.dsp: Updated prj files..

2003-01-26 02:02  laza2000

	* src/: core/Fl_Util.cpp, widgets/Fl_ListView_Item.cpp:  - Fixed
	memory leak in listview item dtor
	 - Added missing header files to Fl_Util.cpp

2003-01-26 01:55  laza2000

	* bcb6/: _efltk_group.bpg, arc.bpr, ask.bpr, bitmap.bpr,
	boxtype.bpr, browser.bpr, button.bpr, buttons.bpr, calendar.bpr,
	checkers.bpr, clock.bpr, config.h, libefltk.bpr: Updated some
	project files. I didnt update all, cause BCB keeps sucking all
	resources.. :( Replaced absolute paths with relative..

2003-01-26 01:53  laza2000

	* visualc/etranslate.dsp: Added etranslate prj file

2003-01-26 01:51  laza2000

	* src/widgets/Fl_Directory_DS.cpp, src/widgets/Fl_File_Dialog.cpp,
	src/widgets/Fl_Input.cpp, src/widgets/Fl_Input_Browser.cpp,
	src/widgets/Fl_ListView.cpp, src/widgets/Fl_ListView_Item.cpp,
	src/widgets/Fl_Menu.cpp, efltk/Fl_Callback_List.h,
	efltk/Fl_File_Dialog.h, efltk/Fl_Group.h, efltk/Fl_Image_List.h,
	efltk/Fl_Input_Browser.h, efltk/Fl_Int_List.h,
	efltk/Fl_ListView_Item.h, efltk/Fl_Ptr_List.h, efltk/Fl_String.h,
	efltk/Fl_String_List.h, efltk/Fl_Translator.h, efltk/Fl_Util.h,
	efltk/Fl_Widget_List.h, efltk/filename.h, efltk/fl_utf8.h,
	efltk/win32.h, visualc/config.h, visualc/efltk.dsp,
	visualc/efltk.dsw, visualc/efluid.dsp:	- WIN32 fixes.
	 - Added more missing consts
	 - Fixed lists clear() in dtor
	 - Minor fixes in translator engine
	 - Added more fl_file_* functions that takes Fl_String
	 - Moved fl_file_* functions to filename.h and filename.cpp
	 - Removed most of C files..

2003-01-26 01:50  laza2000

	* src/core/: Fl_Group.cpp, Fl_Lists.cpp, Fl_String.cpp,
	Fl_Translator.cpp, Fl_Util.cpp, Fl_Widget.cpp, Fl_init.cpp,
	Fl_win32.cpp, Makefile, filename.cpp, filename_absolute.cpp,
	filename_expand.cpp, filename_ext.cpp, filename_isdir.cpp,
	filename_list.cpp, filename_setext.cpp, fl_call_main.c,
	fl_converters.cpp, fl_cursor.cpp, fl_internal.h, fl_locale.cpp,
	fl_utf8.c, fl_utf8.cpp, numericsort.c, scandir.c, scandir.cpp,
	scandir_win32.c, scandir_win32.cpp:  - WIN32 fixes.
	 - Added more missing consts
	 - Fixed lists clear() in dtor
	 - Minor fixes in translator engine
	 - Added more fl_file_* functions that takes Fl_String
	 - Moved fl_file_* functions to filename.h and filename.cpp

2003-01-22 10:38  laza2000

	* src/core/Fl_Lists.cpp: Match to header declaration..

2003-01-22 07:36  parshin

	* bcb6/: _efltk_group.dsk, hello.bpf, libefltk.bpr: Update for new
	eFLTK version. Everything is tested with the Code Guard for memory
	problems.

2003-01-22 07:25  parshin

	* efltk/Fl_String_List.h: Minor fixes

2003-01-22 07:08  parshin

	* src/core/Fl_String.cpp: Fixes for incorrect implementation of the
	sub_delete and sub_str.

2003-01-21 19:14  cortex

	* src/core/Fl_Date_Time.cpp, README: NLS support missing in other
	constructors

2003-01-21 07:55  parshin

	* efltk/Fl_Variant.h, efltk/win32.h, src/core/Fl_Config.cpp,
	src/core/Fl_win32.cpp, src/core/fl_converters.cpp,
	src/core/fl_draw_image_win32.cpp, src/core/fl_utf8.c,
	src/core/scandir.c, src/core/scandir_win32.c,
	src/widgets/Fl_Directory_DS.cpp: Windows corrections - eFLTK
	compiled in Borland C++.  Mikko, please verify my changes.

2003-01-18 20:22  laza2000

	* configure.in: Fixed GCC3.x with gcc..

2003-01-18 20:15  laza2000

	* src/db/Fl_Database.cpp: Removed default value.

2003-01-17 00:15  parshin

	* efltk/Fl_Data_Fields.h, efltk/Fl_Directory_DS.h,
	src/core/Fl_Data_Fields.cpp: Minor updates.

2003-01-16 00:11  laza2000

	* configure.in: Dont add -g always..

2003-01-15 23:16  parshin

	* efltk/db/Fl_Database.h, src/db/Fl_Database.cpp: No more monkeying
	with thread safety during object life time - only in the ctor.

2003-01-15 23:08  parshin

	* src/db/Fl_Database.cpp, src/db/Fl_Query.cpp,
	efltk/db/Fl_Database.h: Added thread-safety for Fl_Database,
	Fl_Query and derived classes.  It can be turned on in ctor, or
	flipped by Fl_Database::thread_safe(bool) at any moment.

2003-01-15 22:49  laza2000

	* configure.in, makeinclude.in: ODBC stuff..

2003-01-15 22:48  laza2000

	* test/db/: Makefile, db_odbc.cpp, db_test_template.cpp:  - Added
	makefile and ODBC test.
	 - db_test_template is now actually template :), it takes connect
	string
	as first parameter or under W32 it pops up dialog for that.
	
	make regenerate, will generate new test(s) from template.

2003-01-15 19:25  laza2000

	* src/makeinclude_tmpl: Check if makeinclude is already included

2003-01-15 19:25  laza2000

	* configh.in, configure.in, efltk-config.in, makeinclude.in,
	src/db/odbc/Makefile:  - Use autoconf macros for detecting unixODBC
	 - Added efltk-config --use-odbc
	 - Dont define HAVE_UNIXODBC in config.h. It's not needed, since
	files are
	not build at all, if ODBC libs are not found.	- Added ./configure
	--disable-unixODBC, also --help shows this.   - Fixed
	src/db/ocbc/Makefile

2003-01-15 18:48  laza2000

	* src/widgets/Fl_Menu.cpp: Dont debug menus..

2003-01-15 05:10  parshin

	* test/db/db_test_template.cpp, test/db/readme.txt,
	src/db/Fl_Params.cpp, src/db/odbc/Fl_ODBC_Database.cpp: The first
	working version of Fl_ODBC_Database! At least the test, added in
	test/db works.	I'd really appreciate, if someone adds it to
	makefile.  I'll add a readme.txt in test/db explaining test
	pre-requiremnts.

2003-01-15 04:44  parshin

	* efltk/db/Fl_Params.h: The first working version of
	Fl_ODBC_Database! At least the test, added in test/db works.  I'd
	really appreciate, if someone adds it to makefile.  I'll add a
	readme.txt in test/db explaining test pre-requiremnts.

2003-01-15 03:16  leka

	* configure.in: Small change.

2003-01-15 03:13  leka

	* makeinclude.in: Some unixODBC variables has been added here, so
	configure will properly substitute found values...

2003-01-15 03:11  leka

	* configure.in: Added --without-unixODBC option, if it's not
	specified configure script will try to find unixODBC libraries and
	set some variables. Read more in /efltk/doc/unixODBC.txt about
	everything!

2003-01-15 03:02  leka

	* doc/unixODBC.txt: Some notes for developers and for users that
	want to install unixODBC stuff.

2003-01-15 02:37  leka

	* configh.in: Added HAVE_UNIXODBC line into configh.in - if
	unixODBC is found than HAVE_UNIXODBC will be set to 1.

2003-01-14 17:07  laza2000

	* src/widgets/Fl_Menu.cpp: Correction to about_to_{show|hide}
	signals.

2003-01-14 11:50  laza2000

	* src/core/Fl_x.cpp: Fixed crash, when numlock is on and press
	number on numpad

2003-01-14 03:48  parshin

	* src/: core/Fl_Data_Fields.cpp, core/Fl_Variant.cpp,
	db/Fl_Database.cpp, db/Fl_Query.cpp, db/odbc/Fl_ODBC_Database.cpp:
	First debugging corrections for Fl_ODBC_Database.  We are almost
	there.
	
	The pessimist can see a tunnel.  The optimist sees a tonal and
	alight at the end of it.  The realist understands - the light
	belongs to the incoming train.

2003-01-14 03:46  parshin

	* efltk/: Fl_Data_Fields.h, Fl_Variant.h, db/Fl_Database.h,
	db/Fl_Query.h: Fisrt corrections after first debugging
	Fl_ODBC_Database

2003-01-13 04:28  parshin

	* src/db/odbc/Fl_ODBC_Database.cpp: Another step forward

2003-01-13 04:28  parshin

	* efltk/db/Fl_Database.h: Slowly approaching Fl_ODBC_Database

2003-01-12 08:29  laza2000

	* src/core/Fl_Group.cpp, efltk/Fl_Group.h: Added layout_spacing()

2003-01-12 01:49  parshin

	* efltk/: Fl_Data_Fields.h, db/Fl_Database.h: Minor corrections

2003-01-12 01:49  parshin

	* src/: core/Fl_Data_Fields.cpp, db/Fl_Database.cpp,
	db/odbc/Fl_ODBC_Database.cpp: Little advance towards working
	Fl_Database

2003-01-11 21:22  laza2000

	* src/core/Fl_Group.cpp: Dont overlap box..

2003-01-11 19:03  laza2000

	* src/core/: Fl_Group.cpp, Fl_Window.cpp: Layout fixes

2003-01-11 01:22  leka

	* efltk/Fl_Boxtype.h: This is another base-class with proper
	comments for Doxygen...

2003-01-11 01:19  leka

	* efltk/Fl_Image_Filter.h: I have just changed comments - because
	of documentation generation.

2003-01-11 01:16  leka

	* efltk/Fl_Ptr_List.h: Added comment for the class - for our
	reference documentation generation...

2003-01-11 01:13  leka

	* efltk/Fl_Widget.h: I've added some comments so Doxygen generates
	page about Fl_Widget... I did so because of Doxygen reference
	documentation generation testing.

2003-01-10 15:43  laza2000

	* src/core/: fl_font_x.cpp, fl_list_fonts_x.cpp: Minor speed up in
	finding font

2003-01-10 14:49  laza2000

	* src/core/Fl_WM.cpp: Init atoms correctly

2003-01-10 14:09  laza2000

	* src/widgets/Fl_File_Dialog.cpp, src/widgets/Fl_Input_Browser.cpp,
	efltk/Fl_Input_Browser.h: Fl_Input_Browser layout fixes.

2003-01-10 14:03  laza2000

	* src/core/Fl_Translator.cpp: Fixed seg.fault when translation
	catalog not found

2003-01-10 13:45  laza2000

	* makeinclude.in: Use -Wall

2003-01-10 13:45  laza2000

	* src/core/Fl_Translator.cpp: Minor update..

2003-01-10 13:35  laza2000

	* efltk/Fl_Boxtype.h, efltk/Fl_Group.h, efltk/Fl_MDI_Window.h,
	efltk/Fl_Tooltip.h, efltk/Fl_Window.h, src/core/Fl.cpp,
	src/core/Fl_Window.cpp, src/core/fl_draw_image_x.cpp,
	src/widgets/Fl_MDI_Bar.cpp, src/widgets/Fl_MDI_Window.cpp,
	src/widgets/Fl_Menu_Window.cpp, src/widgets/Fl_Tooltip.cpp,
	src/widgets/Fl_Workspace.cpp, src/widgets/fl_ask.cpp:  - Some
	tooltip fixes
	 - re-order variables to match ctor..
	 - MDI window caption functions changes to Fl_String..

2003-01-10 01:53  parshin

	* src/db/Fl_Params.cpp, src/db/Fl_Query.cpp,
	src/db/odbc/Fl_ODBC_Database.cpp, efltk/db/Fl_Database.h,
	efltk/db/Fl_ODBC_Database.h, efltk/db/Fl_Params.h,
	efltk/db/Fl_Query.h: Crawling toward the Fl_ODBC_Database.  The
	implementation of query operation has began.

2003-01-10 00:03  laza2000

	* test/: Makefile, layout2.cpp: Added test for auto layout.

2003-01-10 00:02  laza2000

	* src/core/: Fl_Group.cpp, Fl_WM.cpp, Fl_Widget.cpp, Fl_Window.cpp,
	Fl_x.cpp:  - Added auto layout support. See test/layout2.
	 - Added FL_ALIGN_CLIENT, for auto layout.
	 - Added size_range for all widgets.
	 - Fl_WM inits atom only when needed.

2003-01-10 00:01  laza2000

	* efltk/: Fl_Flags.h, Fl_Group.h, Fl_Widget.h, Fl_Window.h:  -
	Added auto layout support. See test/layout2.
	 - Added FL_ALIGN_CLIENT, for auto layout.
	 - Added size_range for all widgets.

2003-01-09 19:06  laza2000

	* src/core/Fl_String.cpp: strtof -> strtod

2003-01-09 17:30  laza2000

	* src/core/Fl_String.cpp: Check NULL..

2003-01-09 17:29  laza2000

	* efltk/Fl_Widget.h: Check NULL in label()..

2003-01-09 17:17  laza2000

	* src/core/Fl.cpp, src/core/Fl_Config.cpp,
	src/core/Fl_Data_Fields.cpp, src/core/Fl_Date_Time.cpp,
	src/core/Fl_Exception.cpp, src/core/Fl_Gif.cpp,
	src/core/Fl_Group.cpp, src/core/Fl_String.cpp,
	src/core/Fl_Translator.cpp, src/core/Fl_Variant.cpp,
	src/core/Fl_Widget.cpp, src/core/Fl_Window.cpp,
	src/core/Fl_arg.cpp, src/core/Fl_x.cpp, src/core/fl_draw.cpp,
	src/core/fl_font.cpp, src/core/fl_labeltype.cpp,
	src/core/fl_theme.cpp, src/db/Fl_Query.cpp, src/images/Fl_Jpeg.cpp,
	src/widgets/Fl_Adjuster.cpp, src/widgets/Fl_Align_Group.cpp,
	src/widgets/Fl_Box.cpp, src/widgets/Fl_Browser.cpp,
	tools/efluid/Fl_Widget_Type.cpp, src/widgets/Fl_Clock.cpp,
	tools/efluid/factory.cpp, tools/etranslate/load_etm.cpp,
	src/widgets/Fl_Dialog.cpp, src/widgets/Fl_Directory_DS.cpp,
	src/widgets/Fl_File_Dialog.cpp, src/widgets/Fl_Input.cpp,
	src/widgets/Fl_Input_Browser.cpp,
	src/widgets/Fl_ListView_Header.cpp, src/widgets/Fl_MDI_Bar.cpp,
	src/widgets/Fl_MDI_Window.cpp, src/widgets/Fl_Menu_add.cpp,
	src/widgets/Fl_Multi_Tabs.cpp, src/widgets/Fl_Scroll.cpp,
	src/widgets/Fl_Tabs.cpp, src/widgets/Fl_Tool_Bar.cpp,
	src/widgets/Fl_Tooltip.cpp, src/widgets/Fl_Valuator.cpp,
	src/widgets/fl_ask.cpp, src/widgets/fl_symbols.cpp,
	src/xml/Fl_XmlCtx.cpp, src/xml/Fl_XmlDoc.cpp,
	src/xml/Fl_XmlParser.cpp, test/boxtype.cpp, test/browser.cpp,
	test/checkers.cpp, test/cube.cpp, test/cursor.cpp, test/demo.cpp,
	test/file_chooser.cpp, test/gl_overlay.cpp, test/image_manip.cpp,
	test/input.cpp, test/label.cpp, test/layout.cpp,
	test/line_style.cpp, test/list_visuals.cpp, test/mdi_test.cpp,
	test/menubar.cpp, test/pack.cpp, test/progress.cpp, test/sizes.cpp,
	test/subwindow.cpp: Phase 1:  - Changed file header in every file. 
	 - Changed all defs to _FL_SOMEFILE_H_ in headers.   - Changed
	Fl_Widget/Fl_Window use Fl_String internally.
	
	Still lot more to come..  Phase 2 commit hopefully in 24h..

2003-01-09 17:11  laza2000

	* efltk/: Enumerations.h, Fl.h, Fl_Adjuster.h, Fl_Align_Group.h,
	Fl_Bar.h, Fl_Bitmap.h, Fl_Box.h, Fl_Boxtype.h, Fl_Browser.h,
	Fl_Button.h, Fl_Calendar.h, Fl_Callback_List.h, Fl_Check_Button.h,
	Fl_Choice.h, Fl_Clock.h, Fl_Color.h, Fl_Color_Chooser.h,
	Fl_Config.h, Fl_Data_Fields.h, Fl_Data_Source.h, Fl_Date_Time.h,
	Fl_Date_Time_Input.h, Fl_Dial.h, Fl_Dialog.h,
	Fl_Dialog_Data_Source.h, Fl_Directory_DS.h, Fl_Divider.h,
	Fl_Double_Window.h, Fl_Exception.h, Fl_Export.h, Fl_FileBrowser.h,
	Fl_FileInput.h, Fl_File_Dialog.h, Fl_Flags.h, Fl_Float_Input.h,
	Fl_Font.h, Fl_Gl_Window.h, Fl_Group.h, Fl_Help_Dialog.h,
	Fl_Highlight_Button.h, Fl_Hor_Fill_Slider.h, Fl_Hor_Nice_Slider.h,
	Fl_Hor_Slider.h, Fl_Hor_Value_Slider.h, Fl_Image.h,
	Fl_Image_Cache.h, Fl_Image_Filter.h, Fl_Image_List.h, Fl_Images.h,
	Fl_Input.h, Fl_Input_Browser.h, Fl_Int_Input.h, Fl_Int_List.h,
	Fl_Item.h, Fl_Item_Group.h, Fl_Labeltype.h, Fl_Light_Button.h,
	Fl_Line_Dial.h, Fl_ListView.h, Fl_ListView_Header.h,
	Fl_ListView_Item.h, Fl_Locale.h, Fl_MDI_Bar.h, Fl_MDI_Window.h,
	Fl_Main_Window.h, Fl_Map.h, Fl_Masked_Input.h, Fl_Menu_.h,
	Fl_Menu_Bar.h, Fl_Menu_Button.h, Fl_Menu_Item.h, Fl_Menu_Window.h,
	Fl_Multi_Browser.h, Fl_Multi_Image.h, Fl_Multi_Tabs.h,
	Fl_Multiline_Input.h, Fl_Multiline_Output.h, Fl_Nice_Slider.h,
	Fl_Numeric_Input.h, Fl_Output.h, Fl_Overlay_Window.h, Fl_Pack.h,
	Fl_Pixmap.h, Fl_Popup_Window.h, Fl_ProgressBar.h, Fl_PtrList.h,
	Fl_Ptr_Hash.h, Fl_Ptr_List.h, Fl_Ptr_Stack.h, Fl_Radio_Button.h,
	Fl_Radio_Item.h, Fl_Radio_Light_Button.h, Fl_Radio_Round_Button.h,
	Fl_Renderer.h, Fl_Repeat_Button.h, Fl_Return_Button.h, Fl_Roller.h,
	Fl_Round_Button.h, Fl_Round_Clock.h, Fl_Scroll.h, Fl_Scrollbar.h,
	Fl_Secret_Input.h, Fl_Select_Browser.h, Fl_Shaped_Window.h,
	Fl_Simple_Counter.h, Fl_Simple_Html.h, Fl_Single_Window.h,
	Fl_Slider.h, Fl_String.h, Fl_String_Hash.h, Fl_String_List.h,
	Fl_String_Stack.h, Fl_Style.h, Fl_Style_Set.h, Fl_Tabs.h,
	Fl_Text_Buffer.h, Fl_Text_Display.h, Fl_Text_Editor.h, Fl_Thread.h,
	Fl_Thread_Linux.h, Fl_Thread_w32.h, Fl_Threads.h, Fl_Tile.h,
	Fl_Toggle_Button.h, Fl_Toggle_Item.h, Fl_Toggle_Light_Button.h,
	Fl_Toggle_Round_Button.h, Fl_Tool_Bar.h, Fl_Tooltip.h,
	Fl_Translator.h, Fl_Tree.h, Fl_Util.h, Fl_Valuator.h,
	Fl_Value_Input.h, Fl_Value_List.h, Fl_Value_Map.h,
	Fl_Value_Output.h, Fl_Value_Slider.h, Fl_Value_Stack.h,
	Fl_Variant.h, Fl_WM.h, Fl_Widget.h, Fl_Widget_List.h, Fl_Window.h,
	Fl_Wordwrap_Input.h, Fl_Wordwrap_Output.h, Fl_Workspace.h, Xutf8.h,
	filename.h, fl_ask.h, fl_draw.h, fl_load_plugin.h, fl_message.h,
	fl_show_colormap.h, fl_utf8.h, gl.h, gl2opengl.h, gl_draw.h,
	math.h, vsnprintf.h, win32.h, x.h, xml/Fl_XmlCtx.h,
	xml/Fl_XmlDoc.h: Phase 1:  - Changed file header in every file.   -
	Changed all defs to _FL_SOMEFILE_H_ in headers.   - Changed
	Fl_Widget/Fl_Window use Fl_String internally.
	
	Still lot more to come..  Phase 2 commit hopefully in 24h..

2003-01-09 00:39  parshin

	* src/db/odbc/Fl_ODBC_Database.cpp: ODBC_Database dtop, open(),
	close() work!

2003-01-09 00:38  parshin

	* src/db/Fl_Database.cpp: ODBC_Database operations open/close work
	now :)

2003-01-09 00:36  parshin

	* efltk/db/Fl_Database.h: [no log message]

2003-01-08 06:26  parshin

	* efltk/db/: Fl_Database.h, Fl_ODBC_Database.h, Fl_Query.h: If the
	enemy doesn't give up - kill him.  If the enemy is too strong -
	join him.    - Old Roman history. Damn Microsoft!

2003-01-08 06:24  parshin

	* src/db/odbc/Fl_ODBC_Database.cpp: Another lil step toward
	Fl_ODBC_database.

2003-01-08 01:40  parshin

	* efltk/db/Fl_ODBC_Database.h: Minor update

2003-01-08 01:40  parshin

	* src/db/odbc/Makefile: fl_odbc.cpp/h added to make.

2003-01-08 01:39  parshin

	* src/db/odbc/Fl_ODBC_Database.cpp: Implemented the connection and
	transaction functions.

2003-01-08 01:03  parshin

	* efltk/db/: Fl_Database.h, Fl_ODBC_Database.h: Continue to develop
	ODBC driver.

2003-01-08 01:02  parshin

	* src/db/odbc/: Fl_ODBC_Database.cpp, fl_odbc.cpp, fl_odbc.h:
	Support classes for ODBC.

2003-01-06 16:36  laza2000

	* efltk/Fl_Image.h, src/core/Fl_Image.cpp,
	src/core/Fl_Image_Filter.cpp, src/core/Fl_Renderer.cpp:  - Made
	image filters work with indexed images also
	 - Restore offscreen after scale mode

2003-01-06 14:57  laza2000

	* src/core/: Fl_Image_Filter.cpp, Fl_Renderer.cpp: Fix filters in
	solaris (hopefully)

2003-01-06 14:13  laza2000

	* src/db/odbc/makedepend: removed makedepend

2003-01-06 14:12  laza2000

	* efltk/Fl_Bitmap.h, efltk/Fl_Image.h, efltk/Fl_Multi_Image.h,
	efltk/Fl_Pixmap.h, efltk/Fl_Renderer.h, efltk/win32.h,
	src/core/Fl_Bitmap.cpp, src/core/Fl_Image.cpp,
	src/core/Fl_Image_Filter.cpp, src/core/Fl_Pixmap.cpp,
	src/core/Fl_Renderer.cpp, src/core/fl_blit.cpp,
	src/core/fl_draw_image_x.cpp, src/widgets/Fl_Multi_Image.cpp:
	Changed Fl_Image variables to start with "m_".	Added virtual
	function _draw(), which can be override for sub-classed draw, e.g.
	Fl_Bitmap.  Fixed pixel manipulate functions to scale uint8 values
	to 0...255, this should fix strange behaviour of effects in some
	machines (solaris)..

2003-01-05 20:21  leka

	* efltk.doxygen: Some small changes...

2003-01-05 20:12  leka

	* efltk.doxygen: Added efltk/xml and efltk/db .

2003-01-05 19:43  laza2000

	* efltk.doxygen:  - Make docos more readable
	 - Dont include function body in HTML
	 - Dont include local classes..
	 - ...

2003-01-05 19:07  leka

	* efltk.doxygen: Main Doxygen (configuration) file that we will use
	for building doc.  reference.

2003-01-05 19:06  leka

	* bin/makeref: I'm using this small Bourne Shell script to test
	ref. doc building...

2003-01-05 16:04  laza2000

	* tools/etranslate/etranslate.cpp: Check for empty list..

2003-01-05 15:57  laza2000

	* configure.in: Use correct variable for rpath's..

2003-01-05 15:51  laza2000

	* configure.in: pic flags.. :)

2003-01-05 15:49  laza2000

	* configure.in: Oops.. wrong pic flags..

2003-01-05 15:43  laza2000

	* configure.in: rpath flags for SunOS and HP-UX

2003-01-05 15:05  laza2000

	* tools/etranslate/main.cpp: Dont require X11 for
	compiling/extracting

2003-01-05 11:58  laza2000

	* tools/efluid/: about_panel.fl, alignment_panel.fl,
	coding_style.fl, fluid.cpp, function_panel.fl, image_file_panel.fl,
	widget_panel.cpp, widget_panel.fl, widget_panel.h:  - Made widget
	panel little bit bigger and resizable
	 - Added missing .fl files..

2003-01-05 10:51  laza2000

	* tools/etranslate/: etranslate.cpp, etranslate.h, main.cpp,
	main_ui.cpp, main_ui.fl, main_ui.h: (de)activate group regarding to
	is file loaded or not..

2003-01-05 01:10  laza2000

	* configure.in: There's no rpath in SunOS :(

2003-01-05 01:01  laza2000

	* test/Makefile: Added efluid rules back

2003-01-05 01:00  laza2000

	* configure.in: Added -rpath, so we can run efluid w/o installing

2003-01-05 00:07  laza2000

	* build.g++, build.gcc: Use gmake, not make..

2003-01-04 23:44  laza2000

	* makeinclude.in: Some unneeded warnings away.. X headers make
	100000s of warnings with those in SunOS

2003-01-04 23:43  laza2000

	* src/makeinclude_tmpl: Hopefully fixed SunOS bug..

2003-01-04 22:45  laza2000

	* bin/README.bin: Added bin dir

2003-01-04 22:43  laza2000

	* src/core/Fl_Xpm.cpp: Fixed warning..

2003-01-04 22:42  laza2000

	* test/Makefile: removed fluid rules..

2003-01-04 22:36  laza2000

	* tools/efluid/: Fl_Function_Type.cpp, Fl_Group_Type.cpp,
	Fl_Menu_Type.cpp, Fl_Type.cpp, Fl_Type.h, Fl_Widget_Type.cpp,
	Fl_Window_Type.cpp, Fluid_Image.cpp, Fluid_Image.h,
	Fluid_Plugins.cpp, Fluid_Plugins.h, Makefile, Shortcut_Button.h,
	about_panel.cpp, about_panel.h, alignment_panel.cpp,
	alignment_panel.h, code.cpp, coding_style.cpp, coding_style.h,
	coding_style_func.cpp, factory.cpp, file.cpp, fluid.cpp,
	function_panel.cpp, function_panel.h, image_file_panel.cpp,
	image_file_panel.h, widget_panel.cpp, widget_panel.h: Adding efluid
	files :) (finally)

2003-01-04 22:30  laza2000

	* fluid/: Fl_Function_Type.cpp, Fl_Function_Type.cxx,
	Fl_Group_Type.cpp, Fl_Group_Type.cxx, Fl_Menu_Type.cpp,
	Fl_Menu_Type.cxx, Fl_Type.cpp, Fl_Type.cxx, Fl_Type.h,
	Fl_Widget_Type.cpp, Fl_Widget_Type.cxx, Fl_Window_Type.cpp,
	Fl_Window_Type.cxx, Fluid_Image.cpp, Fluid_Image.cxx,
	Fluid_Image.h, Fluid_Plugins.cpp, Fluid_Plugins.cxx,
	Fluid_Plugins.h, Makefile, Shortcut_Button.h, about_panel.cpp,
	about_panel.cxx, about_panel.fl, about_panel.h,
	alignment_panel.cpp, alignment_panel.cxx, alignment_panel.fl,
	alignment_panel.h, clean.sed, clean.sh, code.cpp, code.cxx,
	coding_style.cpp, coding_style.cxx, coding_style.fl,
	coding_style.h, coding_style_func.cpp, coding_style_func.cxx,
	dll.sed, dll.sh, factory.cpp, factory.cxx, file.cpp, file.cxx,
	fluid.cpp, fluid.cxx, function_panel.cpp, function_panel.cxx,
	function_panel.fl, function_panel.h, image_file_panel.cpp,
	image_file_panel.cxx, image_file_panel.fl, image_file_panel.h,
	keyboard_ui.cxx, keyboard_ui.h, widget_panel.cpp, widget_panel.cxx,
	widget_panel.fl, widget_panel.h: deleting files..

2003-01-04 22:11  laza2000

	* CHANGES, Makefile, configure.in, efltk-config.in, efltk.spec,
	makeinclude.in, efltk/Makefile, efltk/db/Makefile,
	efltk/xml/Makefile, fluid/Makefile, src/makeinclude_tmpl,
	src/core/fl_converters.cpp, src/core/fl_iconv_converters.cpp,
	fluid/Fl_Function_Type.cpp, fluid/Fl_Group_Type.cpp,
	fluid/Fl_Menu_Type.cpp, fluid/Fl_Type.cpp,
	fluid/Fl_Widget_Type.cpp, fluid/Fl_Window_Type.cpp,
	fluid/Fluid_Image.cpp, fluid/Fluid_Plugins.cpp, fluid/Makefile,
	fluid/about_panel.cpp, fluid/about_panel.fl, fluid/about_panel.h,
	fluid/alignment_panel.cpp, fluid/alignment_panel.fl,
	fluid/alignment_panel.h, fluid/code.cpp, fluid/coding_style.cpp,
	fluid/coding_style.fl, fluid/coding_style.h,
	fluid/coding_style_func.cpp, fluid/factory.cpp, fluid/file.cpp,
	fluid/fluid.cpp, fluid/function_panel.cpp, fluid/function_panel.fl,
	fluid/function_panel.h, fluid/image_file_panel.cpp,
	fluid/image_file_panel.fl, fluid/image_file_panel.h,
	fluid/widget_panel.cpp, fluid/widget_panel.fl,
	fluid/widget_panel.h, tools/Makefile, tools/etranslate/Makefile,
	tools/etranslate/compile.cpp, tools/etranslate/compile.h,
	tools/etranslate/etranslate.cpp, tools/etranslate/etranslate.h,
	tools/etranslate/extract.cpp, tools/etranslate/extract.h,
	tools/etranslate/globals.h, tools/etranslate/load_etm.cpp,
	tools/etranslate/load_pot.cpp, tools/etranslate/main.cpp,
	tools/etranslate/main_ui.cpp, tools/etranslate/main_ui.fl,
	tools/etranslate/main_ui.h, tools/etranslate/modify_info.cpp:  -
	Created directory tools, for utilities like efluid and etranslate
	 - Created bin for tools binaries
	 - First commit of etranslate (later on that in ede-devel)
	 - Changed building system a bit, see src/makeinclude_tmpl and
	other makefiles
	   It's much easier now add new components to efltk
	 - Fixed some converter bugs
	 - ...
	
	Report asap, if any errors occurs :))

2003-01-04 12:23  cortex

	* efltk-config.in: Fix for gcc3.x warning when prefix is
	/usr/include

2003-01-04 00:24  laza2000

	* test/: CubeViewUI.cpp, CubeViewUI.h, fast_slow.cpp, fast_slow.h,
	image_loader.cpp, image_loader.h, inactive.cpp, inactive.h,
	keyboard_ui.cpp, keyboard_ui.h, preferences.cpp, preferences.h,
	radio.cpp, radio.h, resizable.cpp, resizable.h, resize.cpp,
	resize.h, tabs.cpp, tabs.h: Regenerated efluid files

2003-01-04 00:22  laza2000

	* test/Makefile: Use fluid to rebuild its files. ../lib is added to
	lib search path

2003-01-04 00:21  laza2000

	* configure.in, makeinclude.in: Updated for makefile template

2003-01-04 00:20  laza2000

	* src/: Makefile, makeinclude_tmpl, core/Makefile, db/Makefile,
	db/odbc/Makefile, db/odbc/makedepend, images/Makefile,
	opengl/Makefile, widgets/Makefile, xml/Makefile: Added
	makeinclude_tmpl for Makefile template include.  It's included by
	every makefile, this makes makefiles much simplier.

2003-01-04 00:18  laza2000

	* efltk/: Fl_Export.h, Fl_Timer.h, gl.h:  - Use only FL_API
	 - Removed old forms widget..

2003-01-03 19:47  laza2000

	* src/widgets/Fl_ListView.cpp: FL_NO_BOX back to default button box
	:)

2003-01-03 18:35  laza2000

	* src/widgets/: Fl_ListView.cpp, Fl_ListView_Item.cpp:	- Dont use
	fl_cut_text for listview items. Too slow with big strings.

2003-01-03 18:19  laza2000

	* src/widgets/Fl_Color_Chooser.cpp: Some layout fixes

2003-01-03 16:27  laza2000

	* src/: core/Fl_Pixmap.cpp, core/Fl_Xpm.cpp,
	widgets/Fl_File_Dialog.cpp, widgets/Fl_Help_Dialog.cpp,
	widgets/fl_ask.cpp: Fixed XPM loading, And speeded up a lot!
	
	Put Fl_Pixmap back :) Now it parses image only when it's needed.
	i.e. just before first draw.  This allows applications run w/o X11
	running. (e.g. efluid -c)
	
	ALL Efltk internal XPM's must use Fl_Pixmap!

2003-01-03 16:26  laza2000

	* efltk/Fl_Pixmap.h: Put Fl_Pixmap back :) Now it parses image only
	when it's needed. i.e. just before first draw.	This allows
	applications run w/o X11 running. (e.g. efluid -c)
	
	ALL Efltk internal XPM's must use Fl_Pixmap!

2003-01-03 13:43  laza2000

	* src/core/Fl_String.cpp: Fixed case conversions

2003-01-03 13:42  laza2000

	* configh.in, configure.in, efltk-config.in, makeinclude.in:  -
	Define STD_EXCEPTIONS in command line, if requested. It follows to
	efltk-config, so applications will have that flag also.
	 - Add -Wall to commnad line, only in debug mode. GCC2.9.x gives
	always
	warnings about longjmp.. And developers mostly compiles in debug
	mode, so warnings are showed... Also follows to efltk-config

2003-01-03 13:39  laza2000

	* src/core/: Fl_Exception.cpp, Fl_Translator.cpp:  - Disabled own
	exception code, if STD_EXCEPTIONS defined
	 - find codeset index for converting loop.

2003-01-03 13:35  laza2000

	* efltk/Fl_Exception.h: Use std exceptions, if STD_EXCEPTIONS
	defined. this can be done with configure option:
	--enable-stdexceptions

2003-01-03 12:41  laza2000

	* src/images/Fl_Png.cpp: throw exception..

2003-01-03 12:37  laza2000

	* src/images/Fl_Png.cpp: Fixed colorkeyed png files loading

2003-01-03 11:54  laza2000

	* src/images/: Fl_Jpeg.cpp, Fl_Png.cpp: io's throw exceptions

2003-01-03 11:53  laza2000

	* src/core/: Fl_Bmp.cpp, Fl_Gif.cpp, Fl_Image.cpp, Fl_Xpm.cpp:	-
	Use malloc/free
	 - No static global io
	 - image io's throws exception

2003-01-03 10:30  laza2000

	* src/images/: Fl_Images.cpp, Fl_Jpeg.cpp, Fl_Png.cpp:	- Make sure
	all data is allocated/freed with malloc/free
	 - Dont use global io

2003-01-02 04:08  laza2000

	* src/xml/Fl_XmlParser.cpp: doctype parsing fix

2003-01-02 03:44  laza2000

	* configh.in, configure.in, test/editor.cpp, test/utf8.cpp: First
	part of huge commit! :)  - Added String and Ptr hashs tables  -
	Added builtin translator, with GNU gettext .mo reader. And .etb
	(efltk translation binary) support, more on that later...   -
	Removed XUTF, moved most common used encoding tables to src/headers
	  - Added encoding->utf8 converters, uses iconv if no builtin
	converter  found  - Added Fl_String::from_codeset  - Commented
	fl_utf8.h
	
	During this huge commit Woe32 build will be broken, I'll fix by end
	of the week. Hopefully this works on *nixes..

2003-01-02 03:40  laza2000

	* efltk/Fl_Font.h, efltk/Fl_Locale.h, efltk/Fl_Ptr_Hash.h,
	efltk/Fl_String.h, efltk/Fl_String_Hash.h, efltk/Fl_Text_Display.h,
	efltk/Fl_Translator.h, efltk/fl_utf8.h, efltk/x.h, src/Makefile,
	src/db/Makefile, src/opengl/gl_draw.cpp: First part of huge commit!
	:)  - Added String and Ptr hashs tables  - Added builtin
	translator, with GNU gettext .mo reader. And .etb (efltk
	translation binary) support, more on that later...   - Removed
	XUTF, moved most common used encoding tables to src/headers   -
	Added encoding->utf8 converters, uses iconv if no builtin converter
	 found	- Added Fl_String::from_codeset  - Commented fl_utf8.h
	
	During this huge commit Woe32 build will be broken, I'll fix by end
	of the week. Hopefully this works on *nixes..

2003-01-02 03:38  laza2000

	* src/widgets/: Fl_Text_Buffer.cpp, Fl_Text_Display.cpp: Fixes for
	UTF-8..

2003-01-02 03:37  laza2000

	* src/core/: Fl_Hashs.cpp, Fl_String.cpp, Fl_Translator.cpp,
	Fl_x.cpp, KStoUCS.cpp, Makefile, fl_converters.cpp, fl_font_x.cpp,
	fl_iconv_converters.cpp, fl_internal.h, fl_list_fonts_x.cpp,
	fl_locale.cpp, fl_utf8.c, headers/case.h, headers/dingbats_.h,
	headers/iso8859_1.h, headers/iso8859_10.h, headers/iso8859_11.h,
	headers/iso8859_13.h, headers/iso8859_14.h, headers/iso8859_15.h,
	headers/iso8859_16.h, headers/iso8859_2.h, headers/iso8859_3.h,
	headers/iso8859_4.h, headers/iso8859_5.h, headers/iso8859_6.h,
	headers/iso8859_7.h, headers/iso8859_8.h, headers/iso8859_9.h,
	headers/iso8859_9e.h, headers/koi8_r.h, headers/koi8_u.h,
	headers/spacing.h, headers/symbol_.h: First part of huge commit! :)
	 - Added String and Ptr hashs tables  - Added builtin translator,
	with GNU gettext .mo reader. And .etb (efltk translation binary)
	support, more on that later...	 - Removed XUTF, moved most common
	used encoding tables to src/headers   - Added encoding->utf8
	converters, uses iconv if no builtin converter	found  - Added
	Fl_String::from_codeset  - Commented fl_utf8.h
	
	During this huge commit Woe32 build will be broken, I'll fix by end
	of the week. Hopefully this works on *nixes..

2002-12-30 14:35  leka

	* src/db/Makefile: Problems with install_static and install_shared
	fixed:

2002-12-29 23:27  laza2000

	* src/db/Fl_Query.cpp: for scope fix..

2002-12-29 19:42  parshin

	* efltk/: Fl_Callback_List.h, Fl_File_Dialog.h, Fl_Multi_Tabs.h,
	Fl_Renderer.h: CR/LFs removed..

2002-12-29 19:41  parshin

	* src/widgets/: Fl_Date_Time_Input.cpp, Fl_Dialog.cpp,
	Fl_Simple_Html.cpp, Fl_Text_Editor.cpp: Removed CR/LFs

2002-12-29 18:47  parshin

	* efltk/db/Fl_ODBC_Database.h: ODBC support - the first draft

2002-12-29 18:46  parshin

	* src/db/odbc/: Fl_ODBC_Database.cpp, Makefile, makedepend: The
	first draft of ODBC driver.

2002-12-29 09:43  ravne2000

	* evcpp/: evcpp.vcp, evcpp.vcw, menubars.vcp: added src/db to build

2002-12-29 09:35  ravne2000

	* src/db/: Fl_Database.cpp, Fl_Params.cpp, Fl_Query.cpp: added
	#ifdef _WIN32_WCE and fixed a little redefinition..

2002-12-28 23:12  laza2000

	* src/db/Makefile: Correction for db stuff.

2002-12-28 23:12  laza2000

	* src/Makefile: Correction for DB stuff

2002-12-28 22:57  parshin

	* src/Makefile, src/db/Fl_Database.cpp, src/db/Makefile,
	src/db/Fl_Params.cpp, src/db/Fl_Query.cpp, efltk/db/Fl_Database.h,
	efltk/db/Fl_Params.h, efltk/db/Fl_Query.h: Adding the general
	database support.

2002-12-28 21:15  parshin

	* efltk/db/Fl_Database.h: Minor corrections

2002-12-28 21:14  parshin

	* src/db/Fl_Database.cpp: Added new file..

2002-12-28 20:56  parshin

	* efltk/db/Fl_Database.h: Database capabilities() added.

2002-12-28 20:28  parshin

	* efltk/db/: Fl_Database.h, Fl_Params.h, Fl_Query.h: Welcome to the
	database world! These headers is the first draft. It's missing some
	functionality, like thread-safety, but I fill it's good for now.

2002-12-28 18:38  laza2000

	* src/xml/Fl_XmlParser.cpp: Fixed bug in CDATA section parsing

2002-12-28 17:46  laza2000

	* efltk/Makefile: Corrected permission change order (again)

2002-12-28 17:25  leka

	* efltk/Makefile: Let's see if it works...

2002-12-28 00:39  laza2000

	* efltk/xml/Fl_XmlNode.h, src/xml/Fl_XmlNode.cpp: Added text()
	function

2002-12-27 23:29  laza2000

	* efltk/xml/Fl_XmlNode.h, src/xml/Fl_XmlDoc.cpp,
	src/xml/Fl_XmlNode.cpp, src/xml/Fl_XmlParser.cpp:  - Added more
	node types
	 - One tag can contain many cdata/cdata sections
	 - Added has_attribute function

2002-12-27 23:28  laza2000

	* test/test.xml: ..

2002-12-27 23:28  laza2000

	* test/: xml_test.cpp, xml_test2.cpp: updated tests..

2002-12-27 21:14  laza2000

	* efltk/Makefile: Right permissions for installed header file dirs

2002-12-27 18:32  leka

	* efltk.spec.in: Can't make rpm with previous .spec ...

2002-12-27 16:16  laza2000

	* src/widgets/: Fl_Menu.cpp, Fl_Menu_Window.cpp: Moved math.h
	include..

2002-12-27 16:02  laza2000

	* src/: widgets/Fl_Clock.cpp, widgets/Fl_Color_Chooser.cpp,
	widgets/Fl_Dial.cpp, widgets/Fl_Input.cpp,
	widgets/Fl_Masked_Input.cpp, widgets/Fl_Multi_Tabs.cpp,
	widgets/Fl_Roller.cpp, widgets/Fl_Slider.cpp,
	widgets/Fl_Tool_Bar.cpp, widgets/Fl_Valuator.cpp,
	widgets/Fl_Value_Input.cpp, core/Fl_String.cpp, core/Fl_Style.cpp,
	core/fl_arc.cpp, core/fl_arci.cpp, core/fl_draw.cpp,
	core/fl_font.cpp, core/fl_font_win32.cpp, core/fl_font_x.cpp,
	core/fl_font_xft.cpp, core/fl_vertex.cpp: efltk/math.h top of
	includes.. It doesnt compile undeer debian w/o doing this.

2002-12-27 15:33  laza2000

	* configure.in: Use -O2 instead of -Os

2002-12-27 15:24  laza2000

	* src/widgets/Fl_Scrollbar.cpp: Fixed scrollbar bug, it didnt
	scroll allway to bottom always..

2002-12-27 14:38  laza2000

	* efltk/Fl_Widget.h:  - CR/LF conversion #^&**@^!!!
	 - Added #include "Fl_Exception.h"

2002-12-27 14:36  laza2000

	* src/core/Fl_Exception.cpp: Call Fl::warning for now.. we dont
	want to stop execution of app..

2002-12-27 14:35  laza2000

	* test/: xml_test.cpp, xml_test2.cpp: Handle exceptions..

2002-12-27 14:01  ravne2000

	* src/core/fl_utf8.c: Just removed getenv for CE for the moment

2002-12-27 14:00  ravne2000

	* src/core/Fl_Style.cpp: Just removed theme loading for CE for the
	moment

2002-12-27 14:00  leka

	* efltk.spec.in: I put some additional files into efltk-devel.

2002-12-27 13:49  laza2000

	* test/test2.xml: Added one more test XML file

2002-12-27 13:49  laza2000

	* test/: xml_test.cpp, xml_test2.cpp: update..

2002-12-27 13:48  laza2000

	* efltk/Fl_String.h, efltk/xml/Fl_XmlCtx.h,
	efltk/xml/Fl_XmlParser.h, efltk/xml/Fl_XmlTokenizer.h,
	src/core/Fl_String.cpp, src/core/fl_internal.h,
	src/xml/Fl_XmlCtx.cpp, src/xml/Fl_XmlDoc.cpp,
	src/xml/Fl_XmlNode.cpp, src/xml/Fl_XmlParser.cpp,
	src/xml/Fl_XmlTokenizer.cpp:  - Added Fl_String::append
	 - Added Fl_XmlContext::store_tree, SAX implementation doesnt often
	need
	to store tree, this speeds up it a lot	- Changed parsing
	interface.   - Fl_XmlTokenizer uses buffers now, huge speed up!

2002-12-27 06:12  parshin

	* test/: directory.cpp, listview.cpp: Check out the icons in
	listview_ds test!

2002-12-27 06:10  parshin

	* efltk/Fl_Data_Fields.h, efltk/Fl_Variant.h,
	src/core/Fl_Data_Fields.cpp, src/core/Fl_Variant.cpp,
	src/widgets/Fl_Directory_DS.cpp, src/widgets/Fl_ListView.cpp,
	src/widgets/Fl_ListView_Item.cpp: Exception and Image support
	added.	Fl_Variant now supports a 'VAR_IMAGEPTR' type which is
	const Fl_Image *.  Fl_Data_Fields supports exceptions better than
	ever :) Fl_Directory_DS now supports images for folders, executable
	files, and documents.
	
	Happy New Year!

2002-12-26 23:55  laza2000

	* efltk/Fl_Image_List.h: [] operator returns pointer, not
	reference..

2002-12-26 22:46  laza2000

	* src/core/Fl_Data_Fields.cpp: Use fl_throw() NOT throw()

2002-12-26 22:38  laza2000

	* configh.in, configure.in:  - Removed '--disable-exceptions'
	 - Added '--enable-stdexceptions'

2002-12-26 22:24  laza2000

	* test/exceptions.cpp: ..

2002-12-26 22:24  laza2000

	* efltk/Fl_Exception.h: Minor correction, so we dont get warnings
	about unused variables, it catch block doesnt do anything with
	exception.

2002-12-26 22:14  laza2000

	* src/core/Fl_Exception.cpp: Added .c_str() to default handler

2002-12-26 22:02  laza2000

	* test/exceptions.cpp: Updated exception test

2002-12-26 22:01  laza2000

	* src/core/Fl_Exception.cpp, src/core/Fl_String.cpp,
	src/widgets/Fl_Directory_DS.cpp, src/widgets/Fl_File_Dialog.cpp,
	efltk/Fl_Exception.h, efltk/Fl_String.h, visualc/efltk.dsp,
	visualc/efltk.dsw, visualc/exception.dsp: Added own exception
	implementation, works pretty much like std c++ exceptions.  This
	allows us to compile -fno-exceptions with GCC, since gcc is not so
	good with exceptions..

2002-12-26 07:43  parshin

	* test/directory.cpp: Minor update

2002-12-26 07:18  parshin

	* src/widgets/Fl_Directory_DS.cpp: Exceptions support added.

2002-12-26 07:18  parshin

	* src/core/Fl_Data_Fields.cpp: Exception support added.

2002-12-26 07:17  parshin

	* efltk/Fl_Data_Fields.h: First attempt to use exceptions in eFLTK.
	AFAIK, it shouldn't screw up anything in EDE.

2002-12-26 00:55  parshin

	* test/exceptions.cpp: Final (I wish :) ) version of exception
	example.

2002-12-26 00:55  parshin

	* efltk/Fl_Exception.h: Corrections to make it possible to throw
	eFLTK-stype exceptions like:	fl_try {       fl_throw("Something
	happened here!");    }	  fl_catch(exc) {	//print exception
	text, file name and line number:       puts(exc.text().c_str());   
	}

2002-12-25 22:51  parshin

	* test/exceptions.cpp: Minor corrections

2002-12-25 22:49  parshin

	* efltk/Fl_Exception.h: Updated fl_catch for the case, when
	exceptions are disabled.  Personally, I think that code is crazy,
	but it's the best I can come up with that moment.  Any suggestion
	is appreciated.

2002-12-25 22:41  parshin

	* test/exceptions.cpp: Exceptions' test finally works :)

2002-12-25 22:40  parshin

	* efltk/Fl_Exception.h: fl_try..fl_catch macros updated.

2002-12-25 22:37  laza2000

	* visualc/: alphablend.dsp, dialog.dsp, editor.dsp, efltk.dsp,
	efltk_images.dsp, efltk_xml.dsp, efluid.dsp, file_chooser.dsp,
	fonts.dsp, hello.dsp, image_layout.dsp, image_loader.dsp,
	listview.dsp, mdi.dsp, menubar.dsp, multitabs2.dsp,
	popup_window.dsp, preferences.dsp, radio.dsp, tabs.dsp, thread.dsp,
	utf8.dsp, xml_test.dsp, xml_test2.dsp: Project file update, fixed
	release mode

2002-12-25 22:20  laza2000

	* efltk/xml/Fl_XmlNode.h: cdata(Fl_string &) to cdata(Fl_string)

2002-12-25 22:14  laza2000

	* efltk/xml/: Fl_XmlNode.h, Fl_XmlParser.h, Fl_XmlTokenizer.h:	-
	W32 fixes
	 - replaced Fl_XmlTokenizer::getchar with _getchar, some compiler
	could not handle it..
	 - XML parsing interface change.

2002-12-25 22:13  laza2000

	* src/: core/Fl_Group.cpp, core/Fl_String.cpp, xml/Fl_XmlCtx.cpp,
	xml/Fl_XmlDoc.cpp, xml/Fl_XmlNode.cpp, xml/Fl_XmlParser.cpp,
	xml/Fl_XmlTokenizer.cpp:  - Fixed memory override in
	Fl_String::printf
	 - XML lib doesnt parse CDATA as own node anymore, this was bad
	since
	with many items which has cdata, it took 3 times more memory..

2002-12-25 22:11  laza2000

	* visualc/: efltk.dsp, efltk.dsw, efltk_xml.dsp, thread.dsp,
	utf8.dsp, xml_test.dsp, xml_test2.dsp: Added XML lib and tests

2002-12-25 22:11  laza2000

	* test/: xml_test.cpp, xml_test2.cpp: Modified for new functions..
	and w32

2002-12-25 18:42  parshin

	* bcb6/: _efltk_group.bpg, _efltk_group.dsk, browser.bpf,
	browser.bpr, browser.res, button.bpf, button.bpr, button.res,
	buttons.bpf, buttons.bpr, buttons.res, calendar.bpf, calendar.bpr,
	calendar.res, checkers.bpf, checkers.bpr, checkers.res, clock.bpf,
	clock.bpr, clock.res, libefltk.bpr, main.cpp: Continue to add
	Borland C++ Builder project files.  Every project added is profiled
	with Code Guard for memory errors.

2002-12-25 18:21  parshin

	* src/core/Fl_win32.cpp: Fix for memory override ..

2002-12-24 05:12  parshin

	* test/: Makefile, exceptions.cpp: 
	Added exceptions example (test)

2002-12-24 05:08  parshin

	* src/core/Fl_Exception.cpp: Minor corrections

2002-12-24 05:07  parshin

	* efltk/Fl_Exception.h: Update for macros..

2002-12-24 01:00  parshin

	* src/core/Makefile: Exceptions included into Makefile

2002-12-24 00:59  parshin

	* src/core/Fl_Exception.cpp: Exceptions are coming ..

2002-12-24 00:57  parshin

	* efltk/Fl_Exception.h: Exceptions are coming..

2002-12-23 21:07  laza2000

	* test/: Makefile, xml_test2.cpp: Added second XML test, which show
	XML event handler parsing (sax)

2002-12-23 21:05  laza2000

	* src/xml/Fl_XmlParser.cpp: Strip quotes from dtd URI

2002-12-23 20:22  laza2000

	* efltk/xml/Fl_XmlHandler.h: Fixed typo..

2002-12-23 20:08  laza2000

	* configh.in, configure.in: Added __FL_EXCEPTIONS__ to config.h, 1
	if enabled (default) otherwise 0.  You can disable exception
	handling with './configure --disable-exceptions' , though there;s
	no exception handling at all, yet :)

2002-12-23 19:53  laza2000

	* src/xml/: Fl_XmlCtx.cpp, Fl_XmlParser.cpp: Call event handler
	comment() also Added one handler->end_node call

2002-12-23 19:53  laza2000

	* efltk/xml/: Fl_XmlDoc.h, Fl_XmlHandler.h: Fixed some typos.. 
	Added comment() to event handler

2002-12-23 19:35  laza2000

	* configure.in, makeinclude.in: FLXMLLIB variable..

2002-12-23 19:34  laza2000

	* test/: Makefile, test.xml, xml_test.cpp: Added XML test

2002-12-23 19:29  laza2000

	* src/xml/Fl_XmlCtx.cpp:  '-' instead of ' ' to error position
	string

2002-12-23 19:12  laza2000

	* src/xml/Fl_XmlNode.cpp: Fixed cdata starts with <![ not <[

2002-12-23 18:19  laza2000

	* src/xml/: Fl_XmlCtx.cpp, Fl_XmlDoc.cpp, Fl_XmlParser.cpp:  - Doc
	parent to 0 in constructor
	 - Parser supplies context pointer to subnodes..

2002-12-23 17:45  laza2000

	* efltk/xml/: Fl_XmlDoc.h, Fl_XmlNode_List.h, Fl_XmlParser.h,
	Fl_XmlTokenizer.h: more comments..

2002-12-23 17:20  laza2000

	* src/xml/Fl_XmlNode.cpp: Functions to match header declaration :)

2002-12-23 17:19  laza2000

	* efltk/xml/: Fl_Xml.h, Fl_XmlCtx.h, Fl_XmlNode.h,
	Fl_XmlNode_List.h:  - Moved Fl_XmlNode_List to own file.
	 - Added some comments

2002-12-23 15:56  parshin

	* src/core/fl_round_box.cpp: Fixed 'memory override' problem
	detected with Code Guard.

2002-12-23 15:30  laza2000

	* efltk/Fl_Image.h: CR/LF convert.. Damn BCB..

2002-12-23 15:29  laza2000

	* efltk/Makefile: Install XML headers also

2002-12-23 15:13  laza2000

	* efltk-config.in: Added '--use-xml'

2002-12-23 15:07  laza2000

	* src/Makefile, src/core/Fl_Maps.cpp, src/core/Makefile,
	src/core/fl_internal.h, src/xml/Fl_XmlCtx.cpp,
	src/xml/Fl_XmlDoc.cpp, src/xml/Fl_XmlNode.cpp,
	src/xml/Fl_XmlParser.cpp, src/xml/Fl_XmlTokenizer.cpp,
	src/xml/Makefile, src/xml/html_entities.h, efltk/Fl_Map.h,
	efltk/Fl_String.h, efltk/xml/Fl_Xml.h, efltk/xml/Fl_XmlCtx.h,
	efltk/xml/Fl_XmlDoc.h, efltk/xml/Fl_XmlHandler.h,
	efltk/xml/Fl_XmlNode.h, efltk/xml/Fl_XmlParser.h,
	efltk/xml/Fl_XmlTokenizer.h: Adding XML manipulating library..

2002-12-23 14:49  laza2000

	* src/core/Fl_String.cpp: ..

2002-12-23 07:43  parshin

	* src/core/fl_diamond_box.cpp: Fixed 'Memory overrun' problems,
	detected by memory profiler.

2002-12-23 04:41  parshin

	* bcb6/: _efltk_group.bpg, bitmap.bpf, boxtype.bpf, boxtype.bpr,
	boxtype.res, libefltk.bpr: One more BCB6 project added -
	test/boxtype.  Code Guard shows memory error(s) in fl_diamond.cpp.

2002-12-23 00:52  laza2000

	* src/core/Fl_WM.cpp: debug printf away :)

2002-12-23 00:50  laza2000

	* src/core/: Fl_String.cpp, Fl_WM.cpp: Fixed Fl_String::sub_delete

2002-12-22 22:07  parshin

	* src/core/fl_utf8.c: Sorry, my CRLF program didn't work right on
	that file. This is the correct version :) Have a nice Xmas!

2002-12-22 21:22  parshin

	* src/core/fl_utf8.c: Borland C++ Builder corrections..

2002-12-22 19:23  parshin

	* bcb6/: _efltk_group.bpg, arc.bpf, arc.bpr, arc.res, ask.bpf,
	ask.bpr, ask.res, bitmap.bpr, bitmap.res, hello.bpr, libefltk.bpr:
	The new projects for BCB6, tests. These projects build STATIC efltk
	library mostly for testing and memory profiling purposes.

2002-12-22 11:32  laza2000

	* efltk/Fl_String_Stack.h, src/core/Fl_Lists.cpp: Added
	Fl_String_Stack class

2002-12-22 10:28  laza2000

	* src/widgets/Fl_Input.cpp: One more fix for mousewheel :)

2002-12-22 10:27  laza2000

	* src/core/Fl_x.cpp: Correction for paste..

2002-12-22 10:14  laza2000

	* src/widgets/Fl_Input.cpp: FL_MOUSEWHEEL segfault fixed..

2002-12-21 23:23  laza2000

	* src/core/Fl_Util.cpp: Dont use ## in macros, BCB doesnt support
	them.. CR/LF fix :)

2002-12-21 23:17  laza2000

	* src/widgets/: Fl_Directory_DS.cpp, Fl_File_Dialog.cpp,
	Fl_Text_Display.cpp:  - DIRECTORY --> _DIRECTORY in filedialog
	 - Fixed some warnings in directory ds

2002-12-21 19:50  parshin

	* bcb6/config.h: Borland C++ config.h

2002-12-21 19:49  parshin

	* bcb6/: config.h, hello.bpr, libefltk.bpr: Borland C++ Builder 6.0
	project files update

2002-12-21 19:48  parshin

	* src/widgets/: Fl_Date_Time_Input.cpp, Fl_Dialog.cpp,
	Fl_Directory_DS.cpp, Fl_File_Dialog.cpp, Fl_Simple_Html.cpp:
	Borland C++ Builder fixes

2002-12-21 19:44  parshin

	* efltk/Fl_Callback_List.h, efltk/Fl_File_Dialog.h,
	efltk/Fl_Image.h, efltk/Fl_Renderer.h, efltk/Fl_Widget.h,
	src/core/Fl_Util.cpp: Borland C++ Builder fixes

2002-12-21 18:20  laza2000

	* src/core/Fl_String.cpp: No strlen() in Fl_String(char c, int
	repeater) ctor. Since length of string is repeater :)

2002-12-21 17:51  laza2000

	* src/core/Fl_String.cpp: Fixed '+' and '+=' operators

2002-12-21 14:17  laza2000

	* src/core/Fl_String.cpp: Fixed Fl_String(char c, int repeater),
	when repeater==1

2002-12-21 13:25  laza2000

	* efltk/Fl_Ptr_Stack.h: virtuals away..

2002-12-21 12:22  laza2000

	* src/core/Fl_String.cpp: Use only malloc() and free() internally..
	This seems to fix some strange seg.faults!?

2002-12-20 21:19  laza2000

	* src/: core/Fl_Util.cpp, core/Fl_abort.cpp, core/Fl_win32.cpp,
	core/fl_font_win32.cpp, core/fl_list_fonts_win32.cpp,
	widgets/Fl_File_Dialog.cpp: #if's to #ifdef

2002-12-20 21:10  laza2000

	* efltk/Fl_Callback_List.h, src/core/Fl.cpp,
	src/core/Fl_Bitmap.cpp, src/core/Fl_Boxtype.cpp,
	src/core/Fl_Config.cpp, src/core/Fl_Date_Time.cpp,
	src/core/Fl_Image.cpp, src/core/Fl_Lists.cpp,
	src/core/Fl_String.cpp, src/core/Fl_Style.cpp,
	src/core/Fl_Thread.cpp, src/core/Fl_Util.cpp,
	src/core/Fl_Variant.cpp, src/core/Fl_WM.cpp,
	src/core/Fl_Window.cpp, src/core/Fl_Window_fullscreen.cpp,
	src/core/Fl_Window_hotspot.cpp, src/core/Fl_Window_iconize.cpp,
	src/core/Fl_Xpm.cpp, src/core/Fl_abort.cpp, src/core/Fl_arg.cpp,
	src/core/Fl_display.cpp, src/core/Fl_get_key.cpp,
	src/core/Fl_init.cpp, src/core/Fl_key_name.cpp,
	src/core/Fl_lock.cpp, src/core/Fl_own_colormap.cpp,
	src/core/Fl_visual.cpp, src/core/Fl_win32.cpp,
	src/core/filename_absolute.cpp, src/core/filename_expand.cpp,
	src/core/filename_isdir.cpp, src/core/filename_list.cpp,
	src/core/fl_arc.cpp, src/core/fl_arci.cpp, src/core/fl_call_main.c,
	src/core/fl_clip.cpp, src/core/fl_color.cpp,
	src/core/fl_cursor.cpp, src/core/fl_dnd.cpp,
	src/core/fl_draw_image.cpp, src/core/fl_font.cpp,
	src/core/fl_internal.h, src/core/fl_list_fonts.cpp,
	src/core/fl_load_plugin.cpp, src/core/fl_overlay.cpp,
	src/core/fl_rect.cpp, src/core/fl_rgb.cpp,
	src/core/fl_scroll_area.cpp, src/core/fl_stretch.cpp,
	src/core/fl_theme.cpp, src/core/fl_vertex.cpp,
	src/core/numericsort.c, src/opengl/Fl_Gl_Choice.cpp,
	src/widgets/Fl_Clock.cpp, src/widgets/Fl_Dial.cpp,
	src/widgets/Fl_Directory_DS.cpp, src/widgets/Fl_Double_Window.cpp,
	src/widgets/Fl_FileBrowser.cpp, src/widgets/Fl_File_Dialog.cpp,
	src/widgets/Fl_MDI_Window.cpp, src/widgets/Fl_Menu.cpp,
	src/widgets/Fl_Menu_Window.cpp, src/widgets/Fl_Shaped_Window.cpp,
	src/widgets/Fl_Simple_Html.cpp, src/widgets/Fl_Workspace.cpp,
	visualc/config.h: Enable unicode functions in config.h #define
	UNICODE 1 For WIN98 build, it MUST #undef UNICODE..  UTF-8 Still
	works fine!

2002-12-20 20:07  laza2000

	* src/: core/Fl_Util.cpp, core/Fl_abort.cpp,
	core/Fl_get_key_win32.cpp, core/Fl_win32.cpp, core/fl_cursor.cpp,
	core/fl_font_win32.cpp, core/fl_list_fonts_win32.cpp,
	widgets/Fl_File_Dialog.cpp: WIN98 should work now little bnit
	better.. Changed to use TCHAR.	When compiling with widechars
	enabled (NT4+) define UNICODE=1

2002-12-20 18:18  parshin

	* bcb6/: _efltk_group.bpg, _efltk_group.dsk, config.h, hello.bpf,
	hello.bpr, hello.res, libefltk.bpf, libefltk.bpr, main.cpp: The
	first attempt to compile eFLTK on Borland C++ Builder 6.0.  These
	are the project files, and config.h.

2002-12-20 12:09  laza2000

	* configure.in: '-no-rtti' away, libtool compiled shared libs needs
	that?! Also some other libs/apps may need that..

2002-12-20 11:21  laza2000

	* src/widgets/Fl_Menu.cpp: Fixed menu delay stuff finally..
	(hopefully) :)

2002-12-20 10:38  laza2000

	* src/core/Fl_Config.cpp, src/core/Fl_Lists.cpp,
	src/core/Fl_WM.cpp, src/core/Fl_Xpm.cpp, src/widgets/Fl_Menu.cpp,
	src/widgets/Fl_Menu_.cpp, src/widgets/Fl_Menu_Button.cpp,
	efltk/Fl_Callback_List.h, efltk/Fl_Config.h, efltk/Fl_Menu_.h,
	efltk/Fl_Menu_Button.h, efltk/Fl_WM.h:	- better locale independend
	double read/write functions
	 - Fixed Fl_Xpm :)
	 - Added Fl_Callback_List
	 - Fl_WM uses callback list, so there can be assigned many
	callbacks
	 - Menu changes again.. Still some strange behaviour :(

2002-12-18 00:25  laza2000

	* src/core/: Fl_WM.cpp, Fl_x.cpp: Set icontitle also..

2002-12-18 00:13  laza2000

	* src/core/Fl_WM.cpp: init_atoms() to couple of more places :)

2002-12-17 23:29  laza2000

	* src/core/Fl_WM.cpp: Init atoms before call any XChangeProperty

2002-12-17 23:24  laza2000

	* efltk/Fl_WM.h, src/core/Fl_WM.cpp, src/core/Fl_x.cpp: Added check
	for NET-WM functionality

2002-12-17 08:08  ravne2000

	* src/core/Fl_Lists.cpp: For some reason MS compiler has tooooooo
	many bugs and we have to set variables = 0 in the constructor or
	else it will crash!!

2002-12-17 07:30  ravne2000

	* src/core/Fl_wince.cpp: added fl_utf82locale

2002-12-17 07:29  ravne2000

	* evcpp/: evcpp.vcp, evcpp.vcw, helloworld.vcp, images.vcp,
	listview.vcp, menubars.vcp: Updated project files

2002-12-17 05:16  parshin

	* efltk.spec.in: Russian description added.

2002-12-17 04:29  parshin

	* makeinclude.in: Removed fabulos --strip-unneded option. It didn't
	work under Solaris.

2002-12-16 15:27  laza2000

	* src/core/Fl_x.cpp: Commented XIM destroy out, Martin says it
	slows down window destroying..	Any other toolkit doesnt do thta
	either.. Is it necessary at all?

2002-12-16 15:23  laza2000

	* src/core/: Fl_win32.cpp, Fl_wince.cpp: Fixed, 'char *' to 'const
	char *'

2002-12-16 15:00  laza2000

	* efltk/Fl_Window.h, src/core/Fl_Window.cpp, src/core/Fl_win32.cpp,
	src/core/Fl_wince.cpp, src/core/Fl_x.cpp,
	src/widgets/Fl_MDI_Window.cpp: Fixed window title loose, when
	destroy/create window

2002-12-16 12:38  laza2000

	* MinGW/Makefile, MinGW/callback.mak, MinGW/efltk.mak,
	MinGW/efltk_images.mak, MinGW/efluid.mak, MinGW/file_chooser.mak,
	src/core/Fl_win32.cpp, src/core/fl_font_win32.cpp,
	src/core/fl_list_fonts_win32.cpp, src/core/fl_load_plugin.cpp,
	src/widgets/Fl_Directory_DS.cpp, src/widgets/Fl_Menu.cpp,
	visualc/efltk.dsp, visualc/efltk.dsw: Fixed MinGW build

2002-12-16 11:32  laza2000

	* README.callbacks, efltk/Fl_Callback.h, efltk/Fl_ListView.h,
	efltk/Fl_ListView_Item.h, efltk/Fl_Widget.h,
	src/core/Fl_Callback.cpp, src/core/Fl_Widget.cpp,
	src/core/Makefile, src/widgets/Fl_Text_Display.cpp, test/Makefile,
	test/callback.cpp, test/mdi_test.cpp, visualc/callback.dsp,
	visualc/efltk.dsp: Removed template callbacks..  This removes all
	template depencies from efltk

2002-12-15 18:17  laza2000

	* src/widgets/Fl_Menu.cpp: Fixed write to index[-1] in Fl_Menu_

2002-12-15 02:02  laza2000

	* src/widgets/Fl_ListView.cpp: fixed FL_WHEN_CHANGED

2002-12-15 00:57  parshin

	* src/widgets/Makefile: Fl_MDI_Bar included into Makefile

2002-12-15 00:11  laza2000

	* src/core/Fl_win32.cpp, src/core/fl_color_win32.cpp,
	src/widgets/Fl_MDI_Bar.cpp, src/widgets/Fl_MDI_Window.cpp,
	src/widgets/Fl_Menu.cpp, src/widgets/Fl_Text_Display.cpp,
	src/widgets/Fl_Workspace.cpp, efltk/Fl_MDI_Bar.h,
	efltk/Fl_MDI_Window.h, efltk/Fl_Workspace.h:  - Added MenuState
	struct back, hopefully fixes SunOS bugs..
	 - Added Fl_MDI_Bar, mdi taskbar widget
	 - Fixed WIN32 drawing bugs made by BO! :)
	 - Some Fl_Text_Display layout() fixes (again)
	 - Many MDI changes.. (needs still some work)
	 - ...

2002-12-13 11:21  laza2000

	* src/widgets/Fl_Text_Display.cpp: Fixed string measure, if many
	image tags continuously in style buffer..

2002-12-13 11:18  laza2000

	* src/widgets/Fl_Text_Display.cpp: Fixed images drawing, if many
	image tags continuously in style buffer..

2002-12-13 11:11  laza2000

	* src/widgets/: Fl_Menu.cpp, Fl_Menu_Bar.cpp:  - Alt+Tab menupop
	bug
	 - Made actual menu shortcuts working

2002-12-11 18:58  ravne2000

	* src/wcelib/include/sys/stat.h: added stat.h

2002-12-11 18:53  leka

	* doc/ChangeLog: New changelog is in doc/ . From now on it will
	stay here. :)

2002-12-11 18:51  leka

	* ChangeLog: ChangeLog is moving to doc/ .

2002-12-11 16:17  laza2000

	* src/widgets/Fl_Text_Display.cpp, efltk/Fl_Text_Display.h:  -
	Speed up layout() a lot..
	 - Added image support for styles :)))

2002-12-11 15:40  ravne2000

	* evcpp/: evcpp.vcw, menubars.vcp: added menubar to the test
	projects

2002-12-11 15:32  ravne2000

	* evcpp/: evcpp.vcw, helloworld.vcp, iconize.vcp, imagelayout.vcp,
	images.vcp, listview.vcp: Added some project files

2002-12-11 12:34  ravne2000

	* efltk/x.h, evcpp/efltkce.vcp, evcpp/efltkce.vcw, evcpp/evcpp.vcp,
	evcpp/evcpp.vcw, evcpp/helloworld.vcp, evcpp/listview.vcp,
	evcpp/test2.ico, evcpp/test2.rc, src/core/Fl_wince.cpp,
	src/widgets/Fl_Scrollbar.cpp, test/hello.cpp, test/listview.cpp,
	test/threads.cpp, visualc/config.h: Hello world compiles and runs
	:) Let the testing start!

2002-12-10 22:38  ravne2000

	* efltk/Fl_Config.h, efltk/fl_utf8.h, evcpp/config.h,
	evcpp/evcpp.vcp, evcpp/evcpp.vcw, evcpp/newres.h, evcpp/resource.h,
	evcpp/test2.ico, evcpp/test2.rc, src/core/Fl_Config.cpp,
	src/core/Fl_Util.cpp, src/core/Fl_wince.cpp,
	src/core/fl_call_main.c, src/core/fl_color_win32.cpp,
	src/core/fl_list_fonts.cpp, src/core/fl_utf8.c,
	src/core/scandir_win32.c, src/wcelib/include/locale.h,
	src/wcelib/include/stdlibx.h, src/wcelib/include/wince.h,
	src/wcelib/src/locale.cpp, src/wcelib/src/stdlibx.c,
	test/hello.cpp: Lots of stuff todo! Compiles and runs however
	CreateWindow fails in Fl_Wince.cpp

2002-12-10 13:46  laza2000

	* src/widgets/Fl_Input.cpp: Copy text to primary buffer

2002-12-10 12:54  laza2000

	* MinGW/efltk.mak, evcpp/config.h, src/core/Fl_Config.cpp,
	src/core/Fl_win32.cpp, src/core/fl_font_win32.cpp,
	src/core/fl_list_fonts_win32.cpp, src/core/scandir_win32.c,
	test/utf8.cpp, visualc/config.h:  - More work with unicode stuff in
	WIN32.
	 - This should also work better in WinCE now.
	
	Due to HUGE changes in codebase, EFltk wont compile w/o
	UTF-8/UNICODE support in WIN32, but thats ok.. Actually its better
	:)

2002-12-10 10:50  ravne2000

	* evcpp/efltkce.vcw, src/core/Fl_abort.cpp, src/core/Fl_init.cpp,
	src/core/Fl_wince.cpp, src/core/filename_absolute.cpp,
	src/core/fl_utf8.c, src/wcelib/include/stdlibx.h,
	src/wcelib/include/wince.h, src/wcelib/include/sys/types.h,
	src/wcelib/src/stdlibx.cpp, test/hello.cpp: Only a couple of
	functions left to specify. I have to reimplement all unicode
	functions for file handeling (open->wopen) Then the testing can
	begin.

2002-12-09 17:52  parshin

	* src/widgets/Fl_Directory_DS.cpp: Solaris compatibility.

2002-12-09 07:38  leka

	* src/widgets/Fl_Directory_DS.cpp: Simple change that allow eFLTK
	to be compiled on our Debian Linux box... :(

2002-12-09 04:42  leka

	* configure.in: I've added additional substitution so now configure
	substitutes EFLTK_BUILD variable in efltk.spec file. That is needed
	for making proper RPM file(s).

2002-12-09 04:40  leka

	* efltk.spec.in: This is a try to put static libraries in
	efltk-devel.

2002-12-09 04:36  leka

	* efltk.spec.in: Now eFLTK SPEC file is built with little help of
	configure :) I needed this for automatic snapshots building

2002-12-08 15:42  ravne2000

	* src/core/fl_list_fonts_win32.cpp: UPdated project files and fixed
	some comp. problems

2002-12-08 15:32  ravne2000

	* efltk/Fl_Masked_Input.h, efltk/Fl_Thread.h, efltk/win32.h,
	evcpp/efltkce.vcp, src/core/Fl_Date_Time.cpp,
	src/core/Fl_Lists.cpp, src/core/Fl_String.cpp,
	src/core/Fl_Util.cpp, src/core/Fl_Variant.cpp,
	src/core/Fl_Window.cpp, src/core/Fl_Window_iconize.cpp,
	src/core/Fl_get_key_win32.cpp, src/core/Fl_lock.cpp,
	src/core/Fl_wince.cpp, src/core/fl_color_win32.cpp,
	src/core/fl_draw_image_win32.cpp, src/core/fl_list_fonts_win32.cpp,
	src/core/fl_load_plugin.cpp, src/core/fl_vertex.cpp,
	src/core/numericsort.c, src/core/scandir.c,
	src/wcelib/include/drawacp.h, src/wcelib/include/stdlibx.h,
	src/wcelib/include/wince.h, src/wcelib/src/drawacp.cpp,
	src/wcelib/src/time.cpp, src/widgets/Fl_Calendar.cpp,
	src/widgets/Fl_Directory_DS.cpp, src/widgets/Fl_MDI_Window.cpp,
	src/widgets/Fl_Masked_Input.cpp, src/widgets/Fl_Menu_Window.cpp,
	src/widgets/Fl_Simple_Html.cpp: efltkCE compiles. Need to implement
	time and stat functions!

2002-12-08 11:23  laza2000

	* src/core/fl_draw_image_win32.cpp: #if NO_GETDIBITS update (for
	WinCE)

2002-12-08 10:00  cortex

	* src/widgets/: Fl_Calendar.cpp, Fl_Color_Chooser.cpp,
	Fl_Input.cpp, fl_ask.cpp: locale support and niceup in fl_ask

2002-12-08 09:58  cortex

	* src/core/Fl_Date_Time.cpp, locale/messages.po.default,
	locale/sk.po: locale support

2002-12-08 03:55  leka

	* doc/README: Directory doc has been added and README is copied to
	it ... I need that directory for package building!

2002-12-05 19:21  laza2000

	* ChangeLog: ChangeLog update...

2002-12-05 17:23  laza2000

	* efltk/Fl_Menu_Window.h, src/widgets/Fl_Menu.cpp,
	src/widgets/Fl_Menu_Window.cpp, src/widgets/Fl_Tooltip.cpp: Removed
	slow_down_to_{w|h} variables

2002-12-05 17:21  laza2000

	* src/Makefile: Delete library before re-linking

2002-12-05 17:20  laza2000

	* src/widgets/: Fl_Menu_Window.cpp, Fl_Tooltip.cpp: fixed animate
	for tooltips

2002-12-05 15:34  laza2000

	* Makefile, makeinclude.in, efltk/makedepend, fluid/Makefile,
	fluid/makedepend, fluid/locale/makedepend, locale/makedepend,
	src/Makefile, src/makedepend, src/core/Makefile,
	src/images/Makefile, src/images/makedepend, src/opengl/Makefile,
	src/opengl/makedepend, src/widgets/Makefile, test/Makefile,
	test/directory.cpp, test/hello.cpp, test/makedepend,
	test/sizes.cpp, themes/Makefile, themes/makedepend:  - Made
	makefiles to support depencies better, now thwy actually works :)
	 - Added check for makedepend file in Makefiles, so build dont
	depend on it.
	 - Removed all makedepend files, since they all ar generated by
	"make depend"

2002-12-05 12:49  laza2000

	* src/: Makefile, images/Makefile, opengl/Makefile: strip shared
	library (only if strip found in configure)

2002-12-05 12:49  laza2000

	* configure.in, makeinclude.in: Added check for strip

2002-12-05 12:22  laza2000

	* configure.in: Changed compile flags littlebit, added -fno-rtti
	and for optimize use -Os.  This makes library size 200kb smaller,
	with no side-effects

2002-12-05 12:19  laza2000

	* src/: core/Fl_WM.cpp, core/Fl_x.cpp, core/Makefile,
	core/fl_font_x.cpp, core/fl_utf8.c, opengl/gl_draw.cpp,
	widgets/Fl_Simple_Html.cpp, widgets/Fl_Text_Display.cpp: Made efltk
	compile with --disable-utf8 (makes lib size 500kb smaller)

2002-12-05 09:39  ravne2000

	* src/: core/Fl_wince.cpp, core/fl_list_fonts_win32.cpp,
	wcelib/include/stdlibx.h: Font should work in CE now, only we have
	to reimplement it in Fl_wince.cpp

2002-12-05 09:19  ravne2000

	* src/: core/fl_font_win32.cpp, wcelib/include/crtdbg.h,
	wcelib/include/wince.h, wcelib/src/stdlibx.cpp: Font should work in
	CE now

2002-12-05 09:15  laza2000

	* test/threads.cpp: sleep_ms to sleep

2002-12-05 09:15  laza2000

	* src/widgets/Fl_Menu_Window.cpp: Changed to use Fl::ticks()

2002-12-05 09:11  laza2000

	* src/core/Fl_win32.cpp, src/core/Fl_x.cpp, efltk/Fl.h:  - Added
	Fl::ticks() to get milliseconds since lib init.
	 - Changed Fl::sleep_ms to Fl::sleep

2002-12-04 23:26  parshin

	* test/directory.cpp: Removed any usage of <iostream>

2002-12-04 23:03  laza2000

	* src/widgets/: Fl_Menu.cpp, Fl_Menu_Window.cpp:  - Fixed menu
	animate.. (on win32)
	 - Fixed menubar button execute

2002-12-04 20:31  parshin

	* fluid/fluid.cxx: Fixed missing parameter in function.

2002-12-04 19:58  parshin

	* src/core/scandir.c: Small fix to remove warning message..

2002-12-04 19:32  cortex

	* test/Makefile: to be able to compile under console, fluid
	rebuilding turned off

2002-12-04 19:30  cortex

	* locale/sk.po: added missing things

2002-12-04 17:08  laza2000

	* MinGW/efltk.mak, MinGW/efltk_images.mak, MinGW/efluid.mak,
	MinGW/file_chooser.mak, src/core/Fl_Date_Time.cpp,
	src/core/fl_blit_a.cpp, src/widgets/Fl_Menu.cpp,
	src/widgets/Fl_Menu_Window.cpp:  - Added optimized alpha surface
	blitter for 24 bit (RGB) depths
	 - Menu blending depends on time, not size of menu :) currently 200
	ms * Fl_Menui_::anim_speed
	 - ALT closes menu, if it's already up (bug in WIN32 alt+tab)

2002-12-04 15:59  ravne2000

	* efltk/Fl_Config.h, efltk/win32.h, evcpp/efltkce.vcp,
	src/core/Fl.cpp, src/core/Fl_Date_Time.cpp, src/core/Fl_abort.cpp,
	src/core/Fl_wince.cpp, src/core/fl_arc.cpp, src/core/fl_arci.cpp,
	src/core/fl_color_win32.cpp, src/core/fl_cursor.cpp,
	src/wcelib/include/direct.h, src/wcelib/include/errno.h,
	src/wcelib/include/io.h, src/wcelib/include/stdlibx.h,
	src/wcelib/include/wince.h, src/wcelib/include/sys/types.h,
	src/wcelib/src/stdlibx.cpp, src/widgets/Fl_Dial.cpp: Progress. Now
	there are only 107 erros. However, we need to write our own
	CreateFont function, because MS decided to exclude this from the
	WinAPI. It is however a MFC function.. (nice)! Added some needed
	header files and added a lot of stuff in fl_wince.h. Still compiles
	fine in Windows. Don't know about linux.

2002-12-04 12:56  laza2000

	* MinGW/: dialog.mak, listview_ds.mak: Added missing makefiles

2002-12-04 12:54  laza2000

	* MinGW/Makefile, MinGW/alphablend.mak, MinGW/callback.mak,
	MinGW/editor.mak, MinGW/efltk.mak, MinGW/efluid.mak,
	MinGW/file_chooser.mak, MinGW/fonts.mak, MinGW/hello.mak,
	MinGW/image_layout.mak, MinGW/image_loader.mak, MinGW/listview.mak,
	MinGW/mdi.mak, MinGW/menubar.mak, MinGW/multitabs2.mak,
	MinGW/popup_window.mak, MinGW/preferences.mak, MinGW/radio.mak,
	MinGW/tabs.mak, MinGW/thread.mak, MinGW/utf8.mak, efltk/Fl_Util.h,
	src/core/Fl_win32.cpp, src/core/filename_expand.cpp,
	src/widgets/Fl_File_Dialog.cpp, visualc/fonts.dsp:  - Fixed
	fl_file_expand()
	 - Fixed MinGW makefiles
	 - Fixed some compiler warnings on MinGW

2002-12-04 11:41  laza2000

	* src/core/aimm.h: Added missing file..

2002-12-04 11:14  laza2000

	* src/core/Fl_win32.cpp, src/core/fl_utf8.c,
	visualc/alphablend.dsp, visualc/callback.dsp, visualc/dialog.dsp,
	visualc/editor.dsp, visualc/efluid.dsp, visualc/file_chooser.dsp,
	visualc/fonts.dsp, visualc/hello.dsp, visualc/image_layout.dsp,
	visualc/image_loader.dsp, visualc/listview.dsp, visualc/mdi.dsp,
	visualc/menubar.dsp, visualc/multitabs2.dsp,
	visualc/popup_window.dsp, visualc/preferences.dsp,
	visualc/radio.dsp, visualc/tabs.dsp, visualc/thread.dsp,
	visualc/utf8.dsp:  - Made WIN32 use global IME for input handling.
	 - Some more work with UTF-8/unicode conversion on WIN32 code

2002-12-04 11:01  ravne2000

	* src/core/Fl_Date_Time.cpp, src/core/Fl_win32.cpp,
	src/core/cmap.cpp, src/core/filename_absolute.cpp,
	src/core/filename_expand.cpp, src/core/filename_isdir.cpp,
	src/core/filename_list.cpp, src/core/fl_font_win32.cpp,
	efltk/win32.h: Added wce project files and wrapped some stuff in
	fl_font_win32. dotNET cannot cast WCHAR??

2002-12-04 10:43  ravne2000

	* evcpp/: config.h, efltkce.vcp, efltkce.vcw: Added wce project
	files

2002-12-04 10:37  ravne2000

	* src/wcelib/: include/time.h, include/wince.h,
	include/sys/types.h, src/time.cpp: Added wce files

2002-12-04 09:43  laza2000

	* efltk/Fl_Date_Time.h, src/core/Fl_Date_Time.cpp,
	src/core/filename_expand.cpp, src/widgets/Fl_Directory_DS.cpp,
	test/listview_ds.cpp, visualc/efltk.dsp, visualc/efltk.dsw: WIN32
	fixes mostly :)

2002-12-04 09:30  laza2000

	* src/core/Fl_Window.cpp: Fixed bug, when exit modal loop and no
	other windows are shown

2002-12-03 08:48  parshin

	* test/: Makefile, listview_ds.cpp: Fl_Directory_DS + Fl_ListView
	connection is finally working! See test/listview_ds for comments.
	Couple of headers have changed - you may need to 'make clean' in
	efltk. Mikko, please, review the code ..

2002-12-03 08:30  parshin

	* src/widgets/Fl_Directory_DS.cpp, src/widgets/Fl_ListView.cpp,
	efltk/Fl_Data_Source.h, efltk/Fl_Directory_DS.h: Fl_Directory_DS +
	Fl_ListView connection is finally working! See test/listview_ds for
	comments. Couple of headers have changed - you may need to 'make
	clean' in efltk. Mikko, please, review the code ..

2002-12-02 07:37  parshin

	* efltk/: Fl_Data_Fields.h, Fl_Data_Source.h, Fl_ListView_Item.h:
	Interface adjustments

2002-12-02 07:37  parshin

	* src/widgets/: Fl_ListView.cpp, Fl_ListView_Header.cpp: Unfinished
	data source extension

2002-12-02 07:36  parshin

	* src/core/: Fl_Data_Fields.cpp, Fl_Variant.cpp: Interface
	stabilization

2002-12-01 08:13  parshin

	* efltk/Fl_Data_Fields.h, efltk/Fl_Data_Source.h,
	efltk/Fl_Dialog_Data_Source.h, efltk/Fl_Directory_DS.h,
	efltk/Fl_ListView.h, src/core/Fl_Data_Fields.cpp,
	src/widgets/Fl_Directory_DS.cpp, src/widgets/Fl_ListView.cpp:
	Interface adjustments for datasources. Very beginning of data
	source interface for list view.

2002-11-30 02:47  leka

	* test/Makefile: I couldn't manage to compile directory.cpp without
	libstdc++, so I added another rule in Makefile, and successfully
	compiled it.

2002-11-29 19:05  laza2000

	* src/widgets/Fl_File_Dialog.cpp: Fixed links

2002-11-29 10:53  laza2000

	* src/widgets/Fl_Text_Display.cpp: Fixed layout on wrapmode

2002-11-29 10:21  laza2000

	* src/widgets/Fl_Tool_Bar.cpp: Minor corrections..

2002-11-29 07:51  parshin

	* efltk/Fl_Variant.h: some additions..

2002-11-29 07:37  parshin

	* efltk/Fl_Directory_DS.h, src/Makefile,
	src/widgets/Fl_Directory_DS.cpp, test/Makefile, test/directory.cpp:
	Finally! Fl_Directory_DS and test for it.

2002-11-29 07:36  parshin

	* efltk/Fl_Date_Time.h, src/core/Fl_Date_Time.cpp,
	src/core/Fl_String.cpp, src/core/Fl_Variant.cpp: Fixed several
	problems. Added Fl_Date_Time convert(time_t).

2002-11-29 00:58  leka

	* build.gcc, build.g++: Parallel builds work just on Linux from now
	on.

2002-11-29 00:14  parshin

	* efltk/Fl_Date_Time.h, src/core/Fl_Date_Time.cpp: Add convert
	function to convert time_t -> Fl_Date_Time

2002-11-28 23:49  leka

	* build.g++: Newer version of build.g++ . Still sometimes gcc crash
	(old version) on one dual processor computer.

2002-11-28 23:47  leka

	* build.gcc: I had some problems with build.gcc, now it's fixed...

2002-11-28 23:09  leka

	* build.gcc: No we have support for parallel build in build.gcc
	too. :)

2002-11-28 23:07  leka

	* build.g++: Now we have support (scripted) for parallel build! :)

2002-11-28 22:26  parshin

	* src/widgets/Fl_Multi_Tabs.cpp: Multitabs don't extend tabs if
	there is only one row.

2002-11-28 20:58  laza2000

	* src/core/Fl_Image.cpp: Removed unneeded ctor

2002-11-28 20:57  laza2000

	* efltk/Fl_Image.h: Changed default value of allow_free to false
	Removed unneeded ctor

2002-11-28 20:57  laza2000

	* test/alphablend.cpp: ..

2002-11-28 18:36  laza2000

	* src/core/fl_locale.cpp, configh.in, configure.in: Added check for
	missing bind_textdomain_codeset declaration (Solaris9)

2002-11-28 14:37  laza2000

	* test/alphablend.cpp: Fixed ball generate..

2002-11-28 10:56  laza2000

	* visualc/: dialog.dsp, efltk.dsp, efltk.dsw: Added dialog test for
	MSVC

2002-11-28 10:49  laza2000

	* src/core/Fl_Image.cpp, src/core/Fl_WM.cpp,
	src/widgets/Fl_Adjuster.cpp, src/widgets/Fl_Browser.cpp,
	efltk/Fl_Bitmap.h, efltk/Fl_Image.h, fluid/Fluid_Image.cxx: Fixed
	Fl_Bitmap "allow_free" bug

2002-11-27 16:29  laza2000

	* test/: image.cpp, image_manip.cpp: Added "allow_free" flag to
	Fl_Image constructors

2002-11-27 16:25  laza2000

	* src/core/Fl_Image.cpp, src/core/Fl_WM.cpp, efltk/Fl_Image.h:	-
	Fixed some memory leaks (again) :)
	 - Added "allow_free" flag to Fl_Image constructors, ofcouse only
	for
	those ones which takes image data as argument. This allows Fl_Image
	to de-allocate data in clear(), unless you set allow_free=false

2002-11-27 15:39  laza2000

	* src/core/Fl_WM.cpp: Fixed HUGE memory leak in
	Fl_WM::get_title_icon(), forgot delete some images :)

2002-11-26 21:43  laza2000

	* configh.in, configure.in: Added check for Xutf functions.. This
	is just temporary workaround to get code compiled in XWindows
	without Xutf extension..

2002-11-26 21:43  laza2000

	* src/core/Fl_WM.cpp: Added #if's for Xutf functions.. This is just
	temporary workaround to get code compiled in XWindows without Xutf
	extension..

2002-11-26 19:20  parshin

	* src/Makefile: Fl_Data_Fields.cpp added to Makefile

2002-11-26 12:58  laza2000

	* efltk/Fl_WM.h, src/core/Fl_WM.cpp: Added more Fl_WM functions

2002-11-26 06:48  parshin

	* efltk/: Fl_Data_Fields.h, Fl_Data_Source.h,
	Fl_Dialog_Data_Source.h: minor corrections

2002-11-26 06:41  parshin

	* src/widgets/Fl_Dialog_Data_Source.cpp: Some modifications toward
	the extending datasource interface.  God, help me to stabilize it!
	And you, guys, don't forget to make clean;make install!

2002-11-26 06:36  parshin

	* src/core/Fl_Data_Fields.cpp: Some modifications toward the
	extending datasource interface.  God, help me to stabilize it! And
	you, guys, don't forget to make clean;make install!

2002-11-26 00:37  parshin

	* efltk/Fl_Dialog.h, src/widgets/Fl_Dialog.cpp: Since Fl_Button now
	understands 'FL_Enter' pressings, there is no need for
	Fl_Dialog_Button anymore..

2002-11-25 17:31  parshin

	* src/widgets/Fl_Button.cpp: Corrected misprint..

2002-11-25 17:29  parshin

	* src/widgets/Fl_Button.cpp: Added support for 'Enter' in buttons.

2002-11-24 21:26  laza2000

	* src/core/fl_utf8.c: Removed some warnings under *nix

2002-11-24 21:08  laza2000

	* efltk/Fl_Font.h: Font fixes..

2002-11-24 21:07  laza2000

	* src/core/: fl_font_win32.cpp, fl_font_x.cpp, fl_list_fonts.cpp,
	fl_list_fonts_x.cpp, fl_theme.cpp: Fonts takes effect to
	fl_encoding() now. Fixed most of things related to fonts.

2002-11-24 04:16  parshin

	* src/widgets/Fl_Dialog.cpp, efltk/Fl_Dialog.h: FL_Dialog now
	supports 'default button' and 'cancel on ESC'.

2002-11-23 22:37  laza2000

	* src/core/fl_locale.cpp: Fixed crash, due to wrong locale..

2002-11-23 21:35  laza2000

	* src/core/: Fl_x.cpp, fl_locale.cpp: Fixed set_locale() when
	locale not found

2002-11-23 12:16  laza2000

	* src/widgets/Fl_ListView.cpp: Added relayout() to insert, now it
	behaves like normal group, when adding items

2002-11-22 22:15  laza2000

	* src/core/fl_theme.cpp: fl_encoding back, I forgot to put it back
	when I was debugging :)

2002-11-22 22:04  laza2000

	* src/widgets/Fl_File_Dialog.cpp: More fixes for symlinks..

2002-11-21 19:36  parshin

	* src/widgets/Fl_Menu.cpp: Replaced bool menu_picked with int
	menu_picked. Desn't make logical sense, but it fixes the popup
	menu. Probably, a compiler bug.

2002-11-21 17:39  laza2000

	* src/widgets/Fl_File_Dialog.cpp: Fixed symbolic link read

2002-11-21 16:39  laza2000

	* themes/eblue.cpp: More stuff here :)

2002-11-21 16:31  laza2000

	* themes/: Makefile, eblue.cpp: Added simple theme, as a example :)

2002-11-21 04:34  didox

	* locale/id.po: 
	
	Indonesian translation for eFltk

2002-11-20 15:51  laza2000

	* src/: core/Fl_win32.cpp, widgets/Fl_Menu_Window.cpp: WIN32
	settings load fix

2002-11-20 13:52  laza2000

	* MinGW/efluid.mak: EFluid makefile fixed

2002-11-20 13:52  laza2000

	* fluid/coding_style_func.cxx: "../config.h" to <config.h>

2002-11-20 13:41  laza2000

	* MinGW/config.h: math emu for GCC2.9.x

2002-11-20 13:33  laza2000

	* src/core/fl_blit_n.cpp, src/core/fl_font_win32.cpp,
	src/core/fl_internal.h, src/widgets/Fl_Color_Chooser.cpp,
	src/widgets/Fl_ListView.cpp, src/widgets/Fl_Scrollbar.cpp,
	MinGW/Makefile, MinGW/alphablend.mak, MinGW/build.mingw,
	MinGW/callback.mak, MinGW/config.h, MinGW/editor.mak,
	MinGW/efltk.mak, MinGW/efltk_images.mak, MinGW/efluid.mak,
	MinGW/file_chooser.mak, MinGW/fix_makefiles, MinGW/fonts.mak,
	MinGW/hello.mak, MinGW/image_layout.mak, MinGW/image_loader.mak,
	MinGW/listview.mak, MinGW/mdi.mak, MinGW/menubar.mak,
	MinGW/multitabs2.mak, MinGW/popup_window.mak,
	MinGW/preferences.mak, MinGW/radio.mak, MinGW/tabs.mak,
	MinGW/thread.mak, MinGW/utf8.mak:  - MINGW warnings fixes
	 - MINGW makefiles fixed

2002-11-20 12:40  laza2000

	* efltk/Fl_Callback.h, efltk/Fl_Widget.h,
	src/core/fl_draw_image_win32.cpp, src/core/fl_utf8.c,
	visualc/efltk.dsp: WIN32 fixes

2002-11-20 06:47  parshin

	* efltk/Fl_Data_Source.h, efltk/Fl_Dialog.h,
	efltk/Fl_Dialog_Data_Source.h, efltk/Fl_Group.h,
	src/core/Fl_Group.cpp, src/widgets/Fl_Dialog.cpp: Interface update
	for Widget/Input/Group interface to data source.  Used the same
	virtual interface for all the widgets:
	
	  bool load_data(Fl_Data_Source *);
	  bool save_data(Fl_Data_Source *) const;
	
	The main problem is still error processing. Please, run make clean
	on efltk root prior to make. I had problems w/o that.

2002-11-20 04:13  leka

	* locale/sr.po: Serbian translation (cyrillic script) of eFLTK is
	finished. Tomorrow I intend to finish serbian translation in latin
	script. Also we will have Serbo-Croatian translation tomorrow,
	because serbian and croatian languages are the same, and
	Serbo-Croatian is actually serbian language, latin script, or
	Croatian language...

2002-11-20 03:28  parshin

	* efltk/Fl_Input.h, efltk/Fl_Widget.h, src/widgets/Fl_Input.cpp:
	Added methods to read/write data source.

2002-11-19 19:51  leka

	* test/utf8.cpp: Problems with math.h again... :( Fixed.

2002-11-19 19:27  laza2000

	* configure.in: Fixed UTF8 detect on some automake's (hopefully)

2002-11-18 23:38  laza2000

	* efltk/Fl_Renderer.h, src/core/fl_draw_image_x.cpp,
	src/widgets/Fl_Menu_Window.cpp: Fl_Renderer::data_from_* takes
	"desired" pixel format as a argument, With this you can really
	optimize some cases.. :)

2002-11-18 21:13  laza2000

	* src/core/fl_blit_n.cpp: Added #if USE_COLORMAP

2002-11-18 21:10  laza2000

	* efltk/Fl_Image.h, efltk/Fl_Renderer.h, src/core/Fl_Image.cpp,
	src/core/fl_blit_n.cpp, src/core/fl_draw_image_x.cpp,
	src/core/fl_draw_image_x_2.cpp, src/widgets/Fl_Menu_Window.cpp:
	Fixed Fl_Renderer::data_from_* functions for X11

2002-11-18 11:24  laza2000

	* test/sizes.cpp: Added missing file..

2002-11-18 11:23  laza2000

	* efltk/Fl_Calendar.h, efltk/Fl_Callback.h, efltk/Fl_FileBrowser.h,
	efltk/Fl_Menu_.h, efltk/Fl_Widget.h, src/core/Fl_Callback.cpp,
	src/core/Fl_init.cpp, src/widgets/Fl_Calendar.cpp,
	src/widgets/Fl_Dialog.cpp, src/widgets/Fl_FileBrowser.cpp,
	src/widgets/Fl_Menu.cpp, src/widgets/Fl_Menu_.cpp,
	src/widgets/Fl_Menu_Bar.cpp, src/widgets/Fl_Menu_Window.cpp,
	src/widgets/Fl_Tooltip.cpp, test/Makefile:  - Removed backward
	compatibility with FLTK1 from Fl_Widget
	 - Fixed some widgets due to that :)
	 - Made Fl_Widget and Fl_Menu_ a little bit compact (see
	test/sizes)
	 - Added sizes test
	 - Added sanity check for Fl_Menu_Window::fade()
	 - All effects to false by default

2002-11-18 10:00  laza2000

	* src/core/Fl_WM.cpp: Fixed message type :)

2002-11-18 01:57  parshin

	* src/Makefile: Makefile changes to include Fl_Dialog_Data_Source

2002-11-18 01:45  parshin

	* src/widgets/: Fl_Dialog.cpp, Fl_Dialog_Data_Source.cpp: Some new
	abilities are added: - field support as Fl_Variant - data
	load/unload in show_modal

2002-11-18 01:40  parshin

	* src/core/Fl_Data_Source.cpp: 
	Mino R changes

2002-11-18 01:38  parshin

	* efltk/: Fl_Data_Source.h, Fl_Dialog.h, Fl_Dialog_Data_Source.h:
	Changes in dialog and datasource to work with fields.

2002-11-18 01:37  parshin

	* test/dialog.cpp: changes in test for dialog to show some new
	abilities

2002-11-18 01:08  laza2000

	* efltk/Fl_Button.h, efltk/Fl_Item.h, efltk/Fl_WM.h,
	efltk/Fl_Widget.h, efltk/x.h, src/core/Fl_Group.cpp,
	src/core/Fl_WM.cpp, src/core/Fl_Widget.cpp, src/core/Fl_Window.cpp,
	src/core/Fl_x.cpp, test/scroll.cpp:  - Added Fl_Widget::widget_type
	flag, this holds info about what kind a widget it is like
	GROUP_TYPE, WINDOW_TYPE..
	   It was changed, due to compatibility problems type() and most of
	wodgets. e.g. If you set some type to Fl_Scroll,
	   It looses GROUP_TYPE info. This is fixed now.
	
	 - Added set/get_active_window to Fl_WM module
	 - More #if's :)
	 - Added FLTKChangeSettings XClientMessage, sending this to app
	window, will cause reload settings run-time.
	 - Made FLTKChangeSettings and FLTKChangeScheme public in efltk/x.h

2002-11-17 19:13  laza2000

	* src/core/: Fl_compose.cpp, Fl_x.cpp: Fixes for XIM

2002-11-17 06:22  parshin

	* src/widgets/Fl_Dialog_Data_Source.cpp: New class to support
	Fl_Dialog fields

2002-11-17 06:19  parshin

	* efltk/Fl_Dialog_Data_Source.h: New class to support Fl_Dialog
	fields

2002-11-16 20:16  laza2000

	* src/core/Fl_Config.cpp: Get right decimal separator, if locale
	changed

2002-11-16 14:27  leka

	* ChangeLog: I thought maybe after 10 days we should update
	ChangeLog...

2002-11-16 06:32  parshin

	* src/widgets/Fl_Multi_Tabs.cpp: Fixed the old and nasty glitch
	with tab resizing

2002-11-15 18:11  laza2000

	* configure.in, configh.in: Disable ICONV..

2002-11-15 17:00  laza2000

	* efltk/fl_utf8.h, src/core/fl_utf8.c, src/core/fl_utf8.cpp,
	src/Makefile: Changed fl_utf8.cpp to fl_utf8.c

2002-11-15 16:59  laza2000

	* configure.in: iconv detect fix

2002-11-15 09:56  laza2000

	* src/widgets/Fl_Multi_Tabs.cpp: Some layout fixes

2002-11-15 09:42  laza2000

	* src/widgets/Fl_Multi_Tabs.cpp: box() from constructor to revert
	function

2002-11-15 07:20  parshin

	* src/widgets/Fl_Multi_Tabs.cpp: Minor update

2002-11-15 07:19  parshin

	* efltk/: Fl_Dialog.h, Fl_Variant.h: Fl_Dialog update

2002-11-15 07:17  parshin

	* src/widgets/Fl_Dialog.cpp: Fl_Dialog update. Add field name
	support for widgets (see test)

2002-11-15 07:15  parshin

	* test/dialog.cpp: test update for new features in Fl_Dialog

2002-11-15 00:23  parshin

	* test/maskedinput.cpp: Added phone # example

2002-11-15 00:22  laza2000

	* efltk/Fl_Font.h, src/core/fl_font_x.cpp,
	src/core/fl_list_fonts_x.cpp: Removed bool xlist_cached_, xlist_ is
	not null is cached

2002-11-14 23:49  laza2000

	* efltk/Fl_Font.h, src/core/fl_font_win32.cpp,
	src/core/fl_list_fonts_win32.cpp, visualc/fonts.dsp: Added WIN32
	encoding stuff (sucks) Added sizes and charsets cache to WIN32
	Fl_Font_

2002-11-14 19:29  cortex

	* efltk.spec: Spec fix

2002-11-14 17:10  laza2000

	* src/core/Fl_init.cpp: Moved #endif to correct place

2002-11-14 16:45  laza2000

	* src/widgets/Fl_Text_Display.cpp: Added #ifdef _WIN32

2002-11-14 16:24  laza2000

	* configure.in, efltk/Xutf8.h, efltk/fl_utf8.h, efltk/x.h,
	src/core/Fl_x.cpp, src/core/fl_font_x.cpp, src/core/fl_utf8.cpp,
	src/opengl/gl_draw.cpp, src/widgets/Fl_Text_Display.cpp:  - Added
	fl_supports_utf8(), returns true if UTF-8 compiled in.
	 - Moved Xutf8.h under efltk include files, so it can be included
	by external probram also.   - More XUTF8 stuff.. :)

2002-11-14 15:47  laza2000

	* src/core/: fl_utf8_ucs2fmap.c, fl_utf8_x.c, fl_utf8_x.h,
	fl_utf8_x_input.c, fl_utf8_x_utils.c, fl_utf_keysym2ucs.c: Removed
	old unneeded files

2002-11-14 15:44  laza2000

	* configh.in, configure.in, makeinclude.in, src/core/fl_utf8.cpp,
	efltk/fl_utf8.h: XUTF updates

2002-11-14 15:43  laza2000

	* src/Makefile: Added xutf files

2002-11-14 14:03  laza2000

	* src/widgets/Fl_Input.cpp: UTF-8 fixes

2002-11-14 14:00  laza2000

	* test/utf8.cpp: fixes

2002-11-14 13:59  laza2000

	* src/: core/fl_font_x.cpp, core/fl_utf8.cpp,
	widgets/Fl_Calendar.cpp, widgets/Fl_FileBrowser.cpp: *nix fixes ..

2002-11-14 13:44  laza2000

	* src/core/Fl_Config.cpp, src/core/Fl_Image.cpp,
	src/core/Fl_Util.cpp, src/core/fl_font_win32.cpp,
	src/core/fl_internal.h, src/core/fl_list_fonts_win32.cpp,
	src/core/fl_utf8.cpp, src/widgets/Fl_Calendar.cpp,
	src/widgets/Fl_Dialog.cpp, src/widgets/Fl_FileBrowser.cpp,
	src/widgets/Fl_File_Dialog.cpp, src/widgets/Fl_Input.cpp,
	src/widgets/Fl_ListView.cpp, src/widgets/Fl_Menu.cpp,
	src/widgets/Fl_Numeric_Input.cpp, src/widgets/Fl_Simple_Html.cpp,
	src/widgets/Fl_Text_Buffer.cpp, src/widgets/Fl_Text_Display.cpp,
	test/editor.cpp, test/utf8.cpp, test/utf-8_encoded_testpage.txt,
	visualc/config.h, visualc/efltk.dsp, visualc/efltk.dsw,
	visualc/fonts.dsp, visualc/utf8.dsp:  - Added WIN32 UTF-8 support
	 - Added open, fopen, chmod .. wrapper functions fl_* to fl_utf8.h
	 - Fixed some UTF-8 related bugs in Fl_Input and Fl_Text_Display
	 - Test updates
	 - Fixed re-definitions :)

2002-11-14 13:41  laza2000

	* efltk/: Fl_Font.h, Fl_Locale.h, fl_draw.h, fl_utf8.h:  - Added
	WIN32 UTF-8 support
	 - Added open, fopen, chmod .. wrapper functions fl_* to fl_utf8.h
	 - Fixed some UTF-8 related bugs in Fl_Input and Fl_Text_Display
	 - Test updates

2002-11-14 05:28  parshin

	* efltk/Fl_Dialog.h, src/widgets/Fl_Dialog.cpp, test/dialog.cpp:
	Added images for standard buttons. show_modal() now returns the id
	of the pressed button. Help button has special callback - future
	connection to the help subsystem.

2002-11-13 18:01  laza2000

	* src/widgets/Fl_Input.cpp: Some UTF-8 fixes..

2002-11-13 17:28  laza2000

	* src/core/fl_font_x.cpp: Init font->first to 0 in fl_create_font()

2002-11-13 17:10  laza2000

	* src/core/fl_locale.cpp: #if HAVE_TEXTDOMAIN_CODESET ..

2002-11-13 16:56  laza2000

	* Makefile, configure.in, efltk-config.in, makeinclude.in,
	efltk/Fl.h, efltk/Fl_Font.h, efltk/Fl_Locale.h, efltk/win32.h,
	fluid/fluid.cxx, src/Makefile, src/makedepend,
	src/core/Fl_Config.cpp, src/core/Fl_Util.cpp, src/core/Fl_arg.cpp,
	src/core/Fl_init.cpp, src/core/Fl_win32.cpp, src/core/Fl_x.cpp,
	src/core/Makefile, src/core/fl_draw_image_x.cpp,
	src/core/fl_font_x.cpp, src/core/fl_internal.h,
	src/core/fl_list_fonts.cpp, src/core/fl_list_fonts_x.cpp,
	src/core/fl_locale.cpp, src/core/fl_theme.cpp, src/core/makedepend,
	src/widgets/Makefile, src/widgets/makedepend, test/Makefile,
	test/file_chooser.cpp, test/fonts.cpp, test/listview.cpp,
	test/utf8.cpp:	- Added fl_create_font(), for create multi-font
	fonts (fontsets, see test/utf8.cpp)
	 - Reworked Fl_Font_ to support fontsets better, and also cache
	them correctly
	 - Removed Fl::init()
	 - Added Fl::init_locale(), inits EFltk own locale support
	 - Added Fl::init_locale(app, dir), inits app locale support (inits
	also efltk)
	   Old one works still (fl_init_locale_support)
	 - Added Fl::read_defaults(), reads widgets default settings
	 - Added UTF-8 test
	 - Better locale support
	
	Moved src/core/Makefile and src/widgets/Makefile to src/Makefile
	EFltk doesnt build 2 libs abymore, only libefltk.{a | so} It was
	impossible to link ui/core libs statically together.  This wont
	broke anything, if app uses efltk-config (all EDE apps does)

2002-11-13 09:02  laza2000

	* src/widgets/Fl_Dialog.cpp: typo fix.. :)

2002-11-13 08:58  laza2000

	* efltk/Fl_Dialog.h, src/widgets/Fl_Dialog.cpp: show_modal() away

2002-11-13 08:57  laza2000

	* test/dialog.cpp: show_modal() -> exec(0, false);

2002-11-13 06:47  parshin

	* test/: Makefile, dialog.cpp: Test for Fl_Dialog.

2002-11-13 06:35  parshin

	* src/widgets/Fl_Dialog.cpp, src/widgets/Makefile,
	efltk/Fl_Dialog.h: Pre-version of Fl_Dialog (non-working yet)

2002-11-12 23:45  laza2000

	* src/core/: fl_draw_image_x.cpp, fl_draw_image_x_2.cpp:  - Debug
	messages away
	 - Finally all works on BIG/LITTLE endian machines, even if host is
	different than client.

2002-11-12 23:31  laza2000

	* src/core/fl_draw_image_x.cpp: Possible fix? :)

2002-11-12 23:15  laza2000

	* src/core/fl_draw_image_x_2.cpp: more debug..

2002-11-12 23:14  laza2000

	* src/core/: fl_draw_image_x.cpp, fl_draw_image_x_2.cpp: Debug..

2002-11-12 22:31  laza2000

	* src/widgets/Fl_Multi_Image.cpp: Fixed draw function..

2002-11-12 22:31  laza2000

	* efltk/Fl_Multi_Image.h: Fixed draw function

2002-11-12 22:22  laza2000

	* src/core/fl_draw_image_win32.cpp: WIN32 update

2002-11-12 22:18  laza2000

	* test/: Makefile, bitmap.cpp, image.cpp: Added bitmap demo

2002-11-12 22:17  laza2000

	* efltk/Fl_Bitmap.h, efltk/Fl_Image.h, efltk/Fl_Renderer.h,
	efltk/Fl_WM.h, src/core/Fl_Bitmap.cpp, src/core/Fl_Bmp.cpp,
	src/core/Fl_Image.cpp, src/core/Fl_Renderer.cpp,
	src/core/fl_blit.cpp, src/core/fl_blit_a.cpp,
	src/core/fl_color_x.cpp, src/core/fl_draw_image_x.cpp,
	src/core/fl_draw_image_x_2.cpp, src/core/fl_draw_pixmap.cpp:  -
	Added Fl_Renderer::big_endian() and Fl_Renderer::lil_endian() to
	specify system image byte order.
	 - Fixed Fl_Bitmap (hopefully)
	 - Changed to use Fl_Renderer::*_endian() functions, instead of #if
	WORDS_BIGENDIAN

2002-11-12 18:19  laza2000

	* test/glpuzzle.cpp: Added #ifdef HAVE_GL

2002-11-12 18:01  laza2000

	* src/core/fl_utf8_x.c: no_spc declaration to start of function...
	THIS FILE C! :)

2002-11-12 17:52  laza2000

	* src/core/fl_utf8_x.c: TAB to space

2002-11-12 08:40  laza2000

	* src/core/: Fl_init.cpp, fl_locale.cpp: Added #if
	HAVE_TEXTDOMAIN_CODESET

2002-11-12 08:39  laza2000

	* configh.in, configure.in: Added check for bind_textdomain_codeset

2002-11-12 08:07  laza2000

	* src/core/Fl_init.cpp: Added #if ENABLE_NLS

2002-11-12 03:41  parshin

	* src/widgets/: Fl_Date_Time_Input.cpp, Makefile: Missing image is
	embedded to Fl_Date_Time_Input.cpp

2002-11-12 00:51  laza2000

	* src/widgets/: Fl_Choice.cpp, Fl_Menu.cpp:  - Fixed
	fluid-choice-bug :)
	 - Menuwindows takes bg color from widget which creates it

2002-11-12 00:38  laza2000

	* src/core/: Fl_init.cpp, fl_locale.cpp:  - Added gettext support
	for convert to UTF-8 on the fly
	 - Fixed EFLTK locale support

2002-11-11 23:59  parshin

	* test/maskedinput.cpp: Added test for Fl_Date_Input

2002-11-11 23:54  parshin

	* efltk/Fl_Date_Time_Input.h, src/widgets/Fl_Date_Time_Input.cpp:
	Added Fl_Date_Time_Input.cpp/h. Currently contains just
	Fl_Date_Input.

2002-11-11 23:43  laza2000

	* src/widgets/Fl_Menu.cpp: DEBUG away

2002-11-11 23:28  laza2000

	* src/: core/Fl_Lists.cpp, core/fl_font_x.cpp, core/fl_utf8_x.c,
	widgets/Fl_Text_Buffer.cpp, widgets/Fl_Text_Display.cpp:  - Added
	undo_size to Fl_Text_Buffer
	 - Added maxsize to Fl_Ptr_Stack
	 - Fixed XUtf8UcsWidth function
	 - Fixed Fl_Text_Display to display UTF-8 correctly

2002-11-11 23:25  laza2000

	* efltk/: Fl_Ptr_Stack.h, Fl_Text_Buffer.h: Added undo_size to
	Fl_TextBuffer, defines maximum undo steps

2002-11-11 21:40  laza2000

	* test/editor.cpp: Fixes...

2002-11-11 21:39  parshin

	* efltk/Fl_Date_Time.h: Minor corrections

2002-11-11 21:36  laza2000

	* src/widgets/: Fl_ListView.cpp, Fl_Menu.cpp, Fl_Text_Buffer.cpp,
	Fl_Text_Display.cpp, Fl_Text_Editor.cpp: - Added undo() to
	Fl_Text_Buffer and Fl_Text_Editor - Fixed some potential crash
	points in editor - Fixed Fl_ListView pageup/pagedown keys

2002-11-11 21:34  laza2000

	* efltk/: Fl_Text_Buffer.h, Fl_Text_Editor.h: - Added undo() to
	Fl_Text_Buffer and Fl_Text_Editor

2002-11-11 20:51  parshin

	* efltk/Fl_Date_Time.h, src/core/Fl_Date_Time.cpp,
	test/maskedinput.cpp: Added support for date and time input masks
	in Fl_Date_Time.  The masks are set up automatically from system
	settings.  Fixed the 24hours mode recognition.	Update maskedit
	test to demonstarte these masks.

2002-11-11 19:35  cortex

	* src/core/Fl_Util.cpp: stat to lstat to see symlink

2002-11-11 19:33  cortex

	* efltk.spec: Spec file added

2002-11-11 18:27  parshin

	* efltk/Fl_Data_Source.h, src/core/Fl_Data_Source.cpp,
	src/core/Fl_String.cpp: Updated Alexey Parshin' e-mail address in
	copyright :)

2002-11-11 17:40  laza2000

	* src/widgets/: Fl_Menu.cpp, Fl_Menu_Window.cpp: Fixed infinite
	loop in animate mode, seems to be GCC bug.  For some reason class
	member becomes "nan", even when there's no assigment to variable at
	all...

2002-11-11 16:31  laza2000

	* src/core/: Fl_Config.cpp, Fl_init.cpp: Write/Read double and
	float in locale independ format i.e. decimal pointer in file is
	always '.'

2002-11-11 15:37  laza2000

	* visualc/: efltk.dsw, radio.dsp: Added 'radio' test project file

2002-11-11 15:36  laza2000

	* test/menubar.cpp: menu stuff

2002-11-11 15:36  laza2000

	* src/core/Fl_init.cpp: removed if(0) :)

2002-11-11 15:35  laza2000

	* src/: core/Fl.cpp, core/Fl_init.cpp, widgets/Fl_Button.cpp,
	widgets/Fl_Menu.cpp, widgets/Fl_Menu_.cpp, widgets/Fl_Menu_Bar.cpp,
	widgets/Fl_Tooltip.cpp:  - Menu timeout fixes
	 - Added close_window timeout
	 - Some tooltip fixes

2002-11-10 20:43  parshin

	* test/maskedinput.cpp: Minor corrections in maskedinput test

2002-11-10 20:40  parshin

	* test/: Makefile, maskedinput.cpp: Test for Fl_Masked_Input

2002-11-10 20:29  parshin

	* efltk/Fl_Masked_Input.h, src/widgets/Fl_Masked_Input.cpp,
	src/widgets/Makefile: Fl_Masked_Edit (.cpp,.h,Makefile) added.

2002-11-09 17:22  parshin

	* src/widgets/Fl_Calendar.cpp: Fixed border and popup sizing
	problems.

2002-11-09 14:02  laza2000

	* src/core/fl_utf8.cpp: #ifdef to #if

2002-11-09 13:10  laza2000

	* src/widgets/Fl_Calendar.cpp:	- Changed switch buttons to use
	button_color()
	 - set focus to current date after creating widget

2002-11-09 12:39  laza2000

	* src/widgets/Fl_ListView_Item.cpp: Fixed compiler warning

2002-11-09 12:30  laza2000

	* fluid/factory.cxx: Added Fl_Calendar type

2002-11-09 12:27  laza2000

	* test/: calendar.cpp, callback.cpp: Test updates

2002-11-09 12:25  laza2000

	* efltk/: Fl_Callback.h, Fl_Widget.h: Added connect(obj, func)
	where func = SomeClass::method()

2002-11-09 12:22  laza2000

	* src/widgets/Fl_Calendar.cpp: Added styles for Fl_Calendar. 
	Removed dynamic_cast<>

2002-11-09 12:21  laza2000

	* efltk/Fl_Calendar.h: Added styles for Fl_Calendar.  Removed
	dynamic_cast<> from code

2002-11-09 09:09  parshin

	* test/: Makefile, calendar.cpp: Example for the calendar and popup
	calendar.

2002-11-09 09:01  parshin

	* efltk/Fl_Calendar.h, src/widgets/Fl_Calendar.cpp,
	src/widgets/Makefile: Fl_Calendar and Fl_Popup_Calendar classes

2002-11-08 22:09  laza2000

	* test/symbols.cpp: Added scale slider also

2002-11-08 21:26  laza2000

	* test/: Makefile, symbols.cpp: Added symbols test

2002-11-08 20:07  laza2000

	* src/widgets/Fl_Menu.cpp: Added hack to detect, if user meant to
	popup in absolute position

2002-11-08 19:46  laza2000

	* visualc/: efltk.dsp, efltk.dsw, popup_window.dsp: Added
	popup_window test

2002-11-08 17:53  laza2000

	* src/core/Fl_x.cpp: Fixed XWindow to behave like WIN32 after
	FL_PUSH

2002-11-08 17:40  laza2000

	* efltk/Fl_Menu_Window.h, efltk/Fl_Popup_Window.h,
	src/widgets/Fl_Popup_Window.cpp, test/popup_window.cpp: Fixed
	Fl_Popup_Window to behave as it should

2002-11-08 15:00  laza2000

	* efltk/: Fl_Thread.h, Fl_Thread_Linux.h: Implemented recursive
	mutexes for pthreads, if they dont support them

2002-11-08 14:41  laza2000

	* efltk/Fl_Thread.h, efltk/Fl_Thread_Linux.h,
	efltk/Fl_Thread_w32.h, efltk/Fl_Threads.h, visualc/efltk.dsp,
	visualc/efltk.dsw, visualc/image_loader.dsp, visualc/listview.dsp,
	visualc/thread.dsp, test/threads.cpp: Moved more thread code to
	platform specific files Fl_Thread_*.h Removed old code from
	Fl_Threads.h

2002-11-08 13:42  laza2000

	* src/: core/Fl_Util.cpp, widgets/Fl_File_Dialog.cpp,
	widgets/Fl_ListView.cpp, widgets/Fl_ListView_Header.cpp,
	widgets/Fl_ListView_Item.cpp, widgets/Fl_Numeric_Input.cpp: Added
	"find_data" and "find_text" to Fl_ListView Added abs_index() to
	Fl_ListView_Item, i.e. insert order Added compare to
	Fl_ListView_Item, override this to have own compare functions (e.g.
	Fl_File_Dialog) Added redraw methods to Fl_ListView_Item Added own
	comparing functions to size and date columns in Fl_File_Dialog
	Better Fl_FileAttr

2002-11-08 13:40  laza2000

	* efltk/: Enumerations.h, Fl_File_Dialog.h, Fl_ListView.h,
	Fl_ListView_Item.h, Fl_Util.h: Added "find_data" and "find_text" to
	Fl_ListView Added compare to Fl_ListView_Item, override this to
	have own compare functions (e.g. Fl_File_Dialog) Added redraw
	methods to Fl_ListView_Item Better Fl_FileAttr

2002-11-08 09:37  laza2000

	* efltk/Fl_ListView_Item.h, src/widgets/Fl_ListView.cpp,
	src/widgets/Fl_ListView_Item.cpp:  - Added leading() to
	Fl_ListView_ItemExt
	 - Fl_ListView_Item layout takes parent()->leading() as y offset
	 - Fixed 1. column color bug

2002-11-08 01:14  parshin

	* src/widgets/Makefile, test/Makefile: Fl_Popup_Window/popup_window
	added to makefiles

2002-11-08 01:08  parshin

	* efltk/Fl_Popup_Window.h, src/widgets/Fl_Popup_Window.cpp,
	test/popup_window.cpp: Popup Window - simple and useful for several
	other widgets:	 - popup calendar   - date input   - data combo   -
	etc..

2002-11-07 17:58  laza2000

	* test/listview.cpp: Totally re-implemented Fl_ListView. Cause of
	HUGE memory usage and slowness. :) Fl_ListView_Item is NOT derived
	from Fl_Widget, And is very simple item which takes e.g. alignment
	flags from listview. It uses listview text fonts (not label).  It's
	suitable for most of Listview's and is very fast, and uses very
	less memory (20MB / 100K items / 5 cols). There's also
	Fl_ListView_ItemExt, which supports e.g. images/fonts/alignments
	for each column.
	
	Fl_ListView_Item is almost backward compatible :) Normally
	listviews set image to 1. column, old way: item->image(0, im); <<--
	Same as in Fl_ListView_ItemExt new way: item->image(im);
	
	This is cause we want to use as less meory as possible. So, in
	normal Fl_ListView_Item there's only one image what can be set.  It
	will always be placed at left of first column.
	
	---------
	
	Added to Fl_Config possibility to read/write items with no section.
	Setting section to NULL, will write item with no section, before
	any section.
	
	---------
	
	Fixed some memory leaks.  And other bugs...
	
	ENJOY! :)

2002-11-07 17:56  laza2000

	* efltk/Fl_Config.h, efltk/Fl_File_Dialog.h, efltk/Fl_Group.h,
	efltk/Fl_Image_List.h, efltk/Fl_ListView.h,
	efltk/Fl_ListView_Header.h, efltk/Fl_ListView_Item.h,
	efltk/Fl_PtrList.h, efltk/Fl_Ptr_List.h, efltk/Fl_Ptr_Stack.h,
	efltk/Fl_String_List.h, efltk/Fl_Util.h, efltk/Fl_Widget_List.h,
	src/core/Fl_Callback.cpp, src/core/Fl_Config.cpp,
	src/core/Fl_Lists.cpp, src/core/Fl_Util.cpp, src/core/Fl_WM.cpp,
	src/widgets/Fl_File_Dialog.cpp, src/widgets/Fl_ListView.cpp,
	src/widgets/Fl_ListView_Header.cpp,
	src/widgets/Fl_ListView_Item.cpp, src/widgets/Fl_MDI_Window.cpp,
	src/widgets/Makefile: Totally re-implemented Fl_ListView. Cause of
	HUGE memory usage and slowness. :) Fl_ListView_Item is NOT derived
	from Fl_Widget, And is very simple item which takes e.g. alignment
	flags from listview. It uses listview text fonts (not label).  It's
	suitable for most of Listview's and is very fast, and uses very
	less memory (20MB / 100K items / 5 cols). There's also
	Fl_ListView_ItemExt, which supports e.g. images/fonts/alignments
	for each column.
	
	Fl_ListView_Item is almost backward compatible :) Normally
	listviews set image to 1. column, old way: item->image(0, im); <<--
	Same as in Fl_ListView_ItemExt new way: item->image(im);
	
	This is cause we want to use as less meory as possible. So, in
	normal Fl_ListView_Item there's only one image what can be set.  It
	will always be placed at left of first column.
	
	---------
	
	Added to Fl_Config possibility to read/write items with no section.
	Setting section to NULL, will write item with no section, before
	any section.
	
	---------
	
	Fixed some memory leaks.  And other bugs...
	
	ENJOY! :)

2002-11-07 10:17  laza2000

	* efltk/Fl_Config.h, src/core/Fl_Config.cpp: Fixed memory leak

2002-11-07 04:15  parshin

	* efltk/Fl_Multi_Tabs.h, src/widgets/Fl_Multi_Tabs.cpp: Implemented
	theming support.

2002-11-06 19:50  laza2000

	* src/core/Fl_Lists.cpp: Speed up... No call for resize() always
	(dooh!)

2002-11-06 16:51  laza2000

	* src/widgets/: Fl_File_Dialog.cpp, Fl_ListView.cpp,
	Fl_ListView_Item.cpp: Fixes for Fl_ListView and Fl_File_Dialog...
	crashed after clear()

2002-11-06 15:56  laza2000

	* test/listview.cpp: Minor changes....

2002-11-06 15:43  laza2000

	* visualc/: efltk.dsp, efltk.dsw, listview.dsp: Updated prj files

2002-11-06 15:42  laza2000

	* efltk/Fl_Group.h, efltk/Fl_ListView.h, efltk/Fl_ListView_Item.h,
	efltk/Fl_Ptr_Stack.h, efltk/Fl_String_List.h, efltk/Fl_Widget.h,
	src/core/Fl_Group.cpp, src/core/Fl_Lists.cpp, src/core/Fl_Util.cpp,
	src/widgets/Fl_ListView.cpp, src/widgets/Fl_ListView_Item.cpp:
	Improved Fl_ListView, Fl_ListView_Item, Fl_LisyHeader to support
	different fonts/sizes/colors in each column.  Variable number of
	columns are now possible (instead of old max32) Added Fl_Ptr_Stack
	Speeded up Fl_ListView to work also with 100000 items :))

2002-11-06 03:08  leka

	* src/core/Fl_String.cpp: Again the same problem with math...

2002-11-06 01:24  parshin

	* src/widgets/Fl_Multi_Tabs.cpp, efltk/Fl_Multi_Tabs.h,
	test/multitabs2.cpp: Replaced CTM_XXX flags with FL_ALIGN_XXX

2002-11-06 00:52  parshin

	* src/widgets/Fl_Multi_Tabs.cpp: Fixed the resize to be gradual

2002-11-05 10:03  laza2000

	* test/: image_loader.cpp, image_loader.fl, image_loader.h:
	Improved image_loader test a lil bit. Added "apply filter"

2002-11-05 10:02  laza2000

	* visualc/: efltk.dsw, image_loader.dsp, multitabs2.dsp: Added new
	tests

2002-11-05 07:21  parshin

	* src/widgets/Fl_Multi_Tabs.cpp: Fixed the keyboard nivigation.
	Have to discuss it ..  Fixed the variable space between tabs.

2002-11-05 05:43  laza2000

	* fluid/Fluid_Image.cxx: Fl_Ptr_List changes

2002-11-05 05:41  laza2000

	* src/core/Fl_Group.cpp, src/core/Fl_Lists.cpp,
	efltk/Fl_Ptr_List.h: If blocksize<=0(default), do auto blocksize
	calc

2002-11-05 05:19  laza2000

	* src/widgets/Fl_Multi_Tabs.cpp: WIN32 fixes

2002-11-05 05:16  parshin

	* test/multitabs2.cpp: Example demonstrates new box types for Multi
	Tabs

2002-11-05 05:15  parshin

	* src/widgets/Fl_Multi_Tabs.cpp: Updated version better handles
	icons, understands box type correctly, etc..

2002-11-05 05:14  parshin

	* efltk/Fl_Multi_Tabs.h: Updated version uses image() for icons

2002-11-04 15:30  laza2000

	* efltk/: Fl_Value_List.h, Fl_Value_Map.h: #ifdef 0 away :)

2002-11-04 15:29  laza2000

	* visualc/efltk.dsp: Updated prj files

2002-11-04 15:28  laza2000

	* efltk/Fl_Value_List.h, efltk/Fl_Value_Map.h,
	src/core/Fl_Lists.cpp, src/widgets/Fl_ListView.cpp,
	src/widgets/Fl_Multi_Tabs.cpp:	- WIN32 fixes

2002-11-04 13:40  laza2000

	* test/listview.cpp: Removed image stuff

2002-11-04 13:38  laza2000

	* efltk/Fl_String_List.h: Added file

2002-11-04 13:37  laza2000

	* efltk/Fl_Callback.h, efltk/Fl_Config.h, efltk/Fl_Group.h,
	efltk/Fl_Image.h, efltk/Fl_Image_Cache.h, efltk/Fl_Image_List.h,
	efltk/Fl_Int_List.h, efltk/Fl_ListView.h, efltk/Fl_ListView_Item.h,
	efltk/Fl_PtrList.h, efltk/Fl_Ptr_List.h, efltk/Fl_String.h,
	efltk/Fl_Widget_List.h, src/core/Fl_Callback.cpp,
	src/core/Fl_Config.cpp, src/core/Fl_Date_Time.cpp,
	src/core/Fl_Group.cpp, src/core/Fl_Image.cpp,
	src/core/Fl_Lists.cpp, src/core/Fl_String.cpp,
	src/core/Fl_Util.cpp, src/core/Makefile, src/core/fl_theme.cpp,
	src/widgets/Fl_File_Dialog.cpp, src/widgets/Fl_ListView.cpp,
	src/widgets/Fl_ListView_Item.cpp:  - Removed template based
	Fl_PtrList.
	 - Added void** based Fl_Ptr_List, and classes derived from it:
	   Fl_Widget_List, Fl_Int_List, Fl_String_List, Fl_CString_List,
	Fl_Image_List.
	 - Changed Fl_Group to use Fl_Widget_List with blocksize=8
	 - Added sorting to Fl_ListView
	 - Added "int len" to Fl_String to keep track of string length w/o
	calling strlen()
	 - Many other fixes... :)

2002-11-03 16:46  laza2000

	* src/widgets/Fl_Scroll.cpp: Fixed scrolling auto-adjust..

2002-11-03 16:17  laza2000

	* src/widgets/Fl_Scroll.cpp, efltk/Fl_Scroll.h:  - Fl_Scroll now
	includes widgets outside label, when calculating scrolling area.
	 - Added "edge_offset" function, set pixels from each edge to
	widget.
	 - Fixed many bugs, related to showing/hiding scrollbars

2002-11-02 23:19  laza2000

	* src/widgets/Fl_Tabs.cpp: Draw fix...

2002-11-02 18:30  parshin

	* src/widgets/Fl_Multi_Tabs.cpp: Fixed the problem with resizing
	tabs

2002-11-02 10:56  cortex

	* efltk/fl_draw.h, src/core/fl_font_win32.cpp: Added missing rtl
	draw

2002-11-02 04:38  parshin

	* test/multitabs2.cpp: Added support for the new features of
	Fl_Multi_Tabs

2002-11-02 04:37  parshin

	* src/widgets/Fl_Multi_Tabs.cpp: - lot of layout corrections -
	added new tab modes - CTM_LEFT and CTM_BOTTOM - fixed images
	problems for icons

2002-11-02 04:35  parshin

	* efltk/Fl_Multi_Tabs.h: Minor layout corrections (if any)

2002-11-01 19:10  parshin

	* src/widgets/Fl_Multi_Tabs.cpp, efltk/Fl_Multi_Tabs.h: layout()
	method added to do it right :)

2002-11-01 03:12  parshin

	* src/widgets/Fl_Multi_Tabs.cpp: Minor corrections of include file

2002-11-01 03:10  parshin

	* test/: multitabs2.cpp, multitabs_glyph1.xpm,
	multitabs_glyph2.xpm, multitabs_glyph3.xpm: Corrections/additions
	to show how to use glyphs in Fl_Multi_Tabs

2002-11-01 03:08  parshin

	* src/widgets/Fl_Multi_Tabs.cpp: Correction in Fl_Multi_Tabs.cpp to
	accept glyphs on tabs

2002-11-01 02:59  parshin

	* efltk/Fl_Multi_Tabs.h: Corrections in Fl_Multi_Tabs.h to accept
	glyphs on the tabs

2002-10-31 21:19  parshin

	* test/multitabs2.cpp: Another minor update for Fl_Multi_Tabs
	example.

2002-10-31 21:11  parshin

	* test/: multitabs1.cpp, multitabs2.cpp: Minor updates for
	Fl_Multi_Tabs examples.

2002-10-31 20:50  parshin

	* test/: Makefile, multitabs1.cpp, multitabs2.cpp: Examples for
	Fl_Multi_Tabs are added:
	
	- multitabs1 is tabs using Fl_Multi_Tabs instead of Fl_Tabs -
	multitabs2 is using colors and stacking features

2002-10-31 20:26  parshin

	* src/widgets/: Fl_Multi_Tabs.cpp, Makefile: Fl_Multi_Tabs is
	added!

2002-10-31 20:20  parshin

	* efltk/Fl_Multi_Tabs.h: Fl_Multi_Tabs is added, please test it :)

2002-10-31 04:17  parshin

	* efltk/Fl_Color.h: Now, fl_lighter and fl_darker are in the right
	place.

2002-10-31 04:13  parshin

	* efltk/Enumerations.h: Sorry, made a mistake - rolling back last
	change

2002-10-31 04:09  parshin

	* efltk/Enumerations.h: Added fl_lighter(Fl_Color c) and
	fl_darker(Fl_Color c) inline functions.

2002-10-30 19:43  leka

	* ChangeLog: I haven't updated ChangeLog for a while :) Now it's
	time for that.

2002-10-30 00:18  laza2000

	* efltk/Fl_Date_Time.h, efltk/Fl_Variant.h,
	src/core/Fl_Date_Time.cpp, src/core/Fl_Variant.cpp,
	src/images/Fl_Png.cpp, src/widgets/Fl_Numeric_Input.cpp,
	visualc/efltk.dsp: - function names from "someFunc" to "some_func"
	in Fl_Date_Time and Fl_Variant.  - made Fl_Date_Time_Format private
	class inside Fl_Date_Time.cpp, since its only initializer and all
	data it sets, can be accessed via Fl_Date_Time.

2002-10-29 22:08  laza2000

	* test/buttons.cpp: Dont revert theme :)

2002-10-29 21:31  laza2000

	* src/core/: Fl_Date_Time.cpp, Fl_Variant.cpp:	Fixed Fl_Date_Time
	for WIN32
	 Fixed some carriage returns (fucks up MSVC)

2002-10-29 21:30  laza2000

	* efltk/: Fl_Date_Time.h, Fl_Variant.h:  Fixed some carriage
	returns (fucks up MSVC)

2002-10-29 21:12  leka

	* src/core/Fl_Date_Time.cpp: Removed "nasty" CRLFs in
	Fl_Date_Time.cpp :)

2002-10-29 17:56  laza2000

	* fluid/fluid.cxx: Dont try chdir to empty dir init images libs
	also if only compiling

2002-10-29 17:55  laza2000

	* test/: images.cpp, images.fl, images.h: Fixed #if statements

2002-10-29 17:47  laza2000

	* src/core/fl_blit_a.cpp: Removed compiler warnings

2002-10-29 17:41  laza2000

	* test/images.fl: Fixed image paths

2002-10-29 17:35  laza2000

	* test/images.fl: Added missing fluid file

2002-10-29 17:33  laza2000

	* configure.in, efltk/Fl.h, efltk/Fl_Image.h, efltk/Fl_Renderer.h,
	src/core/Fl_Image.cpp, src/core/Fl_win32.cpp, src/core/Fl_x.cpp,
	src/core/fl_blit_a.cpp, src/core/fl_map.cpp, src/images/Fl_Png.cpp,
	src/widgets/Fl_Menu_Window.cpp, test/Makefile, test/alphablend.cpp,
	test/ede-small.gif, test/image.cpp, test/image_loader.cpp,
	test/image_loader.fl, test/image_loader.h, test/images.cpp,
	test/images.h, test/rgb.bmp, test/rgb.gif, test/rgb.jpg,
	test/rgb.png, test/rgb.xpm, test/thread_ball.cpp, test/threads.cpp:
	 - Added Fl::sleep_ms()
	 - Added PNG write methods
	 - Some BIG_ENDIAN fixes
	 - Added couple of examples more
	 - Added more Fl_Renderer functions

2002-10-29 17:29  laza2000

	* test/ede-small.gif: Removed broken image

2002-10-28 21:31  laza2000

	* src/core/Fl_Date_Time.cpp: Added missing #include

2002-10-28 21:09  laza2000

	* efltk/Fl_Renderer.h, src/core/Fl_Bmp.cpp,
	src/core/Fl_Renderer.cpp: Added byte swapping methods.	Fixed
	hopefully some big endian stuff... :)

2002-10-28 19:25  cortex

	* locale/sk.po: sk locale/utf

2002-10-28 18:05  parshin

	* src/core/Fl_Date_Time.cpp, src/core/Fl_Variant.cpp,
	src/core/Makefile, efltk/Fl_Date_Time.h, efltk/Fl_Variant.h: [no
	log message]

2002-10-28 17:48  parshin

	* src/core/Fl_Variant.cpp: Fl_Variant class

2002-10-28 17:46  parshin

	* src/core/Fl_Date_Time.cpp: Fl_Date_Time.cpp added as part of
	Fl_Variant

2002-10-28 17:20  parshin

	* efltk/Fl_Variant.h: Fl_Variant class for support of
	Fl_Data_Source

2002-10-28 17:18  parshin

	* efltk/Fl_Date_Time.h: Fl_Date_Time.h added as a part of
	Fl_Variant

2002-10-28 16:31  laza2000

	* ChangeLog: Updated changelog

2002-10-28 15:50  laza2000

	* configure.in: -g2 away...

2002-10-28 15:37  laza2000

	* configure.in, src/core/Fl_Image.cpp, src/core/Fl_Renderer.cpp,
	src/core/fl_labeltype.cpp, src/core/fl_map.cpp, test/browser.cpp:
	Fixed release mode compile

2002-10-28 14:34  laza2000

	* src/core/: Fl_Image_Filter.cpp, Fl_Renderer.cpp, Fl_Xpm.cpp,
	fl_blit_n.cpp:	- blit RGB888 -> RGB565
	 - Fixed Image filters

2002-10-28 12:47  laza2000

	* src/core/Fl_Image.cpp: Fixed copy constructor: Fl_Image(Fl_Image
	&i)

2002-10-28 12:32  laza2000

	* lib/README.libs: Added README.libs, so CVS will have lib
	directory always

2002-10-28 12:29  laza2000

	* efltk/Enumerations.h, src/core/Fl_Image_Filter.cpp,
	src/core/Fl_Xpm.cpp, src/core/fl_cursor.cpp, src/images/Fl_Png.cpp,
	test/color_chooser.cpp, test/image_manip.cpp, test/listview.cpp:  -
	Fixed some broken tests
	 - Linux fixes

2002-10-28 12:12  laza2000

	* README, efltk/Enumerations.h, efltk/Fl_File_Dialog.h,
	efltk/Fl_Image.h, efltk/Fl_ListView_Item.h, efltk/Fl_Pixmap.h,
	efltk/Fl_Renderer.h, fluid/Fluid_Image.cxx, src/core/Fl_Bmp.cpp,
	src/core/Fl_Gif.cpp, src/core/Fl_Image.cpp,
	src/core/Fl_Image_Filter.cpp, src/core/Fl_Pixmap.cpp,
	src/core/Fl_Renderer.cpp, src/core/Fl_Window.cpp,
	src/core/Fl_Xpm.cpp, src/core/Fl_init.cpp, src/core/fl_blit.cpp,
	src/core/fl_blit_1.cpp, src/core/fl_blit_a.cpp,
	src/core/fl_blit_n.cpp, src/core/fl_cursor.cpp,
	src/core/fl_dnd_x.cpp, src/core/fl_draw_image_win32.cpp,
	src/core/fl_font_win32.cpp, src/core/fl_internal.h,
	src/core/fl_map.cpp, src/images/Fl_Images.cpp,
	src/images/Fl_Jpeg.cpp, src/images/Fl_Png.cpp,
	src/widgets/Fl_File_Dialog.cpp, src/widgets/Fl_Float_Input.cpp,
	src/widgets/Fl_Input_Browser.cpp, src/widgets/Fl_Menu_Bar.cpp,
	src/widgets/Fl_Text_Display.cpp, test/ede-small.gif,
	test/image.cpp, visualc/config.h, visualc/efltk.dsp,
	visualc/efltk_images.dsp, visualc/efluid.dsp,
	visualc/file_chooser.dsp: Extended EFltk image support a lot. This
	adds write support and makes read operations faster and more safe.
	Added: Fl_Image::read_image / Fl_Image::write_image,
	Fl_Image::quality, Fl_Image constructors can read images like:
	Fl_Image some_image(filename); Anyway, no write methods implemented
	in Image IOs yet...  Just support for them.
	
	Removed all macros from Fl_Renderer.h and made them functions. 
	Like: 'PIXEL_FROM_RGB' become 'fl_pixel_from_rgb'. This makes all
	pixel operations typesafe.
	
	All image IOs improved a lot!
	
	Some minor bug fixes every where in library :) Added more authors
	to README Added list of platforms where efltk is known to compile
	
	Fixed some MSVC project files.

2002-10-27 21:50  parshin

	* src/core/Fl_Data_Source.cpp: [no log message]

2002-10-27 17:36  parshin

	* efltk/Fl_Data_Source.h: [no log message]

2002-10-27 02:48  parshin

	* src/core/Fl_Data_Source.cpp: [no log message]

2002-10-27 02:44  parshin

	* src/core/Fl_Group.cpp, src/core/Fl_Widget.cpp, src/core/Makefile,
	efltk/Fl_Data_Source.h, efltk/Fl_Group.h: [no log message]

2002-10-27 02:00  parshin

	* src/core/: Fl_Group.cpp, Fl_Widget.cpp: [no log message]

2002-10-27 01:59  parshin

	* efltk/: Fl_Data_Source.h, Fl_Widget.h: Files Fl_Data_Source.h,
	Fl_Widget.h, Fl_Group.h are modified to use Fl_Data_Source. Mikko,
	please, tell me if you read this message.
	
	Alexey.

2002-10-27 01:39  parshin

	* src/core/Fl_Group.cpp: [no log message]

2002-10-27 01:34  parshin

	* efltk/Fl_Group.h: [no log message]

2002-10-26 22:44  leka

	* test/threads.cpp: Small fix (math).

2002-10-25 17:15  leka

	* src/widgets/Fl_Scrollbar.cpp: Again problem with math... Fixed.

